<?php

/**
 * client.
 *
 * @package sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
/* ---------------------------------------------------------------------------
 * Create new post type
 * --------------------------------------------------------------------------- */
if (!function_exists('sympathy_client_post_type')) {

    function sympathy_client_post_type() {
        $sympathy_smof_data = get_option('sympathy_smof_data');
        $client_item_slug = 'client';
        if (isset($sympathy_smof_data['qtc_client_slug'])) {
            $client_item_slug = $sympathy_smof_data['qtc_client_slug'];
        }
        $labels = array(
            'name' => __('Client', 'sympathy'),
            'singular_name' => __('Client', 'sympathy'),
            'all_items' => __('All Clients', 'sympathy'),
            'add_new' => __('Add New', 'sympathy'),
            'add_new_item' => __('Add New Client', 'sympathy'),
            'edit_item' => __('Edit Client', 'sympathy'),
            'new_item' => __('New Client', 'sympathy'),
            'view_item' => __('View Client', 'sympathy'),
            'search_items' => __('Search Client', 'sympathy'),
            'not_found' => __('No client found', 'sympathy'),
            'not_found_in_trash' => __('No client found in Trash', 'sympathy'),
            'parent_item_colon' => ''
        );

        $args = array(
            'labels' => $labels,
            'menu_icon' => "dashicons-share",
            'public' => true,
            'publicly_queryable' => true,
            'show_ui' => true,
            'query_var' => true,
            'capability_type' => 'post',
            'hierarchical' => false,
            'menu_position' => null,
            'rewrite' => array('slug' => $client_item_slug, 'with_front' => true),
            'supports' => array('title', 'editor', 'thumbnail'),
            //'has_archive' => true,
        );

        sympathy_custom_reg_post_type('client', $args);

        sympathy_custom_reg_taxonomy('client-types', 'client', array(
            'hierarchical' => true,
            'label' => __('Client Categories', 'sympathy'),
            'singular_label' => __('Client Category', 'sympathy'),
            'rewrite' => true,
            'query_var' => true
        ));
    }

// end function
}// end if 
add_action('init', 'sympathy_client_post_type', 7);


/* ---------------------------------------------------------------------------
 * Edit columns
 * --------------------------------------------------------------------------- */

function sympathy_client_edit_columns($columns) {
    $newcolumns = array(
        "cb" => "<input type='checkbox' />",
        "client_thumbnail" => esc_html__('Photo', 'sympathy'),
        "title" => esc_html__('Title', 'sympathy'),
    );
    $columns = array_merge($newcolumns, $columns);

    return $columns;
}

add_filter("manage_edit-client_columns", "sympathy_client_edit_columns");


/* ---------------------------------------------------------------------------
 * Custom columns
 * --------------------------------------------------------------------------- */

function sympathy_client_custom_columns($column) {
    global $post;
    switch ($column) {
        case "client_thumbnail":
            if (has_post_thumbnail()) {
                the_post_thumbnail(array(50, 50));
            }
            break;
    }
}

add_action("manage_posts_custom_column", "sympathy_client_custom_columns");
