<?php

class qtc_gallery_template {

	private static $instance;
	private $postmeta_tempalte = array(
		'' => 'Select Gallery Template',
		'archive-gallery-fullwidth' => 'Full Width',
		'archive-gallery-parallax' => 'Parallax',
		'archive-gallery-2-columns' => '2 Columns',
		'archive-gallery-3-columns' => '3 Columns',
		'archive-gallery-4-columns' => '4 Columns',
		'archive-gallery-2-columns-container' => '2 Columns Container',
		'archive-gallery-3-columns-container' => '3 Columns Container',
		'archive-gallery-4-columns-container' => '4 Columns Container',
	);

	public static function forge() {
		if ( !isset( self::$instance ) ) {
			$className = __CLASS__;
			self::$instance = new $className;
		}
		return self::$instance;
	}

	private function __construct() {
		add_action( 'gallery_edit_form_fields', array( &$this, 'qtc_gallery_custom_fields' ), 10, 2 );
		add_action( 'edited_gallery', array( &$this, 'qtc_gallery_save_custom_fields' ), 10, 2 );
	}

	public function qtc_gallery_custom_fields( $tag ) {
		$t_id = $tag->term_id;
		$term_meta = get_option( "taxonomy_term_$t_id" );
		?>
		<tr class="form-field">
			<th scope="row" valign="top">
				<label for="photo_gallery_template"><?php esc_html_e( 'Photo Gallery Template', 'qtc-gallery-translation' ); ?></label>
			</th>
			<td>
				<select name="photo_gallery_template" id="photo_gallery_template">
					<?php
					$gallery_archive_templates = $this->postmeta_tempalte;

					foreach ( $gallery_archive_templates as $key => $gallery_archive_template ) {
						?>
						<option value="<?php echo esc_attr( $key ); ?>" <?php if ( $term_meta['photo_gallery_template'] == $key ) { ?>selected<?php } ?>><?php echo esc_html( $gallery_archive_template ); ?></option>
						<?php
					}
					?>
				</select>
				<p class="description"><?php echo esc_html__( 'Select page template for this photo gallery category', 'qtc-gallery-translation' ); ?></p>
			</td>
		</tr>
		<?php
	}

	public function qtc_gallery_save_custom_fields( $term_id ) {
		if ( isset( $_POST['photo_gallery_template'] ) ) {
			$t_id = $term_id;

			$term_meta = get_option( "taxonomy_term_$t_id" );

			if ( isset( $_POST['photo_gallery_template'] ) ) {
				$term_meta['photo_gallery_template'] = $_POST['photo_gallery_template'];
			}
			//save the option array
			update_option( "taxonomy_term_$t_id", $term_meta );
		}
	}

}

$qtc_gallery_template = qtc_gallery_template::forge();
