<?php

/**
 * Gallery post type.
 *
 * @package Open Photography
 * @author QTCMedia Team
 * @link http://qtcmedia.com
 */
if (!function_exists('qtc_gallery_post_type')) {

   function qtc_gallery_post_type() {
      $labels = array(
          'name' => __('Photo Gallery', 'qtc-gallery-translation'),
          'singular_name' => __('Photo Gallery', 'qtc-gallery-translation'),
          'add_new' => __('Add New', 'qtc-gallery-translation'),
          'add_new_item' => __('Add Photo Gallery', 'qtc-gallery-translation'),
          'edit_item' => __('Edit Photo Gallery', 'qtc-gallery-translation'),
          'new_item' => __('New Photo Gallery', 'qtc-gallery-translation'),
          'view_item' => __('View Photo Gallery', 'qtc-gallery-translation'),
          'search_items' => __('Search Photo Gallery', 'qtc-gallery-translation'),
          'not_found' => __('No photo gallery found', 'qtc-gallery-translation'),
          'not_found_in_trash' => __('No photo gallery found in Trash', 'qtc-gallery-translation'),
          'parent_item_colon' => ''
      );

      $args = array(
          'labels' => $labels,
          'menu_icon' => 'dashicons-format-gallery',
          'public' => true,
          'publicly_queryable' => true,
          'show_ui' => true,
          'query_var' => true,
          'capability_type' => 'post',
          'hierarchical' => true,
          'menu_position' => null,
          'rewrite' => array('slug' => 'photo-gallery', 'with_front' => true),
          'supports' => array('title', 'editor', 'thumbnail', 'excerpt'),
          'has_archive' => true,
      );

      register_post_type('photo-gallery', $args);

      register_taxonomy('gallery', 'photo-gallery', array(
          'hierarchical' => true,
          'label' => __('Photo gallery categories', 'qtc-gallery-translation'),
          'singular_label' => __('Photo gallery category', 'qtc-gallery-translation'),
          'rewrite' => true,
          'query_var' => true
      ));
   }

}
add_action('init', 'qtc_gallery_post_type', 7);

