<?php

/**
 * Home Options
 *
 * @author QTC Media
 */
/* Start Dummy Data */

//get all sidebar

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
$msg = $disabled = '';
if (!class_exists('WPBakeryVisualComposerAbstract') or ! class_exists('CmssuperheroesCore')) {
    $disabled = ' disabled ';
    $msg = esc_html__('You should be install visual composer and Cmssuperheroes plugins to import', 'sympathy');
}

if (!function_exists('sympathy_get_page_donation')) {

    function sympathy_get_page_donation() {
        $args = array(
            'sort_order' => 'asc',
            'sort_column' => 'post_title',
            'hierarchical' => 1,
            'exclude' => '',
            'include' => '',
            'meta_key' => '',
            'meta_value' => '',
            'authors' => '',
            'child_of' => 0,
            'parent' => -1,
            'exclude_tree' => '',
            'number' => '',
            'offset' => 0,
            'post_type' => 'page',
            'post_status' => 'publish'
        );
        $pages = get_pages($args);
        $items_page = array();
        foreach ($pages as $page) {
            $items_page[$page->ID] = $page->post_title ;
        }
        return $items_page;
    }

}

$option_page = sympathy_get_page_donation();
$this->sections[] = array(
    'title' => esc_html__('General', 'sympathy'),
    'icon' => 'general_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_boxed_mode_only',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Background options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Select an image or insert an image url to use for the backgroud.', 'sympathy'),
            'id' => 'qtc_bg_image',
            'type' => 'media',
            'title' => esc_html__('Background Image', 'sympathy'),
            'url' => true,
        ),
        array(
            'desc' => esc_html__('The background image display at 100% in width and height and scale according to the browser size.', 'sympathy'),
            'id' => 'qtc_bg_full',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('100% Background Image', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Select how the background image repeats.', 'sympathy'),
            'id' => 'qtc_bg_repeat',
            'type' => 'select',
            'options' => array(
                'no-repeat' => esc_html__('no-repeat', 'sympathy'),
                'repeat' => esc_html__('repeat', 'sympathy'),
                'repeat-x' => esc_html__('repeat-x', 'sympathy'),
                'repeat-y' => esc_html__('repeat-y', 'sympathy'),
            ),
            'title' => esc_html__('Background Repeat', 'sympathy'),
            'default' => 'repeat',
        ),
        array(
            'desc' => esc_html__('Select the position from where background image starts.', 'sympathy'),
            'id' => 'qtc_bg_pos',
            'type' => 'select',
            'options' => array(
                'top left' => esc_html__('top left', 'sympathy'),
                'top center' => esc_html__('top center', 'sympathy'),
                'top right' => esc_html__('top right', 'sympathy'),
                'center left' => esc_html__('center left', 'sympathy'),
                'center center' => esc_html__('center center', 'sympathy'),
                'center right' => esc_html__('center right', 'sympathy'),
                'bottom left' => esc_html__('bottom left', 'sympathy'),
                'bottom center' => esc_html__('bottom center', 'sympathy'),
                'bottom right' => esc_html__('bottom right', 'sympathy'),
            ),
            'title' => esc_html__('Background Position', 'sympathy'),
            'default' => 'center center',
        ),
        array(
            'desc' => esc_html__('Display a pattern in the background. If Yes, select the pattern from below.', 'sympathy'),
            'id' => 'qtc_bg_pattern_option',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Background Pattern', 'sympathy'),
            'default' => 0,
        ),
        array(
            'desc' => esc_html__('Select a background pattern.', 'sympathy'),
            'id' => 'qtc_bg_pattern',
            'type' => 'image_select',
            'options' => array(
                1 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg1.png',
                2 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg2.png',
                3 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg3.png',
                4 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg4.png',
                5 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg5.png',
                6 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg6.jpg',
                7 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg7.jpg',
                8 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg8.png',
                9 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg9.png',
                10 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg10.png',
                11 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg11.png',
                0 => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg0.png',
            ),
            'title' => esc_html__('Select a Background Pattern', 'sympathy'),
            'default' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/bg/bg0.png',
            'required' => array(
                0 => 'qtc_bg_pattern_option',
                1 => '=',
                2 => 1,
            ),
            'tiles' => true,
        ),
        array(
            'id' => 'qtc_header_info',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Logo Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Select an image file for your logo.', 'sympathy'),
            'id' => 'qtc_logo',
            'type' => 'media',
            'title' => esc_html__('Logo', 'sympathy'),
            'default' => array(
                'url' => get_template_directory_uri() . '/images/logo.png',
            ),
            'url' => true,
        ),
        array(
            'desc' => esc_html__('Enter logo width, In pixels, ex: 100px', 'sympathy'),
            'id' => 'qtc_logo_max_height',
            'type' => 'text',
            'title' => esc_html__('Logo Max Height', 'sympathy'),
            'default' => '100px',
        ),
        array(
            'desc' => esc_html__('In pixels, top right bottom left, ex: 10px 10px 10px 10px', 'sympathy'),
            'id' => 'qtc_margin_logo',
            'type' => 'text',
            'title' => esc_html__('Logo Margin', 'sympathy'),
            'default' => '0px',
        ),
        array(
            'desc' => esc_html__('In pixels, top right bottom left, ex: 10px 10px 10px 10px', 'sympathy'),
            'id' => 'qtc_padding_logo',
            'type' => 'text',
            'title' => esc_html__('Logo Padding', 'sympathy'),
            'default' => '0px',
        ),
        array(
            'desc' => esc_html__('Select an image file for your logo mobile.', 'sympathy'),
            'id' => 'qtc_logo_mobile',
            'type' => 'media',
            'title' => esc_html__('Logo Mobile', 'sympathy'),
            'default' => array(
                'url' => get_template_directory_uri() . '/images/logo.png',
            ),
            'url' => true,
        ),
        array(
            'id' => 'qtc_favicons',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Favicon Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Favicon for your website (16px x 16px).', 'sympathy'),
            'id' => 'qtc_favicon',
            'type' => 'media',
            'title' => esc_html__('Favicon', 'sympathy'),
            'url' => true,
        ),
    ),
);
/**
 * Page Loader
 *
 */
$this->sections[] = array(
    'title' => esc_html__('Page Loader', 'sympathy'),
    'desc' => esc_html__('Page Loader Options', 'sympathy'),
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'use_page_loader',
            'type' => 'switch',
            'title' => esc_html__('Use Page Loader?', 'sympathy'),
            'desc' => esc_html__('', 'sympathy'),
            'default' => 0,
            'on' => esc_html__('Enabled', 'sympathy'),
            'off' => esc_html__('Disabled', 'sympathy')
        ),
        
    )
);
/* End Dummy Data */

$this->sections[] = array(
    'title' => esc_html__('Layout', 'sympathy'),
    'icon' => 'layout_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_layout',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Layout Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Select boxed or wide layout.', 'sympathy'),
            'id' => 'qtc_layout',
            'type' => 'image_select',
            'options' => array(
                'full' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width.png',
                'boxed' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/boxed.png',
            ),
            'title' => esc_html__('Layout', 'sympathy'),
            'default' => 'full',
        ),
        array(
            'id' => 'qtc_maximum_container_width',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Dimensions</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Enter the maximum content width for your site. Pixel and % are allowed eg: 1130px, 1310px, 100%', 'sympathy'),
            'id' => 'qtc_maximum_container_width',
            'type' => 'text',
            'title' => esc_html__('Maximum Container width', 'sympathy'),
            'default' => '1200px',
        ),
        array(
            'desc' => esc_html__('Here you can choose the width of your content and sidebar. First Number indicates the content width, second number indicates sidebar width.', 'sympathy'),
            'id' => 'qtc_content_sidebar',
            'type' => 'select',
            'options' => array(
                '80|20' => '80%|20%',
                '79|21' => '79%|21%',
                '78|22' => '78%|22%',
                '77|23' => '77%|23%',
                '76|24' => '76%|24%',
                '75|25' => '75%|25%',
                '74|26' => '74%|26%',
                '73|27' => '73%|27%',
                '72|28' => '72%|28%',
                '71|29' => '71%|29%',
                '70|30' => '70%|30%',
                '69|31' => '69%|31%',
                '68|32' => '68%|32%',
                '67|33' => '67%|33%',
                '66|34' => '66%|34%',
                '65|35' => '65%|35%',
                '64|36' => '64%|36%',
                '63|37' => '63%|37%',
                '62|38' => '62%|38%',
                '61|39' => '61%|39%',
                '60|40' => '60%|40%',
                '59|41' => '59%|41%',
                '58|42' => '58%|42%',
                '57|43' => '57%|43%',
                '56|44' => '56%|44%',
                '55|45' => '55%|45%',
                '54|46' => '54%|46%',
                '53|47' => '53%|47%',
                '52|48' => '52%|48%',
                '51|49' => '51%|49%',
                '50|50' => '50%|50%',
            ),
            'title' => esc_html__('Content | Sidebar Ratio', 'sympathy'),
            'default' => '75|25',
        ),
    ),
);
/**
 * Header Options
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Header', 'sympathy'),
    'icon' => 'header_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_logo_menu',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Header Layout</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Select layout for header your site.', 'sympathy'),
            'id' => 'qtc_header_layout',
            'type' => 'image_select',
            'options' => array(
                'default' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/layout-header-2.jpg',
                'header1' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/layout-header-default.jpg',
                'header2' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/layout-header-2.jpg',
                'header3' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/layout-header-3.jpg',
                'header4' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/header-v4.png',
                'header5' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/header-5.png',
                'header6' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/header/header-6.png',
            ),
            'title' => esc_html__('Layout', 'sympathy'),
            'default' => 'default',
        ),
        array(
            'desc' => esc_html__('Uppercase menu header', 'sympathy'),
            'id' => 'qtc_header_uppercase',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Uppercase Menu Header', 'sympathy'),
        ),
        array(
            'desc' => __('Transparent header.<br /> Min: 0, max: 100, step: 1, default value: 100', 'sympathy'),
            'id' => 'qtc_header_transparent',
            'step' => '1',
            'max' => '100',
            'type' => 'slider',
            'title' => esc_html__('Transparent Header', 'sympathy'),
            'default' => '0',
        ),
        array(
            'desc' => esc_html__('Background header', 'sympathy'),
            'id' => 'qtc_background_header',
            'type' => 'color',
            'title' => esc_html__('Background Header', 'sympathy'),
            'default' => '#ffffff',
        ),
        array(
            'desc' => esc_html__('Display Phone', 'sympathy'),
            'id' => 'qtc_menu_phone',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Display Phone', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Show phone top bar.', 'sympathy'),
            'id' => 'qtc_menu_phone_number',
            'type' => 'text',
            'title' => esc_html__('Phone Number', 'sympathy'),
            'required' => array(
                0 => 'qtc_menu_phone',
                1 => '=',
                2 => 1,
            ),
            'default' => '0123456789',
        ),
        array(
            'desc' => esc_html__('Display Email', 'sympathy'),
            'id' => 'qtc_menu_email',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Display Email', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Display Donate Button', 'sympathy'),
            'id' => 'qtc_menu_bt_donate',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Display Donate', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Show email top bar.', 'sympathy'),
            'id' => 'qtc_menu_email_contac',
            'type' => 'text',
            'title' => esc_html__('Email contact', 'sympathy'),
            'required' => array(
                0 => 'qtc_menu_email',
                1 => '=',
                2 => 1,
            ),
            'default' => 'example@gmail.com',
        ),
        array(
            'desc' => esc_html__('Display Cart', 'sympathy'),
            'id' => 'qtc_cart_woo',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Display Cart', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Display top bar.', 'sympathy'),
            'id' => 'qtc_top_bar',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Top Bar', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Display social', 'sympathy'),
            'id' => 'qtc_top_social',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Display Social', 'sympathy'),
            'default' => 1,
            'required' => array(
                0 => 'qtc_top_bar',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Display search', 'zone'),
            'id' => 'qtc_top_search',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Display Search', 'zone'),
            'default' => 1,
            'required' => array(
                0 => 'qtc_top_bar',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'id' => 'qtc_sticky_header_info',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Sticky Header Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Enable a fixed header when scrolling.', 'sympathy'),
            'id' => 'qtc_header_sticky',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Enable Sticky Header', 'sympathy'),
            'default' => 0,
        ),
        array(
            'desc' => esc_html__('Background header sticky', 'sympathy'),
            'id' => 'qtc_background_header_sticky',
            'type' => 'color',
            'title' => esc_html__('Background Header Sticky', 'sympathy'),
            'default' => '#16171b',
            'required' => array(
                0 => 'qtc_header_sticky',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => __('Set the opacity of background.<br /> Min: 0, max: 100, step: 1, default value: 45', 'sympathy'),
            'id' => 'qtc_header_sticky_opacity',
            'step' => '1',
            'max' => '100',
            'type' => 'slider',
            'title' => esc_html__('Sticky Header Opacity', 'sympathy'),
            'default' => '90',
            'required' => array(
                0 => 'qtc_header_sticky',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Select an image file for your sticky logo.', 'sympathy'),
            'id' => 'qtc_logo_sticky',
            'type' => 'media',
            'title' => esc_html__('Logo Sticky', 'sympathy'),
            'default' => array(
                'url' => get_template_directory_uri() . '/images/logo.png',
            ),
            'url' => true,
            'required' => array(
                0 => 'qtc_header_sticky',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Color header sticky', 'sympathy'),
            'id' => 'qtc_color_header_sticky',
            'type' => 'color',
            'title' => esc_html__('Color Header Sticky', 'sympathy'),
            'default' => '#ffffff',
            'required' => array(
                0 => 'qtc_header_sticky',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Color hover header sticky, ex: hover link menu item and more.', 'sympathy'),
            'id' => 'qtc_color_hover_header_sticky',
            'type' => 'color',
            'title' => esc_html__('Color Hover Header Sticky', 'sympathy'),
            'default' => '#f35353',
            'required' => array(
                0 => 'qtc_header_sticky',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Color active header sticky, ex: click link, active link, and more.', 'sympathy'),
            'id' => 'qtc_color_active_header_sticky',
            'type' => 'color',
            'title' => esc_html__('Color Active Header Sticky', 'sympathy'),
            'default' => '#f35353',
            'required' => array(
                0 => 'qtc_header_sticky',
                1 => '=',
                2 => 1,
            ),
        ),
    ),
);
$this->sections[] = array(
    'title' => esc_html__('Top Bar', 'sympathy'),
    'icon' => 'el-icon-file-edit',
    'subsection' => true,
    'fields' => array(
        array(
            'desc' => esc_html__('Controls color menu items, ex: link, and more.', 'sympathy'),
            'id' => 'qtc_menu_topbar_color',
            'type' => 'color',
            'title' => esc_html__('Menu Topbar Color', 'sympathy'),
            'default' => '#ffffff',
        ),
        array(
            'desc' => esc_html__('Display background topbar', 'sympathy'),
            'id' => 'qtc_bg_topbar_color',
            'type' => 'color',
            'title' => esc_html__('Background Top Bar', 'sympathy'),
            'default' => '#0d0c0c',
        ),
        array(
            'desc' => esc_html__('Uppercase menu topbar', 'sympathy'),
            'id' => 'qtc_header_topbar_uppercase',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Uppercase Menu Top Bar', 'sympathy'),
        ),
    ),
);
/**
 * Menu
 *
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Menu', 'sympathy'),
    'icon' => 'menu_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_header_info',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Menu Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Use a number without \'px\', default is 13px. ex: 13px', 'sympathy'),
            'id' => 'qtc_menu_fontsize_first_level',
            'type' => 'text',
            'title' => esc_html__('Menu Font Size', 'sympathy'),
            'default' => '14px',
        ),
        array(
            'desc' => esc_html__('Controls color menu items, ex: link, and more.', 'sympathy'),
            'id' => 'qtc_menu_color',
            'type' => 'color',
            'title' => esc_html__('Menu Color', 'sympathy'),
            'default' => '#ffffff',
        ),
        array(
            'desc' => esc_html__('Menu item color current, ex: click link, active link, and more.', 'sympathy'),
            'id' => 'qtc_menu_acti_color',
            'type' => 'color',
            'title' => esc_html__('Menu Item Active Color', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Menu item hover color, ex: hover link menu item and more.', 'sympathy'),
            'id' => 'qtc_menu_hover_color',
            'type' => 'color',
            'title' => esc_html__('Menu Item Hovers Color', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Controls color sub menu items', 'sympathy'),
            'id' => 'qtc_submenu_color',
            'type' => 'color',
            'title' => esc_html__('Sub Menu Color', 'sympathy'),
            'default' => '#ffffff',
        ),
        array(
            'desc' => esc_html__('Sub menu item active color, ex: active link sub menu.', 'sympathy'),
            'id' => 'qtc_sub_menu_acti_color',
            'type' => 'color',
            'title' => esc_html__('Sub Menu Item Active Color', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Sub menu item hover color, ex: hover link sub menu.', 'sympathy'),
            'id' => 'qtc_sub_menu_hover_color',
            'type' => 'color',
            'title' => esc_html__('Sub Menu Item Hover Color', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Display background in submenu', 'sympathy'),
            'id' => 'qtc_background_submenu',
            'type' => 'color',
            'title' => esc_html__('Background Sub Menu', 'sympathy'),
            'default' => '#282828',
        ),
        array(
            'desc' => esc_html__('Border in submenu', 'sympathy'),
            'id' => 'qtc_border_submenu',
            'type' => 'color',
            'title' => esc_html__('Border Sub Menu', 'sympathy'),
            'default' => '#323232',
        ),
    ),
);


/**
 * Tyling Option
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Styling Options', 'sympathy'),
    'icon' => 'styling_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_main_color',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Main Color</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Select a scheme, all color options will automatically change to the defined scheme.', 'sympathy'),
            'id' => 'qtc_preset_color_scheme',
            'type' => 'select',
            'options' => array(
                'default1' => 'Default1',
                'default2' => 'Default2',
                'default3' => 'Default3',
                'default4' => 'Default4',
                'default5' => 'Default5',
                'default6' => 'Default6',
                'default7' => 'Default7',
                'default8' => 'Default8',
                'default9' => 'Default9',
                'default10' => 'Default10',
            ),
            'title' => esc_html__('Default Color Scheme', 'sympathy'),
            'default' => 'default1',
        ),
        array(
            'desc' => esc_html__('Controls several items, ex: link hovers, highlights, and more.', 'sympathy'),
            'id' => 'qtc_primary_color',
            'type' => 'color',
            'title' => esc_html__('Primary Color', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Controls the color of all text links.', 'sympathy'),
            'id' => 'qtc_link_color',
            'type' => 'color',
            'title' => esc_html__('Link Color', 'sympathy'),
            'default' => '#cccccc',
        ),
        array(
            'desc' => esc_html__('Link Color Hover.', 'sympathy'),
            'id' => 'qtc_link_hover_color',
            'type' => 'color',
            'title' => esc_html__('Link Color Hover.', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Controls the background color of buttons.', 'sympathy'),
            'id' => 'qtc_button_text_color',
            'type' => 'color',
            'title' => esc_html__('Background Button Color', 'sympathy'),
            'default' => '#f35353',
        ),
    ),
);

/**
 * Footer
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Footer', 'sympathy'),
    'icon' => 'footer_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_footer',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Footer Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Select an image or insert an image url to use for the footer top area backgroud.', 'sympathy'),
            'id' => 'qtc_footer_top_bg_image',
            'type' => 'media',
            'title' => esc_html__('Background Image', 'sympathy'),
            'default' => array(
                'url' => SYMPATHY_PLUGIN_OPTIONS_URL . '/options/images/bg_footer.jpg',
            ),
            'url' => true,
        ),
        array(
            'desc' => esc_html__('Footer background color.', 'sympathy'),
            'id' => 'qtc_backgroud_footer',
            'type' => 'color',
            'title' => esc_html__('Footer Background Color', 'sympathy'),
            'default' => '#000000',
        ),
        array(
            'desc' => esc_html__('Footer color.', 'sympathy'),
            'id' => 'qtc_color_footer',
            'type' => 'color',
            'title' => esc_html__('Footer Color', 'sympathy'),
            'default' => '#cccccc',
        ),
        array(
            'desc' => esc_html__('Footer headings color.', 'sympathy'),
            'id' => 'qtc_color_heading_footer',
            'type' => 'color',
            'title' => esc_html__('Footer Headings Color', 'sympathy'),
            'default' => '#ffffff',
        ),
        array(
            'desc' => esc_html__('Footer Links color.', 'sympathy'),
            'id' => 'qtc_color_link_footer',
            'type' => 'color',
            'title' => esc_html__('Footer Link Color', 'sympathy'),
            'default' => '#cccccc',
        ),
        array(
            'desc' => esc_html__('Footer links hover color.', 'sympathy'),
            'id' => 'qtc_color_link_hover_footer',
            'type' => 'color',
            'title' => esc_html__('Footer Link Hover Color', 'sympathy'),
            'default' => '#f35353',
        ),
        array(
            'desc' => esc_html__('Select how the background image repeats.', 'sympathy'),
            'id' => 'qtc_footer_top_bg_repeat',
            'type' => 'select',
            'options' => array(
                'repeat' => 'repeat',
                'repeat-x' => 'repeat-x',
                'repeat-y' => 'repeat-y',
                'no-repeat' => 'no-repeat',
            ),
            'title' => esc_html__('Background Repeat', 'sympathy'),
            'default' => 'repeat',
        ),
        array(
            'desc' => esc_html__('Select the position from where background image starts.', 'sympathy'),
            'id' => 'qtc_footer_top_bg_pos',
            'type' => 'select',
            'options' => array(
                'top left' => 'top left',
                'top center' => 'top center',
                'top right' => 'top right',
                'center left' => 'center left',
                'center center' => 'center center',
                'center right' => 'center right',
                'bottom left' => 'bottom left',
                'bottom center' => 'bottom center',
                'bottom right' => 'bottom right',
            ),
            'title' => esc_html__('Background Position', 'sympathy'),
            'default' => 'center center',
        ),
        array(
            'desc' => esc_html__('Select how the background image size.', 'sympathy'),
            'id' => 'qtc_footer_top_bg_size',
            'type' => 'select',
            'options' => array(
                'cover' => 'cover',
                'contain' => 'contain',
                '100%' => '100%',
                '50%' => '50%',
                '100% 50%' => '100% 50%',
            ),
            'title' => esc_html__('Background Size', 'sympathy'),
            'default' => 'cover',
        ),
        array(
            'desc' => esc_html__('In pixels, top left botton right, ex: 35px 0px', 'sympathy'),
            'id' => 'qtc_footer_padding',
            'type' => 'text',
            'title' => esc_html__('Footer Padding', 'sympathy'),
            'default' => '63px 0 63px',
        ),
        array(
            'desc' => esc_html__('In pixels, top left botton right, ex: 10px 10px 10px 10px. (Default: 0px auto).', 'sympathy'),
            'id' => 'qtc_footer_margin',
            'type' => 'text',
            'title' => esc_html__('Footer Margin', 'sympathy'),
            'default' => '0px auto',
        ),
    ),
);
$this->sections[] = array(
    'title' => esc_html__('Socket', 'sympathy'),
    'icon' => 'el-icon-file-edit',
    'subsection' => true,
    'fields' => array(
        array(
            'desc' => esc_html__('Show social for top socket', 'sympathy'),
            'id' => 'qtc_enable_footer_social',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Show Social', 'sympathy'),
            'default' => '1',
        ),
        array(
            'desc' => esc_html__('Socket background color.', 'sympathy'),
            'id' => 'qtc_backgroud_socket',
            'type' => 'color',
            'title' => esc_html__('Socket Background Color', 'sympathy'),
            'default' => '#222222',
        ),
        array(
            'desc' => esc_html__('Socket color text.', 'sympathy'),
            'id' => 'qtc_color_socket',
            'type' => 'color',
            'title' => esc_html__('Socket Color Text', 'sympathy'),
            'default' => '#e5e4e4',
        ),
        array(
            'desc' => esc_html__('Add a custom copyright text at the bottom of your site. ', 'sympathy'),
            'id' => 'qtc_copyright',
            'type' => 'text',
            'title' => esc_html__('Copyright', 'sympathy'),
            'default' => "Copyright @ 2017 <a href='http://sympathy.qtcmedia.com' target='_blank'>Sympathy </a>, All Right Reserved",
        )
    ),
);
/**
 * Pages
 */
$this->sections[] = array(
    'title' => esc_html__('Pages Settings', 'brick'),
    'icon' => 'single_page_qtc_p',
);
$this->sections[] = array(
    'title' => esc_html__('Page', 'brick'),
    'desc' => '',
    'icon' => '',
    'subsection' => true,
    'fields' => array(
        array(
            'desc' => esc_html__('Show Comments for pages', 'brick'),
            'id' => 'qtc_page_comments',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Page Comments', 'brick'),
            'default' => true,
        ),
    ),
);
$this->sections[] = array(
    'title' => esc_html__('Title Bar', 'brick'),
    'desc' => '',
    'icon' => '',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'qtc_page_show_page_title',
            'type' => 'switch',
            'title' => esc_html__('Show Page Title', 'sympathy'),
            'subtitle' => esc_html__('Show page title in page title bar.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_page_show_page_breadcrumb',
            'type' => 'switch',
            'title' => esc_html__('Show Page Breadcrumb', 'sympathy'),
            'subtitle' => esc_html__('Show page breadcrumb in page title bar.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_page_title_bar_bg',
            'type' => 'background',
            'title' => esc_html__('Background', 'sympathy'),
            'subtitle' => esc_html__('background with image, color, etc.', 'sympathy'),
            'default' => array(
                'background-color' => '#1e1e1e',
                'background-image' => SYMPATHY_PLUGIN_OPTIONS_URL . 'options/images/bg_page_title.jpg',
                'background-repeat' => 'no-repeat',
                'background-size' => 'cover',
                'background-position' => 'center center',
            ),
            'output' => array('.page-title-bar'),
        ),
        array(
            'id' => 'qtc_page_title_bar_margin',
            'title' => 'Margin',
            'subtitle' => esc_html__('Please, Enter margin of title bar.', 'sympathy'),
            'type' => 'spacing',
            'mode' => 'margin',
            'units' => array('px', '%'),
            'output' => array('.page-title-bar'),
            'default' => array(
                'margin-top' => '0',
                'margin-right' => '0',
                'margin-bottom' => '6',
                'margin-left' => '0',
                'units' => '%',
            )
        ),
        array(
            'id' => 'qtc_page_title_bar_padding',
            'title' => 'Padding',
            'subtitle' => esc_html__('Please, Enter padding of title bar.', 'sympathy'),
            'type' => 'spacing',
            'units' => array('px', '%'),
            'output' => array('.page-title-bar'),
            'default' => array(
                'padding-top' => '100',
                'padding-right' => '0',
                'padding-bottom' => '100',
                'padding-left' => '0',
                'units' => 'px',
            )
        ),
        array(
            'id' => 'qtc_page_breadcrumb_delimiter',
            'type' => 'text',
            'title' => esc_html__('Delimiter', 'sympathy'),
            'subtitle' => esc_html__('Please, Enter Delimiter of page breadcrumb in title bar.', 'sympathy'),
            'default' => '/'
        ),
    ),
);

/**
 * Blog
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Blog Settings', 'sympathy'),
    'icon' => 'blog_qtc_p',
);
$this->sections[] = array(
    'title' => esc_html__('Title Bar', 'sympathy'),
    'desc' => '',
    'icon' => '',
    'subsection' => true,
    'fields' => array(
        array(
            'desc' => esc_html__('Show Title Bar', 'sympathy'),
            'id' => 'qtc_show_blog_title_bar',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Show Title Bar', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Show Breadcrumb', 'sympathy'),
            'id' => 'qtc_show_blog_breadcrumb',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Show Breadcrumb', 'sympathy'),
            'default' => 1,
        ),
        array(
            'id' => 'qtc_blog_title_bar_bg',
            'type' => 'background',
            'title' => esc_html__('Background', 'sympathy'),
            'subtitle' => esc_html__('background with image, color, etc.', 'sympathy'),
            'default' => array(
                'background-color' => '#1e1e1e',
                'background-image' => SYMPATHY_PLUGIN_OPTIONS_URL . 'options/images/bg_page_title.jpg',
                'background-repeat' => 'no-repeat',
                'background-size' => 'cover',
                'background-position' => 'center center',
            ),
            'output' => array('.blog-title-bar'),
        ),
        array(
            'id' => 'qtc_blog_title_bar_margin',
            'title' => 'Margin',
            'subtitle' => esc_html__('Please, Enter margin of title bar.', 'sympathy'),
            'type' => 'spacing',
            'mode' => 'margin',
            'units' => array('px', '%'),
            'output' => array('.blog-title-bar'),
            'default' => array(
                'margin-top' => '0',
                'margin-right' => '0',
                'margin-bottom' => '6',
                'margin-left' => '0',
                'units' => '%',
            )
        ),
        array(
            'id' => 'qtc_blog_title_bar_padding',
            'title' => 'Padding',
            'subtitle' => esc_html__('Please, Enter padding of title bar.', 'sympathy'),
            'type' => 'spacing',
            'units' => array('px', '%'),
            'output' => array('.blog-title-bar'),
            'default' => array(
                'padding-top' => '100',
                'padding-right' => '0',
                'padding-bottom' => '100',
                'padding-left' => '0',
                'units' => 'px',
            )
        ),
        array(
            'id' => 'qtc_blog_breadcrumb_delimiter',
            'type' => 'text',
            'title' => esc_html__('Delimiter', 'sympathy'),
            'subtitle' => esc_html__('Please, Enter Delimiter of page breadcrumb in title bar.', 'sympathy'),
            'default' => '/'
        ),
    )
);
$this->sections[] = array(
    'title' => esc_html__('Archive Post', 'sympathy'),
    'icon' => '',
    'subsection' => true,
    'fields' => array(
        array(
            'desc' => esc_html__('You can either chose a predefined layout or build your own blog layout with the advanced layout editor', 'sympathy'),
            'id' => 'qtc_blog_layout',
            'type' => 'image_select',
            'options' => array(
                'one' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/layout_blog1.jpg',
                'two' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/layout_blog2.jpg',
                'three' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/layout_blog3.jpg',
            ),
            'title' => esc_html__('Blog Layout', 'sympathy'),
            'default' => 'two',
        ),
        array(
            'desc' => esc_html__('Previous/Next Pagination', 'sympathy'),
            'id' => 'qtc_show_navigation_post',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Previous/Next Pagination', 'sympathy'),
            'default' => 1,
        ),
    ),
);
$this->sections[] = array(
    'title' => esc_html__('Single Post', 'sympathy'),
    'icon' => '',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'qtc_post_show_post_title',
            'type' => 'switch',
            'title' => esc_html__('Show Post Title', 'sympathy'),
            'subtitle' => esc_html__('Show or not title of post on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_social_share',
            'type' => 'switch',
            'title' => esc_html__('Show Social Share', 'sympathy'),
            'subtitle' => esc_html__('Show or not social share of post on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_post_info',
            'type' => 'switch',
            'title' => esc_html__('Show Post Info', 'sympathy'),
            'subtitle' => esc_html__('Show or not info of post on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_post_nav',
            'type' => 'switch',
            'title' => esc_html__('Show Post Navigation', 'sympathy'),
            'subtitle' => esc_html__('Show or not post navigation on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_post_tags',
            'type' => 'switch',
            'title' => esc_html__('Show Post Tags', 'sympathy'),
            'subtitle' => esc_html__('Show or not post tags on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_post_cate',
            'type' => 'switch',
            'title' => esc_html__('Show Post Categories', 'sympathy'),
            'subtitle' => esc_html__('Show or not post tags on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_post_comment',
            'type' => 'switch',
            'title' => esc_html__('Show Post Comment', 'sympathy'),
            'subtitle' => esc_html__('Show or not post comment on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
        array(
            'id' => 'qtc_post_show_author',
            'type' => 'switch',
            'title' => esc_html__('Show Post Author', 'sympathy'),
            'subtitle' => esc_html__('Show or not author on your single blog.', 'sympathy'),
            'default' => true,
            'on' => 'Yes',
            'off' => 'No',
        ),
    ),
);
/**
 *
 * Social
 *
 * @author CMS
 */
$this->sections[] = array(
    'title' => esc_html__('Social', 'sympathy'),
    'icon' => 'social_qtc_p',
    'fields' => array(
        array(
            'desc' => esc_html__('Type your Facebook link here', 'sympathy'),
            'id' => 'qtc_social_facebook',
            'type' => 'text',
            'title' => esc_html__('Facebook', 'sympathy'),
            'default' => '#',
        ),
        array(
            'desc' => esc_html__('Type your Google + link here', 'sympathy'),
            'id' => 'qtc_social_google',
            'type' => 'text',
            'title' => esc_html__('Google +', 'sympathy'),
            'default' => '#',
        ),
        array(
            'desc' => esc_html__('Type your Twitter link here', 'sympathy'),
            'id' => 'qtc_social_twitter',
            'type' => 'text',
            'title' => esc_html__('Twitter', 'sympathy'),
            'default' => '#',
        ),
        array(
            'desc' => esc_html__('Type your LinkedIn link here', 'sympathy'),
            'id' => 'qtc_social_linkedin',
            'type' => 'text',
            'title' => esc_html__('LinkedIn', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Type your Pinterest link here', 'sympathy'),
            'id' => 'qtc_social_pinterest',
            'type' => 'text',
            'title' => esc_html__('Pinterest', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Type your Instagram link here', 'sympathy'),
            'id' => 'qtc_social_instagram',
            'type' => 'text',
            'title' => esc_html__('Instagram', 'sympathy'),
            'default' => '#',
        ),
        array(
            'desc' => esc_html__('Type your Vimeo link here', 'sympathy'),
            'id' => 'qtc_social_vimeo', 'type' => 'text',
            'title' => esc_html__('Vimeo', 'sympathy'),
            'default' => '#',
        ),
    ),
);
/**
 * Sidebar
 *
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Sidebar', 'sympathy'),
    'icon' => 'sidebar_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_sidebar_info',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Sidebar Options</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Choose the archive sidebar position here. This setting will be applied to all archive pages', 'sympathy'),
            'id' => 'qtc_sidebar_archive',
            'type' => 'image_select',
            'options' => array(
                'sidebar_archive1' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width_2.png',
                'sidebar_archive2' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/left.png',
                'sidebar_archive3' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/right.png',
            ),
            'title' => esc_html__('Sidebar on Archive Pages', 'sympathy'),
            'default' => 'sidebar_archive1',
        ),
        array(
            'desc' => esc_html__('Choose the blog sidebar position here. This setting will be applied to the blog page', 'sympathy'),
            'id' => 'qtc_sidebar_blog',
            'type' => 'image_select',
            'options' => array(
                'blog_full' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width_2.png',
                'blog_sidebar_left' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/left.png',
                'blog_sidebar_right' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/right.png',
            ),
            'title' => esc_html__('Sidebar on Blog Page', 'sympathy'),
            'default' => 'blog_sidebar_right',
        ),
        array(
            'desc' => esc_html__('Choose the blog post sidebar position here. This setting will be applied to single blog posts.', 'sympathy'),
            'id' => 'qtc_sidebar_single_post',
            'type' => 'image_select',
            'options' => array(
                'sidebar_single1' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width_2.png',
                'sidebar_single2' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/left.png',
                'sidebar_single3' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/right.png',
            ),
            'title' => esc_html__('Sidebar on Single Post', 'sympathy'),
            'default' => 'sidebar_single1',
        ),
        array(
            'desc' => esc_html__('Choose the default page layout here. You can change the setting of each individual page when editing that page.', 'sympathy'),
            'id' => 'qtc_sidebar_page',
            'type' => 'image_select',
            'options' => array(
                'sidebar_page1' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width_2.png',
                'sidebar_page2' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/left.png',
                'sidebar_page3' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/right.png',
            ),
            'title' => esc_html__('Sidebar on Pages', 'sympathy'),
            'default' => 'sidebar_page1',
        ),
    ),
);

/**
 * Shop
 *
 * @author Fox
 */
/*  Shop Settings */
if (class_exists('Woocommerce')) {
    $this->sections[] = array(
        'title' => esc_html__('Shop Setting', 'sympathy'),
        'desc' => '',
        'icon' => 'products_qtc_p',
        'fields' => array(
        )
    );
    $this->sections[] = array(
        'title' => esc_html__('Title Bar', 'sympathy'),
        'desc' => '',
        'icon' => '',
        'subsection' => true,
        'fields' => array(
            array(
                'desc' => esc_html__('Show Title Bar', 'sympathy'),
                'id' => 'qtc_show_shop_title_bar',
                'on' => 'Yes',
                'off' => 'No',
                'type' => 'switch',
                'title' => esc_html__('Show Title Bar', 'sympathy'),
                'default' => 1,
            ),
            array(
                'desc' => esc_html__('Show Breadcrumb', 'sympathy'),
                'id' => 'qtc_show_page_breadcrumb_shop',
                'on' => 'Yes',
                'off' => 'No',
                'type' => 'switch',
                'title' => esc_html__('Show Breadcrumb', 'sympathy'),
                'default' => 1,
            ),
            array(
                'id' => 'qtc_product_title_bar_bg',
                'type' => 'background',
                'title' => esc_html__('Background', 'sympathy'),
                'subtitle' => esc_html__('background with image, color, etc.', 'sympathy'),
                'default' => array(
                    'background-color' => '#1e1e1e',
                    'background-image' => SYMPATHY_PLUGIN_OPTIONS_URL . 'options/images/bg_page_title.jpg',
                    'background-repeat' => 'no-repeat',
                    'background-size' => 'cover',
                    'background-position' => 'center center',
                ),
                'output' => array('.product-title-bar'),
            ),
            array(
                'id' => 'qtc_product_title_bar_margin',
                'title' => 'Margin',
                'subtitle' => esc_html__('Please, Enter margin of title bar.', 'sympathy'),
                'type' => 'spacing',
                'mode' => 'margin',
                'units' => array('px', '%'),
                'output' => array('.product-title-bar'),
                'default' => array(
                    'margin-top' => '0',
                    'margin-right' => '0',
                    'margin-bottom' => '8',
                    'margin-left' => '0',
                    'units' => '%',
                )
            ),
            array(
                'id' => 'qtc_product_title_bar_padding',
                'title' => 'Padding',
                'subtitle' => esc_html__('Please, Enter padding of title bar.', 'sympathy'),
                'type' => 'spacing',
                'units' => array('px', '%'),
                'output' => array('.product-title-bar'),
                'default' => array(
                    'padding-top' => '100px',
                    'padding-right' => '0',
                    'padding-bottom' => '100px',
                    'padding-left' => '0',
                    'units' => 'px',
                )
            ),
            array(
            'id' => 'qtc_product_breadcrumb_delimiter',
            'type' => 'text',
            'title' => esc_html__('Delimiter', 'sympathy'),
            'subtitle' => esc_html__('Please, Enter Delimiter of page breadcrumb in title bar.', 'sympathy'),
            'default' => '/'
        ),
        )
    );
    $this->sections[] = array(
        'title' => esc_html__('Archive Products', 'sympathy'),
        'icon' => '',
        'subsection' => true,
        'fields' => array(
            array(
                'desc' => esc_html__('Select a layout.', 'sympathy'),
                'id' => 'qtc_woo_layout',
                'type' => 'image_select',
                'options' => array(
                    'full' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width_2.png',
                    'left' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/left.png',
                    'right' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/right.png',
                ),
                'default' => 'left',
                'title' => 'Layout',
            ),
            array(
                'id' => 'category-view-mode',
                'type' => 'button_set',
                'title' => esc_html__('View Mode', 'sympathy'),
                'options' => array(
                    'default' => esc_html__('Default', 'sympathy'),
                    'grid' => esc_html__('Grid', 'sympathy'),
                    'list' => esc_html__('List', 'sympathy'),
                ),
                'default' => 'default',
            ),
            array(
                'id' => 'qtc_archive_show_catalog_ordering',
                'type' => 'switch',
                'title' => esc_html__('Show Catalog Ordering', 'sympathy'),
                'subtitle' => esc_html__('Show catalog ordering in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
            array(
                'desc' => esc_html__('Insert the number of WooCommerce products displayed per page.', 'sympathy'),
                'id' => 'qtc_products_per_page',
                'type' => 'text',
                'title' => esc_html__('Products per page', 'sympathy'),
                'default' => '12',
            ),
            array(
                'id' => 'qtc_archive_show_category_product',
                'type' => 'switch',
                'title' => esc_html__('Show Product Category', 'sympathy'),
                'subtitle' => esc_html__('Show product category in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
            array(
                'id' => 'qtc_archive_show_title_product',
                'type' => 'switch',
                'title' => esc_html__('Show Product Title', 'sympathy'),
                'subtitle' => esc_html__('Show product title in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
            array(
                'id' => 'qtc_archive_show_price_product',
                'type' => 'switch',
                'title' => esc_html__('Show Product Price', 'sympathy'),
                'subtitle' => esc_html__('Show product price in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
            array(
                'id' => 'qtc_archive_show_sale_flash_product',
                'type' => 'switch',
                'title' => esc_html__('Show Product Sale Flash', 'sympathy'),
                'subtitle' => esc_html__('Show product sale flash in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
            array(
                'id' => 'qtc_archive_show_add_to_cart_product',
                'type' => 'switch',
                'title' => esc_html__('Show Product Add To Cart', 'sympathy'),
                'subtitle' => esc_html__('Show product add to cart in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
            array(
                'id' => 'shop-product-cols',
                'type' => 'button_set',
                'title' => esc_html__('Shop Page Product Columns', 'sympathy'),
                'options' => array(
                    '2' => esc_html__('2', 'sympathy'),
                    '3' => esc_html__('3', 'sympathy'),
                    '4' => esc_html__('4', 'sympathy'),
                ),
                'default' => '3',
            ),
            array(
                'id' => 'qtc_archive_show_pagination_shop',
                'type' => 'switch',
                'title' => esc_html__('Show Pagination', 'sympathy'),
                'subtitle' => esc_html__('Show pagination in page archive products.', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
            ),
        ),
    );

    $this->sections[] = array(
        'title' => esc_html__('Single Products', 'sympathy'),
        'desc' => '',
        'icon' => '',
        'subsection' => true,
        'fields' => array(
            array(
                'desc' => esc_html__('Select a background pattern.', 'sympathy'),
                'id' => 'qtc_woo_detail_layout',
                'type' => 'image_select',
                'options' => array(
                    'full' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/full_width_2.png',
                    'left' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/left.png',
                    'right' => SYMPATHY_PLUGIN_OPTIONS_URL . 'assets/images/right.png',
                ),
                'default' => 'full',
                'title' => esc_html__('Layout', 'sympathy'),
            ),
            array(
                'id' => 'product-nav',
                'type' => 'switch',
                'title' => esc_html__('Show Prev/Next Product', 'sympathy'),
                'desc' => esc_html__('Will be show in breadcrumbs', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
                'default' => 1,
            ),
            array(
                'id' => 'product-short-desc',
                'type' => 'switch',
                'title' => esc_html__('Show Short Description', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
                'default' => 1,
            ),
            array(
                'id' => 'product-related',
                'type' => 'switch',
                'title' => esc_html__('Show Related Products', 'sympathy'),
                'default' => true,
                'on' => 'Yes',
                'off' => 'No',
                'default' => 1,
            ),
            array(
                'id' => 'product-related-count',
                'type' => 'text',
                'required' => array('product-related', 'equals', true),
                'title' => esc_html__('Related Products Count', 'sympathy'),
                'default' => '10'
            ),
            array(
                'id' => 'product-share',
                'type' => 'switch',
                'title' => esc_html__('Show Social Share Links', 'sympathy'),
                'default' => true,
                'on' => esc_html__('Yes', 'sympathy'),
                'off' => esc_html__('No', 'sympathy'),
                'default' => 1,
            ),
        ),
    );
}
/* Admin Font */
$this->sections[] = array(
    'title' => 'Font',
    'icon' => 'font_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_body_font_options',
            'type' => 'typography',
            'title' => esc_html__('Body Font', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array(
                'body'
            ),
            'units' => 'px',
            'default' => array(
                'color' => '#555555',
                'font-style' => 'normal',
                'font-weight' => '400',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '14px',
                'line-height' => '26px',
                'text-align' => ''
            ),
            'subtitle' => esc_html__('Typography option with each property can be called individually.', 'sympathy')
        ),
        array(
            'id' => 'font_h1',
            'type' => 'typography',
            'title' => esc_html__('H1', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array('h1'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => 'normal',
                'font-weight' => '700',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '42px',
                'line-height' => '48px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h2',
            'type' => 'typography',
            'title' => esc_html__('H2', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array('h2'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => 'normal',
                'font-weight' => '700',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '36px',
                'line-height' => '42px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h3',
            'type' => 'typography',
            'title' => esc_html__('H3', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array('h3'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => 'normal',
                'font-weight' => '700',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '24px',
                'line-height' => '30px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h4',
            'type' => 'typography',
            'title' => esc_html__('H4', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array('h4'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => 'normal',
                'font-weight' => '700',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '18px',
                'line-height' => '24px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h5',
            'type' => 'typography',
            'title' => esc_html__('H5', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array('h5'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => 'normal',
                'font-weight' => '700',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '16px',
                'line-height' => '22px',
                'text-align' => ''
            ),
        ),
        array(
            'id' => 'font_h6',
            'type' => 'typography',
            'title' => esc_html__('H6', 'sympathy'),
            'custom_fonts' => true,
            'font-backup' => true,
            'all_styles' => true,
            'output' => array('h6'),
            'units' => 'px',
            'default' => array(
                'color' => '#222222',
                'font-style' => 'normal',
                'font-weight' => '700',
                'font-family' => 'Open Sans',
                'custom_fonts' => true,
                'font-size' => '14px',
                'line-height' => '18px',
                'text-align' => ''
            ),
        )
    ),
);

/**
 * Custom Post Type
 *
 * extra css for customer.
 * @author Fox
 */
$this->sections[] = array(
    'title' => esc_html__('Custom Post Type', 'sympathy'),
    'icon' => 'custom_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_custom_post_type_info',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>If you do not want to use any of these Types, you can disable it</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Show Team', 'sympathy'),
            'id' => 'qtc_enable_team',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Team', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Change slug for Team', 'sympathy'),
            'id' => 'qtc_team_slug',
            'type' => 'text',
            'title' => esc_html__('Team Slug', 'sympathy'),
            'default' => 'team',
            'required' => array(
                0 => 'qtc_enable_team',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Show Client', 'sympathy'),
            'id' => 'qtc_enable_client',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Client', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Change slug for Client', 'sympathy'),
            'id' => 'qtc_client_slug',
            'type' => 'text',
            'title' => esc_html__('Client Slug', 'sympathy'),
            'default' => 'client',
            'required' => array(
                0 => 'qtc_enable_client',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => esc_html__('Select page Donation.', 'sympathy'),
            'id' => 'qtc_donation_slug',
            'type' => 'select',
            'options' => $option_page,
            'title' => esc_html__('Page Donation', 'sympathy'),
        ),
    ),
);

/**
 * Advanced
 *
 * css color.
 *
 * @author CMS
 */
$this->sections[] = array(
    'title' => esc_html__('Advanced', 'sympathy'),
    'icon' => 'advanced_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_custom_css',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Custom CSS Option</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Quickly add some CSS to your theme by adding it to this block.', 'sympathy'),
            'id' => 'qtc_custom_css',
            'type' => 'textarea',
            'title' => esc_html__('Custom CSS', 'sympathy'),
        ),
        array(
            'id' => 'qtc_custom_js',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Custom JS Option</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Quickly add some JS to your theme by adding it to this block.', 'sympathy'),
            'id' => 'qtc_custom_js',
            'type' => 'textarea',
            'title' => esc_html__('Custom JS', 'sympathy'),
        ),
        array(
            'id' => 'qtc_demo_content',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>Demo Content</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Import Demo', 'sympathy'),
            'id' => 'qtc_enable_import_demo_data',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('IMPORT DEMO', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('1. Media, 2. Slider, 3. Content, 4. Form, 5. Menu, 6. Widget , 7. Option', 'sympathy'),
            'id' => 'qtc_demo_sympathy',
            'type' => 'select',
            'options' => array(
                '' => esc_html__('---Select Demo---', 'sympathy'),
                'media' => esc_html__('Meida Library', 'sympathy'),
                'slider' => esc_html__('Slider', 'sympathy'),
                'content' => esc_html__('Content', 'sympathy'),
                'form' => esc_html__('Ninja Forms', 'sympathy'),
                'menu' => esc_html__('Menu', 'sympathy'),
                'widget' => esc_html__('Widget', 'sympathy'),
                'options' => esc_html__('Setting Option Theme', 'sympathy'),
            ),
            'title' => esc_html__('Select Data Demo', 'sympathy'),
            'default' => '',
            'required' => array(
                0 => 'qtc_enable_import_demo_data',
                1 => '=',
                2 => 1,
            ),
        ),
        array(
            'desc' => sprintf(__('<button id="import_demo_data" data-demo="sympathy">Import Demo</button>   <span class="lb_import"></span>', 'sympathy')),
            'id' => 'qtc_import_data',
            'icon' => false,
            'type' => 'info',
            'required' => array(
                0 => 'qtc_enable_import_demo_data',
                1 => '=',
                2 => 1,
            ),
        ),
    ),
);
$this->sections[] = array(
    'title' => esc_html__('Premium Plugins', 'sympathy'),
    'icon' => 'plugin_qtc_p',
    'fields' => array(
        array(
            'id' => 'qtc_premium_info',
            'icon' => true,
            'type' => 'info',
            'raw' => __('<h3>

	Below plugins came bundled with a theme.
	The use of these plugins is limited to this theme only.

	Hovewer if you have purchased an extra single license on CodeCanyon for any of these plugins you can disable \'bundled\' option for plugin you have purchased.
	After that you can enter your plugin purchase code on plugin options page to get Premium Support from Plugin Author and Auto Updates.</h3>', 'sympathy'),
        ),
        array(
            'desc' => esc_html__('Revolution Slider', 'sympathy'),
            'id' => 'qtc_enable_rev',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Revolution Slider', 'sympathy'),
            'default' => 1,
        ),
        array(
            'desc' => esc_html__('Visual Composer', 'sympathy'),
            'id' => 'qtc_enable_visual_composer',
            'on' => 'Yes',
            'off' => 'No',
            'type' => 'switch',
            'title' => esc_html__('Visual Composer', 'sympathy'),
            'default' => 1,
        ),
    ),
);

