<?php
/**
 * Button
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
/* -------------------Button---------------------- */
sympathy_insert_shortcode('sympathy_button', 'sympathy_button_template');
if (!function_exists('sympathy_button_template')):

    function sympathy_button_template($atts, $content) {
        global $sympathy_smof_data;
        extract(shortcode_atts(array(
            'dimension_btn' => 'three',
            'btn_size' => 'small',
            'btn_url' => '',
            'corner_style' => 'pointed',
            'btn_align' => 'left',
            'btn_target' => '_self',
            'btn_fullwidth' => 'false',
            'id_btn' => '',
            'margin_top' => 0,
            'margin_bottom' => 15,
            'margin_right' => 15,
            'el_class' => '',
            'btn_outline_skin' => 'color_dark',
            'btn_outline_active_color' => '',
            'btn_outline_active_text_color' => '',
            'btn_outline_hover_bg_color' => '',
            'btn_outline_hover_color' => '',
            'border_btn' => '',
            'border_hover_btn' => '',
            'btn_bg_color' => '',
            'bg_btn_hover' => '',
            'btn_txt_color' => 'color_light',
            'btn_hover_txt_color' => '',
                        ), $atts));
        $rand_grid = rand(5, 12315646131);
        $id = md5(time() . ' ' . $rand_grid);
        $style_id = !empty($id_btn) ? $id_btn : '';
        $btn_url = !empty($btn_url) ? $btn_url : '#';
        $btn_target = !empty($btn_target) ? $btn_target : '';
        /**
         * Class Output
         * ================================================================================== */
        $class_container[] = ($btn_fullwidth == 'true') ? 'width-full' : '';
        $class_container[] = ($btn_align == 'center') ? 'block text-center' : 'inline ' . $btn_align . '';
        $class_container[] = $el_class;

        $class_element[] = 'crt-button--dimension-' . $dimension_btn;
        $class_element[] = 'crt-button--size-' . $btn_size;
        $class_element[] = 'crt-button--corner-' . $corner_style;
        if ($dimension_btn == 'outline') {
            if ($btn_outline_skin != 'color_custom') {
                $class_element[] = 'skin-' . $btn_outline_skin;
            }
        }
        if ($dimension_btn == 'three' || $dimension_btn == 'two' || $dimension_btn == 'flat') {
            $class_element[] = 'text-' . $btn_txt_color;
        }
        $class_element_atomic[] = '';

        if ($btn_size == 'small' || $btn_size == 'medium') {
            $class_element_atomic[] = 'letter-spacing-1';
        } else if ($btn_size == 'large' || $btn_size == 'x-large' || $btn_size == 'xx-large') {
            $class_element_atomic[] = 'letter-spacing-2';
        }

        if ($btn_fullwidth != 'true') {
            $class_element_atomic[] = 'inline';
        } else {
            $class_element_atomic[] = 'block';
        }

        ob_start();
        ?>
        <style type="text/css"> 
            #crt-button-<?php echo esc_attr($id); ?>{
                margin-bottom: <?php echo esc_attr($margin_bottom); ?>px;
                margin-top: <?php echo esc_attr($margin_top); ?>px;
                margin-right: <?php echo esc_attr($margin_right); ?>px;
            }

            <?php if ($btn_fullwidth != 'true'): ?>
                #crt-button-<?php echo esc_attr($id); ?> .crt-button {
                    display: inline-block;
                    max-width: 100%;
                }
                <?php
            endif;

            if ($dimension_btn == 'three' || $dimension_btn == 'two' || $dimension_btn == 'flat') {
                ?>
                #crt-button-<?php echo esc_attr($id); ?> .crt-button {
                    background-color: <?php echo esc_attr($btn_bg_color); ?>;
                }

                <?php
                if ($dimension_btn == 'three' || $dimension_btn == 'two') {
                    $color = ($btn_txt_color == 'color_light') ? 'color: #fff;' : 'color: #585858';
                    ?>

                    #crt-button-<?php echo esc_attr($id); ?> .crt-button {
                        background-color: <?php echo esc_attr($btn_bg_color); ?>;
                        <?php echo esc_attr($color); ?>
                    }
                    #crt-button-<?php echo esc_attr($id); ?> .crt-button:hover {
                        background-color: <?php echo hexDarker($btn_bg_color, 7) ?>;
                    }
                <?php } ?>
                <?php if ($dimension_btn == 'three') { ?>
                    #crt-button-<?php echo esc_attr($id); ?> .crt-button,
                    #crt-button-<?php echo esc_attr($id); ?> .crt-button:active {
                        box-shadow: 0px 3px 0px 0px <?php echo hexDarker($btn_bg_color, 20); ?>;
                    }
                <?php } ?>

                <?php
                if ($dimension_btn == 'flat') {
                    $hover_text_color = ($btn_hover_txt_color != '') ? 'color:' . $btn_hover_txt_color . ';' : '';
                    $hover_bg_color = ($bg_btn_hover != '') ? 'background-color:' . $bg_btn_hover . ';' : '';
                    ?>
                    #crt-button-<?php echo esc_attr($id); ?> .crt-button:hover{
                        <?php
                        echo esc_attr($hover_text_color);
                        echo esc_attr($hover_bg_color);
                        ?>
                    }
                <?php } ?>
            <?php } ?>

            <?php
            if ($dimension_btn == 'outline') {
                $active_text_color = ($btn_outline_active_text_color != '') ? $btn_outline_active_text_color : $btn_outline_active_color;
                $hover_bg_color = ($btn_outline_hover_bg_color != '') ? $btn_outline_hover_bg_color : $btn_outline_active_color;

                if ($dimension_btn == 'outline' && $btn_outline_skin == 'color_custom') {
                    ?>
                    #crt-button-<?php echo esc_attr($id); ?> .crt-button{
                        border-color: <?php echo esc_attr($border_btn); ?>;
                        color: <?php echo esc_attr($active_text_color); ?>;
                    }
                    #crt-button-<?php echo esc_attr($id); ?> .crt-button:hover{
                        background-color: <?php echo esc_attr($hover_bg_color); ?>;
                        color: <?php echo esc_attr($btn_outline_hover_color); ?>;
                        border-color: <?php echo esc_attr($border_hover_btn); ?>;
                    }
                <?php } ?>

            <?php }
            ?>
        </style>
        <div id="crt-button-<?php echo esc_attr($id); ?>" class="crt-button-container _ relative <?php echo implode(' ', $class_container); ?>">
            <a <?php if($style_id != ''){ ?> id="<?php echo esc_attr($style_id); ?>" <?php } ?> href="<?php echo esc_url($btn_url); ?>" target="<?php echo esc_attr($btn_target); ?>" class="crt-button <?php echo implode(' ', $class_element); ?> text-center font-weight-700 _ relative no-backface <?php echo implode(' ', $class_element_atomic); ?>">                
                <span class="crt-button--text"><?php echo do_shortcode(strip_tags($content)); ?></span>                
            </a>
        </div>
        <?php
        return ob_get_clean();
    }

endif;

add_action('vc_before_init', 'sympathy_vc_button');
if (!function_exists('sympathy_vc_button')) {

    function sympathy_vc_button() {
        vc_map(array(
            "name" => esc_html__("Sympathy Button", 'sympathy'),
            "base" => "sympathy_button",
            "class" => "sympathy_button",
            "category" => esc_html__('QTCThemes', 'sympathy'),
            'icon' => get_template_directory_uri() . "/images/icon/breadcrum.png",
            'description' => esc_html__('Powerful & versatile button shortcode', 'sympathy'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Style", "sympathy"),
                    "param_name" => "dimension_btn",
                    "value" => array(
                        esc_html__("2D", "sympathy") => "two",
                        esc_html__("Flat", "sympathy") => "flat",
                        esc_html__("Outline", "sympathy") => "outline",
                        esc_html__("3D", "sympathy") => "three",
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "textarea",
                    "holder" => "div",
                    "heading" => esc_html__("Button Text", "sympathy"),
                    "param_name" => "content",
                    "rows" => 1,
                    "value" => "",
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Corner style", "sympathy"),
                    "param_name" => "corner_style",
                    "value" => array(
                        "Pointed" => "pointed",
                        "Rounded" => "rounded",
                        "Full Rounded" => "full_rounded"
                    ),
                    "description" => __("How will your button corners look like?", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Size", "sympathy"),
                    "param_name" => "btn_size",
                    "value" => array(
                        "Small" => "small",
                        "Medium" => "medium",
                        "Large" => "large",
                        "X-Large" => "x-large",
                        "XX-Large" => "xx-large"
                    ),
                    "description" => __("", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Button URL", "sympathy"),
                    "param_name" => "btn_url",
                    "value" => "",
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Target", "sympathy"),
                    "param_name" => "btn_target",
                    "value" => array(
                        esc_html__("Same Window", "sympathy") => "_self",
                        esc_html__("New Window", "sympathy") => "_blank",
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Align", "sympathy"),
                    "param_name" => "btn_align",
                    "value" => array(
                        esc_html__('Left', "sympathy") => "left",
                        esc_html__('Right', "sympathy") => "right",
                        esc_html__('Center', "sympathy") => "center",
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Full width button?", "sympathy"),
                    "param_name" => "btn_fullwidth",
                    "value" => array(
                        esc_html__('No', "sympathy") => "false",
                        esc_html__('Yes', "sympathy") => "true",
                    ),
                    "description" => esc_html__("Using this option you can make the button full width and cover one row.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Button ID", "sympathy"),
                    "param_name" => "id_btn",
                    "value" => "",
                    "description" => esc_html__("If your want to use id for this button to refer it in your custom JS, fill this textbox.", "sympathy")
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Margin Top", "sympathy"),
                    "param_name" => "margin_top",
                    'value' => 0,
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Margin Bottom", "sympathy"),
                    "param_name" => "margin_bottom",
                    'value' => 0,
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Margin Right", "sympathy"),
                    "param_name" => "margin_right",
                    'value' => 0,
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "sympathy"),
                    "param_name" => "el_class",
                    "value" => "",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Button Skin", "sympathy"),
                    "param_name" => "btn_outline_skin",
                    "value" => array(
                        "Dark Color" => "color_dark",
                        "Light Color" => "color_light",
                        "Custom Color" => "color_custom"
                    ),
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "dimension_btn",
                        'value' => array(
                            'outline',
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Background Color", "sympathy"),
                    "param_name" => "btn_outline_active_color",
                    "value" => "",
                    "description" => esc_html__("The border and text color of button", "sympathy"),
                    "dependency" => array(
                        'element' => "btn_outline_skin",
                        'value' => array(
                            'color_custom'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Text Color", "sympathy"),
                    "param_name" => "btn_outline_active_text_color",
                    "value" => "",
                    "description" => esc_html__("The text color of button", "sympathy"),
                    "dependency" => array(
                        'element' => "btn_outline_skin",
                        'value' => array(
                            'color_custom'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Hover Background Color", "sympathy"),
                    "param_name" => "btn_outline_hover_bg_color",
                    "value" => "",
                    "description" => esc_html__("The background color when hovered on button", "sympathy"),
                    "dependency" => array(
                        'element' => "btn_outline_skin",
                        'value' => array(
                            'color_custom'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Border Button", "sympathy"),
                    "param_name" => "border_btn",
                    "value" => '',
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "btn_outline_skin",
                        'value' => array(
                            'color_custom'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Border Hover Button", "sympathy"),
                    "param_name" => "border_hover_btn",
                    "value" => '',
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "btn_outline_skin",
                        'value' => array(
                            'color_custom'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Hover Text Color", "sympathy"),
                    "param_name" => "btn_outline_hover_color",
                    "value" => "",
                    "description" => esc_html__("The text color when hovered on button", "sympathy"),
                    "dependency" => array(
                        'element' => "btn_outline_skin",
                        'value' => array(
                            'color_custom'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Background Color", "sympathy"),
                    "param_name" => "btn_bg_color",
                    "value" => '',
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "dimension_btn",
                        'value' => array(
                            'two',
                            'three',
                            'flat'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Background Color (Hover)", "sympathy"),
                    "param_name" => "bg_btn_hover",
                    "value" => '',
                    "description" => esc_html__("Please note that this option is only for Flat style", "sympathy"),
                    "dependency" => array(
                        'element' => "dimension_btn",
                        'value' => array(
                            'flat'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Button Text Color", "sympathy"),
                    "param_name" => "btn_txt_color",
                    "value" => array(
                        "Light" => "color_light",
                        "Dark" => "color_dark"
                    ),
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "dimension_btn",
                        'value' => array(
                            'two',
                            'three',
                            'flat'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Text Color (Hover)", "sympathy"),
                    "param_name" => "btn_hover_txt_color",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "dimension_btn",
                        'value' => array(
                            'flat'
                        )
                    ),
                    "group" => esc_html__('Colors', 'sympathy')
                ),
            )
        ));
    }

}