<?php
/**
 * Social Network
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
/* -------------------Social Network---------------------- */
sympathy_insert_shortcode('sympathy_content_box', 'sympathy_content_box_template');
if (!function_exists('sympathy_content_box_template')):

    function sympathy_content_box_template($atts, $content) {
        global $sympathy_smof_data;
        extract(shortcode_atts(array(
            'txt_align' => 'left',
            'style' => 'icon-title',
            'style_layout' => 'layout_1',
            'selected_team_icon' => '',
            'title' => '',
            'font_icon' => '24px',
            'font_title' => '24px',
            'margin_bottom_title' => '20px',
            'color_title' => '',
            'hover_title_color' => '',
            'color_icon' => '',
            'hover_icon_color' => '',
            'font_content' => '14px',
            'button_url' => '#',
            'color_btn' => '',
            'border_btn' => '',
            'color_btn_hover' => '',
            'hover_border_btn' => '',
            'bg_btn' => '',
            'hover_bg_btn' => '',
            'margin_bottom' => '20px',
            'button_text' => 'Show More',
            'btn_font_size' => '16px',
            'border_radius' => '4px',
            'el_class' => '',
                        ), $atts));
        $rand_grid = rand(5, 12315646131);
        $id = md5(time() . ' ' . $rand_grid);
        $layout = ($style_layout != '') ? $style_layout : '';
        ob_start();
        ?>
        <style type="text/css">
            #sympathy-content-box-<?php echo esc_attr($id); ?>.box-<?php echo esc_attr($txt_align); ?> {
                text-align:<?php echo esc_attr($txt_align); ?>;
            }            
            #sympathy-content-box-<?php echo esc_attr($id); ?>.layout_1 .title, #sympathy-content-box-<?php echo esc_attr($id); ?>.layout_2 .crt-title-icon-<?php echo esc_attr($txt_align); ?>, #sympathy-content-box-<?php echo esc_attr($id); ?>.box-center a.icon-box, #sympathy-content-box-<?php echo esc_attr($id); ?> p, #sympathy-content-box-<?php echo esc_attr($id); ?> .icon-box-title{
                margin-bottom: <?php echo esc_attr($margin_bottom_title); ?>px;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?> i{
                font-size: <?php echo esc_attr($font_icon); ?>px;
                vertical-align:middle;
                color: <?php echo esc_attr($color_icon); ?>;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?> .title {
                font-size: <?php echo esc_attr($font_title); ?>px;
                text-transform: uppercase;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?> h4.title a{
                color: <?php echo esc_attr($color_title); ?>;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?> a.box-readmore{
                color: <?php echo esc_attr($color_btn); ?>;
                border-color: <?php echo esc_attr($border_btn); ?>;
                border-radius: <?php echo esc_attr($border_radius); ?>px;
                background: <?php echo esc_attr($bg_btn); ?>;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?>{
                margin-bottom: <?php echo esc_attr($margin_bottom); ?>px;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?>:hover .icon-box{
                -webkit-animation: pulse 1.3s both;
                animation: pulse 1.3s both;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?>:hover i{
                color: <?php echo esc_attr($hover_icon_color); ?>;
                transition     : all .3s ease;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?>:hover h4.title a{
                color: <?php echo esc_attr($hover_title_color); ?>;
                transition     : all .3s ease;
            }
            #sympathy-content-box-<?php echo esc_attr($id); ?>:hover a.box-readmore{
                transition     : all .3s ease;
                color: <?php echo esc_attr($color_btn_hover); ?>;
                border-color: <?php echo esc_attr($hover_border_btn); ?>;
                background: <?php echo esc_attr($hover_bg_btn); ?>;
            }
        </style>
        <div id="sympathy-content-box-<?php echo esc_attr($id); ?>" class="row sympathy-content-box box-<?php echo esc_attr($txt_align); ?> <?php echo esc_attr($layout); ?> <?php echo esc_attr($el_class); ?>">
            <?php if ($txt_align == 'center' && $style == 'title-icon'): ?>
                <div class="col-sm-12">
                    <?php if (!empty($title)): ?>
                        <h4 class="title icon-box-title"><a href="<?php echo esc_url($button_url); ?>"><?php echo esc_attr($title); ?></a></h4>                
                    <?php endif; ?>
                    <a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a> 
                    <p><?php echo do_shortcode($content); ?></p>
                    <a class="box-readmore" href="<?php echo esc_url($button_url); ?>"> 
                        <span class="crt-button--text"><?php echo esc_attr($button_text); ?></span>
                    </a>
                </div>
            <?php elseif ($txt_align == 'left' && $style_layout == 'layout_1'): ?> 
                <div class="col-sm-2 crt-title-icon-<?php echo esc_attr($txt_align); ?>">
                    <a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a>
                </div>
                <div class="col-sm-10">
                    <?php if (!empty($title)): ?>
                        <h4 class="title"><a href="<?php echo esc_url($button_url); ?>"><?php echo esc_attr($title); ?></a></h4>
                    <?php endif; ?>
                    <p><?php echo do_shortcode($content); ?></p>
                    <a class="box-readmore" href="<?php echo esc_url($button_url); ?>"> 
                        <span class="crt-button--text"><?php echo esc_attr($button_text); ?></span>
                    </a>
                </div>                
            <?php elseif ($txt_align == 'left' && $style_layout == 'layout_2'): ?> 
                <div class="col-sm-12">
                    <ul class="crt-title-icon-<?php echo esc_attr($txt_align); ?>">
                        <li><a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a></li>
                        <?php if (!empty($title)): ?>
                            <li class="crt-title-right">
                                <h4 class="title"><a href="<?php echo esc_url($button_url); ?>"><?php echo esc_attr($title); ?></a></h4>
                            </li>
                        <?php endif; ?>
                    </ul>
                    <p><?php echo do_shortcode($content); ?></p>
                    <a class="box-readmore" href="<?php echo esc_url($button_url); ?>"> 
                        <span class="crt-button--text"><?php echo esc_attr($button_text); ?></span>
                    </a>
                </div>
            <?php elseif ($txt_align == 'right' && $style_layout == 'layout_1'): ?>  
                <div class="col-sm-3 crt-title-icon-<?php echo esc_attr($txt_align); ?> crt-hidden">
                    <a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a>
                </div>  
                <div class="col-sm-9">
                    <?php if (!empty($title)): ?>
                        <h4 class="title"><a href="<?php echo esc_url($button_url); ?>"><?php echo esc_attr($title); ?></a></h4>
                    <?php endif; ?>
                    <p><?php echo do_shortcode($content); ?></p>
                    <a class="box-readmore" href="<?php echo esc_url($button_url); ?>"> 
                        <span class="crt-button--text"><?php echo esc_attr($button_text); ?></span>
                    </a>
                </div>
                <div class="col-sm-3 crt-title-icon-<?php echo esc_attr($txt_align); ?> crt_block">
                    <a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a>
                </div>                 
            <?php elseif ($txt_align == 'right' && $style_layout == 'layout_2'): ?>  
                <div class="col-sm-12">
                    <ul class="crt-title-icon-<?php echo esc_attr($txt_align); ?>">
                        <?php if (!empty($title)): ?>
                            <li>
                                <h4 class="title"><a href="<?php echo esc_url($button_url); ?>"><?php echo esc_attr($title); ?></a></h4>
                            </li>
                        <?php endif; ?>
                        <li class="crt-title-right">
                            <a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a>
                        </li>
                    </ul>
                    <p><?php echo do_shortcode($content); ?></p>
                    <a class="box-readmore" href="<?php echo esc_url($button_url); ?>"> 
                        <span class="crt-button--text"><?php echo esc_attr($button_text); ?></span>
                    </a>
                </div>
            <?php else: ?>
                <div class="col-sm-12">
                    <a class="icon-box" href="<?php echo esc_url($button_url); ?>"><i class="<?php echo esc_attr($selected_team_icon); ?>"></i></a> 
                    <?php if (!empty($title)): ?>
                        <h4 class="title icon-box-title"><a href="<?php echo esc_url($button_url); ?>"><?php echo esc_attr($title); ?></a></h4>                
                    <?php endif; ?>
                    <p><?php echo do_shortcode($content); ?></p>
                    <a class="box-readmore" href="<?php echo esc_url($button_url); ?>"> 
                        <span class="crt-button--text"><?php echo esc_attr($button_text); ?></span>
                    </a>
                </div>
            <?php endif; ?>
            <div class="clearboth"></div>
        </div>
        <?php
        return ob_get_clean();
    }

endif;

add_action('vc_before_init', 'sympathy_vc_content_box');
if (!function_exists('sympathy_vc_content_box')) {

    function sympathy_vc_content_box() {
        vc_map(array(
            "base" => "sympathy_content_box",
            "name" => esc_html__("Content Box", "sympathy"),
            "category" => esc_html__('QTCThemes', 'sympathy'),
            'icon' => get_template_directory_uri() . "/images/icon/message.png",
            'description' => esc_html__('Adds content based boxes.', 'sympathy'),
            'params' => array(
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Box Align", "sympathy"),
                    "param_name" => "txt_align",
                    "value" => array(
                        esc_html__('Left', "sympathy") => "left",
                        esc_html__('Right', "sympathy") => "right",
                        esc_html__('Center', "sympathy") => "center",
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Style Box", "sympathy"),
                    "param_name" => "style_layout",
                    "value" => array(
                        esc_html__('Layout 1', "sympathy") => "layout_1",
                        esc_html__('Layout 2', "sympathy") => "layout_2",
                    ),
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "txt_align",
                        'value' => array(
                            'left',
                            'right'
                        )
                    )
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Style Box", "sympathy"),
                    "param_name" => "style",
                    "value" => array(
                        esc_html__('Icon above Title', "sympathy") => "icon-title",
                        esc_html__('Title above Icon', "sympathy") => "title-icon",
                    ),
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "txt_align",
                        'value' => array(
                            'center'
                        )
                    )
                ),
                array(
                    'type' => 'icon_manager',
                    'heading' => esc_html__('Select Icon', 'sympathy'),
                    'param_name' => 'selected_team_icon',
                    'value' => '',
                    'description' => esc_html__('Select icon from library.', 'sympathy'),
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Font size icon (px)", "sympathy"),
                    "param_name" => "font_icon",
                    "value" => 24,
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title", "sympathy"),
                    "param_name" => "title",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Font size title (px)", "sympathy"),
                    "param_name" => "font_title",
                    "value" => 24,
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Title Margin Bottom (px)", "sympathy"),
                    "param_name" => "margin_bottom_title",
                    "value" => 20,
                    "description" => esc_html__("Margin bottom title", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Title Color", "sympathy"),
                    "param_name" => "color_title",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),                
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Hover Title Color", "sympathy"),
                    "param_name" => "hover_title_color",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Icon Color", "sympathy"),
                    "param_name" => "color_icon",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Hover Icon Color", "sympathy"),
                    "param_name" => "hover_icon_color",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "textarea_html",
                    "holder" => "div",
                    "heading" => esc_html__("Content", "sympathy"),
                    "param_name" => "content",
                    "value" => esc_html__("", "sympathy"),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Font size content", "sympathy"),
                    "param_name" => "font_content",
                    "value" => 14,
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Button Url", "sympathy"),
                    "param_name" => "button_url",
                    "value" => "#",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Button Text", "sympathy"),
                    "param_name" => "button_text",
                    "value" => "Show More",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Font size button", "sympathy"),
                    "param_name" => "btn_font_size",
                    "value" => 16,
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Button Color", "sympathy"),
                    "param_name" => "color_btn",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Color Hover Button", "sympathy"),
                    "param_name" => "color_btn_hover",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Color Border Button", "sympathy"),
                    "param_name" => "border_btn",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Hover Color Border Button", "sympathy"),
                    "param_name" => "hover_border_btn",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Background Button", "sympathy"),
                    "param_name" => "bg_btn",
                    "value" => "",
                    "description" => esc_html__("Default is transparent", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Hover Background Button", "sympathy"),
                    "param_name" => "hover_bg_btn",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Border Radius Button (px)", "sympathy"),
                    "param_name" => "border_radius",
                    "value" => 4,
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "number",
                    "heading" => esc_html__("Margin Bottom (px)", "sympathy"),
                    "param_name" => "margin_bottom",
                    "value" => 20,
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "sympathy"),
                    "param_name" => "el_class",
                    "value" => "",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your CSS file.", "sympathy")
                )
            )
        ));
    }

} 