<?php
/**
 * Heading Title
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
/* -------------------Heading Title---------------------- */
sympathy_insert_shortcode('sympathy_heading_title', 'sympathy_heading_title_template');
if (!function_exists('sympathy_heading_title_template')):

    function sympathy_heading_title_template($atts, $content) {
        global $sympathy_smof_data;
        extract(shortcode_atts(array(
            'el_class' => '',
            'color_style' => 'single_color',
            'color' => '',
            "size" => '30px',
            'font_weight' => 'inherit',
            'margin_bottom' => '20px',
            'txt_transform' => 'initial',
            'margin_top' => '0px',
            "align" => 'left',
            'tag_name' => 'h2',
            'font_style' => 'normal',
            'show_seperator' => 'hide',
            'width_seperator' => '100%',
            'height_seperator' => '1px',
            'color_seperator' => '',
            'line_height' => '100%'
                        ), $atts));
        $class[] = 'align-' . $align;
        $class[] = $el_class;
        $rand_grid = rand(5, 12315646131);
        $id = md5(time() . ' ' . $rand_grid);
        ob_start();
        ?>
        <<?php echo esc_attr($tag_name); ?> style="line-height:<?php echo esc_attr($line_height); ?>;font-style:<?php echo esc_attr($font_style); ?>;text-align:<?php echo esc_attr($align); ?>;margin-top:<?php echo esc_attr($margin_top); ?>;text-transform:<?php echo esc_attr($txt_transform); ?>;margin-bottom:<?php echo esc_attr($margin_bottom); ?>;font-weight:<?php echo esc_attr($font_weight); ?>;font-size:<?php echo esc_attr($size); ?>;color :<?php echo esc_attr($color); ?>;" id="heading-title-<?php echo esc_attr($id); ?>" class="sympathy-heading-title <?php echo implode(' ', $class); ?>">
        <span>
            <?php echo do_shortcode(strip_tags($content)); ?>
        </span>
        <style type="text/css">
        <?php if ($show_seperator == 'hide'): ?>
                #heading-title-<?php echo esc_attr($id); ?> span:before, .sympathy-heading-title:before{     
                    display:none;
                }
        <?php endif; ?>
            #heading-title-<?php echo esc_attr($id); ?> span:before{                
                height: <?php echo esc_attr($height_seperator); ?>;
                width:<?php echo esc_attr($width_seperator); ?>;
                background:<?php echo esc_attr($color_seperator); ?>; 
            }
            .sympathy-heading-title:before{
                height: <?php echo esc_attr($height_seperator); ?>;
            }
        </style>
        </<?php echo esc_attr($tag_name); ?>>        
        <?php
        return ob_get_clean();
    }

endif;

add_action('vc_before_init', 'sympathy_vc_heading_title');
if (!function_exists('sympathy_vc_heading_title')) {

    function sympathy_vc_heading_title() {
        vc_map(array(
            "name" => esc_html__("Heading Title", 'sympathy'),
            "base" => "sympathy_heading_title",
            "class" => "sympathy_heading_title",
            "category" => esc_html__('QTCThemes', 'sympathy'),
            'icon' => get_template_directory_uri() . "/images/icon/message.png",
            'description' => esc_html__('Show list cases', 'sympathy'),
            "params" => array(
                array(
                    "type" => "textarea_html",
                    "holder" => "div",
                    "heading" => esc_html__("Content.", "sympathy"),
                    "param_name" => "content",
                    "value" => esc_html__("", "sympathy"),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Tag Name", "sympathy"),
                    "param_name" => "tag_name",
                    "value" => array(
                        "h2" => "h2",
                        "h3" => "h3",
                        "h4" => "h4",
                        "h5" => "h5",
                        "h6" => "h6",
                        "h1" => "h1"
                    ),
                    "description" => esc_html__("For SEO reasons you might need to define your titles tag names according to priority. Please note that H1 can only be used only once in a page due to the SEO reasons. So try to use lower than H2 to meet SEO best practices.", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Seperator", "sympathy"),
                    "param_name" => "show_seperator",
                    "default" => "hide",
                    "value" => array(
                        esc_html__('Hide', "sympathy") => "hide",
                        esc_html__('Show', "sympathy") => "show"
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Width Seperator (px/%)", "sympathy"),
                    "param_name" => "width_seperator",
                    "value" => "100%",
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "show_seperator",
                        'value' => array(
                            'show'
                        )
                    )
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Height Seperator", "sympathy"),
                    "param_name" => "height_seperator",
                    "value" => "1px",
                    "description" => esc_html__("Please enter height in this section. Ex 1px. Default: 1px", "sympathy"),
                    "dependency" => array(
                        'element' => "show_seperator",
                        'value' => array(
                            'show'
                        )
                    )
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Seperator Color", "sympathy"),
                    "param_name" => "color_seperator",
                    "value" => "",
                    "description" => esc_html__("", "sympathy"),
                    "dependency" => array(
                        'element' => "show_seperator",
                        'value' => array(
                            'show'
                        )
                    )
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => esc_html__("Text Color", "sympathy"),
                    "param_name" => "color",
                    "value" => "single_color",
                    "description" => esc_html__("", "sympathy"),
                ),
                array(
                    'type' => 'textfield',
                    "heading" => esc_html__("Font Size (px)", "sympathy"),
                    "param_name" => "size",
                    "value" => "14px",
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    'type' => 'textfield',
                    "heading" => esc_html__("Line Height (px)", "sympathy"),
                    "param_name" => "line_height",
                    "value" => "100%",
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Font Weight", "sympathy"),
                    "param_name" => "font_weight",
                    "value" => array(
                        "Normal" => "normal",
                        "Bold" => "bold",
                        '100' => '100',
                        '200' => '200',
                        '300' => '300',
                        '400' => '400',
                        '500' => '500',
                        '600' => '600',
                        '700' => '700',
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Font Style", "sympathy"),
                    "param_name" => "font_style",
                    "value" => array(
                        esc_html__('Default', "sympathy") => "inherit",
                        esc_html__('Normal', "sympathy") => "normal",
                        esc_html__('Italic', "sympathy") => "italic",
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Text Transform", "sympathy"),
                    "param_name" => "txt_transform",
                    "value" => array(
                        esc_html__('Default', "sympathy") => "initial",
                        esc_html__('None', "sympathy") => "none",
                        esc_html__('Uppercase', "sympathy") => "uppercase",
                        esc_html__('Lowercase', "sympathy") => "lowercase",
                        esc_html__('Capitalize', "sympathy") => "capitalize"
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Align", "sympathy"),
                    "param_name" => "align",
                    "width" => 150,
                    "value" => array(
                        esc_html__('Left', "sympathy") => "left",
                        esc_html__('Right', "sympathy") => "right",
                        esc_html__('Center', "sympathy") => "center"
                    ),
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    'type' => 'textfield',
                    "heading" => esc_html__("Margin Top (px)", "sympathy"),
                    "param_name" => "margin_top",
                    "value" => "0px",
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    'type' => 'textfield',
                    "heading" => esc_html__("Margin Bottom (px)", "sympathy"),
                    "param_name" => "margin_bottom",
                    "value" => "20px",
                    "description" => esc_html__("", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "sympathy"),
                    "param_name" => "el_class",
                    "value" => "",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "sympathy")
                )
            )
        ));
    }

} 