<?php
/**
 * Shortcode Team.
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com/
 */
/* -------------------Team---------------------- */

sympathy_insert_shortcode('sympathy_our_team', 'sympathy_our_team_template');

if (!function_exists('sympathy_our_team_template')):

    function sympathy_our_team_template($attr) {
        ob_start();
        $template = '';
        extract(shortcode_atts(array(
            'template' => 'Template Slider',
            'posts_per_page' => -1,
            'autoplay' => 'true',
            'el_class' => '',
                        ), $attr));
        $args = array(
            'post_type' => 'team',
            'post_status' => 'publish',
            'posts_per_page' => $posts_per_page,
            'orderby' => 'date',
            'order' => 'DESC',
        );
        $the_query = new WP_Query($args);
        $rand_grid = rand(5, 12315646131);
        $id_team = md5(time() . ' ' . $rand_grid);
        $class_ul = '';
        if ($template == "Template Slider") {
            $template = "template_slider";
            $class_ul = "team-wrap-slider owl-carousel";
        } elseif ($template == "Template Slider Two") {
            $template = "template_slider2";
            $class_ul = "team-wrap-slider2 owl-carousel";
        } else {
            $template = "template_grid";
            $class_ul = "team-wrap-grid";
        }
        ?>
        <!-- BEGIN BLOCK OUR TEAM -->
        <div id="<?php echo "sympathy_our_team_" . esc_attr($id_team); ?>" class="sympathy-our-team <?php echo esc_attr($template) . " " . esc_attr($el_class); ?>">
            <ul class="team-wrap <?php echo esc_attr($class_ul); ?>">
                <?php
                if ($the_query->have_posts()) :
                    while ($the_query->have_posts()) : $the_query->the_post();
                        $post_id = get_the_ID();
                        $thumb_id = get_post_thumbnail_id($post_id);
                        $alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
                        $url = wp_get_attachment_url($thumb_id);
                        $image = sympathy_image_resize($url, 210, 210, true);
                        $position_team = get_post_meta($post_id, 'position_team', true);
                        $email_team = get_post_meta($post_id, 'email_team', true);
                        $phone_team = get_post_meta($post_id, 'phone_team', true);
                        $facebook_team = get_post_meta($post_id, 'facebook_team', true);
                        $google_team = get_post_meta($post_id, 'google_team', true);
                        $twitter_team = get_post_meta($post_id, 'twitter_team', true);
                        $pinterest_team = get_post_meta($post_id, 'pinterest_team', true);
                        ?>
                        <li class="<?php
                        if ($template == 'template_grid') {
                            echo "tpl-grid-item col-xs-12 col-sm-6 col-md-3 col-lg-3";
                        }else{ echo "tpl-item"; }
                        ?>">
                            <div class="box">
                                <?php if ($template == 'template_grid' || $template == 'template_slider') { ?>
                                    <div class="box-img spt-hv-scale-img">
                                        <a href="javascript:;">
                                            <?php if (!empty($image)) { ?>
                                                <img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($alt); ?>"/>
                                            <?php } else { ?>
                                                <img src="<?php echo esc_url($url); ?>" alt="<?php echo esc_attr($alt); ?>"/>
                                            <?php } ?>
                                        </a>
                                    </div>
                                    <div class="box-content char-text-center">
                                        <a href="javascript:;" class="sympathy-hover-child-color-primary"><h3><?php echo esc_attr(the_title()); ?></h3></a>
                                        <?php if ($position_team != ''): ?>
                                            <p><?php echo esc_attr($position_team); ?></p>
                                        <?php endif; ?>
                                        <ul class="social">
                                            <?php if (!empty($facebook_team)) { ?>
                                                <li><a href="<?php echo esc_url($facebook_team); ?>" draggable="false"><span class="fa fa-facebook-square"></span></a></li>
                                                <?php
                                            }
                                            if (!empty($google_team)) {
                                                ?>
                                                <li><a href="<?php echo esc_url($google_team); ?>" draggable="false"><span class="fa fa-google-plus-square"></span></a></li>
                                                <?php
                                            }
                                            if (!empty($twitter_team)) {
                                                ?>
                                                <li><a href="<?php echo esc_url($twitter_team); ?>" draggable="false"><span class="fa fa-twitter-square"></span></a></li>
                                                <?php
                                            }
                                            if (!empty($pinterest_team)) {
                                                ?>
                                                <li><a href="<?php echo esc_url($pinterest_team); ?>" draggable="false"><span class="fa fa-pinterest-square"></span></a></li>
                                            <?php } ?>
                                        </ul>
                                    </div>
                                <?php } else { ?>
                                    <div class="row box-2">
                                        <div class="col-img col-xs-12 col-sm-6 col-md-6 col-lg-6 set-margin">
                                            <div class="flex-mobi">
                                                <div class="box-img spt-hv-scale-img">
                                                    <a href="javascript:;">
                                                        <img src="<?php echo esc_url($url); ?>" alt="<?php echo esc_attr($alt); ?>"/>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-content col-xs-12 col-sm-6 col-md-6 col-lg-6">
                                            <div class="box-content char-text-center">
                                                <a href="javascript:;" class="sympathy-hover-child-color-primary"><h3><?php echo esc_attr(the_title()); ?></h3></a>
                                                <?php if ($position_team != ''): ?>
                                                    <i><?php echo esc_attr($position_team); ?></i>
                                                <?php endif; ?>
                                                <div class="box-content-p"><?php the_content(); ?></div>
                                                <ul class="contact-info">
                                                    <?php if($email_team != ''){ ?>
                                                    <li><a href="javascript:;"><span class="fa fa-envelope char-color-red"></span><?php echo esc_attr($email_team); ?></a></li>
                                                    <?php }
                                                    if($phone_team != ''){ ?>
                                                    <li><a href="javascript:;"><span class="fa fa-phone char-color-red"></span><?php echo esc_attr($phone_team); ?></a></li>
                                                    <?php } ?>
                                                </ul>
                                                <ul class="social">
                                                    <?php if (!empty($facebook_team)) { ?>
                                                        <li><a href="<?php echo esc_url($facebook_team); ?>" draggable="false"><span class="fa fa-facebook-square"></span></a></li>
                                                        <?php
                                                    }
                                                    if (!empty($google_team)) {
                                                        ?>
                                                        <li><a href="<?php echo esc_url($google_team); ?>" draggable="false"><span class="fa fa-google-plus-square"></span></a></li>
                                                        <?php
                                                    }
                                                    if (!empty($twitter_team)) {
                                                        ?>
                                                        <li><a href="<?php echo esc_url($twitter_team); ?>" draggable="false"><span class="fa fa-twitter-square"></span></a></li>
                                                        <?php
                                                    }
                                                    if (!empty($pinterest_team)) {
                                                        ?>
                                                        <li><a href="<?php echo esc_url($pinterest_team); ?>" draggable="false"><span class="fa fa-pinterest-square"></span></a></li>
                                                            <?php } ?>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>

                                <?php } ?>
                            </div>
                        </li>                   
                        <?php
                    endwhile;
                endif;
                ?> 
            </ul>
        </div>
        <!-- END BEGIN BLOCK OUR TEAM -->
        <?php
        wp_reset_postdata();
        return ob_get_clean();
    }

endif;

if (!function_exists('sympathy_our_team_admin')) {
    add_action('vc_before_init', 'sympathy_our_team_admin');

    function sympathy_our_team_admin() {
        vc_map(array(
            'name' => esc_html__('Our Team', 'sympathy'),
            'base' => 'sympathy_our_team',
            'icon' => get_template_directory_uri() . "/images/icon/plan.png",
            'category' => esc_html__('QTCThemes', 'sympathy'),
            'description' => esc_html__('Our team for theme.', 'sympathy'),
            'params' => array(
                array(
                    "type" => "textfield",
                    "class" => "",
                    "heading" => esc_html__("Post Count", 'sympathy'),
                    "param_name" => "posts_per_page",
                    "value" => "-1",
                    "std" => "-1",
                    "description" => esc_html__("Please, enter number of post per page. Show all: -1. Ex: 10. Default: -1.", 'sympathy')
                ),
                // Control Icons END
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__('Template', 'sympathy'),
                    "value" => array(
                        "Template Slider" => "Template Slider",
                        "Template Grid" => "Template Grid",
                        "Template Slider Two" => "Template Slider Two",
                    ),
                    'holder' => 'div',
                    "std" => "Template Slider",
                    'param_name' => 'template',
                    'description' => esc_html__('Select template in our team.', 'sympathy'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Extra class name', 'sympathy'),
                    'param_name' => 'el_class',
                    'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'sympathy'),
                ),
            )
        ));
    }

}
    