<?php
/**
 * Shop Slider
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
/* -------------------Causes List---------------------- */
sympathy_insert_shortcode('sympathy_shop_slider', 'sympathy_shop_slider_template');

if (!function_exists('sympathy_shop_slider_template')):

    function sympathy_shop_slider_template($attr) {
        global $sympathy_smof_data;
        ob_start();
        extract(shortcode_atts(array(
            'post' => 'product',
            'posts_per_page' => '3',
            'categories' => '',
            'el_class' => '',
            'orderby' => 'date',
            'order' => 'DESC',
                        ), $attr));
        $args = array(
            'post_type' => $post,
            'post_status' => 'publish',
        );
        if (isset($posts_per_page) && is_numeric($posts_per_page)):
            $args['posts_per_page'] = $posts_per_page;
        endif;
        if (isset($orderby) && $orderby != 'none'):
            $args['orderby'] = $orderby;
        endif;
        if (isset($order) && $order != 'none'):
            $args['order'] = $order;
        endif;
        if (!empty($categories)):
            $terms = explode(',', $categories);
            $args['tax_query'] = array(
                'relation' => 'OR',
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'slug',
                    'terms' => $terms,
                    'operator' => 'IN',
            ));
        endif;
        $wp_query = new WP_Query($args);
       
        
        if ($wp_query->have_posts()) :
            $rand_grid = rand(5, 12315646131);
            $id_class = md5(time() . ' ' . $rand_grid);
            ?>
            <div id="sympathy_product_<?php echo esc_attr($id_class); ?>" class="row sympathy_woo_product_slider woocommerce sympathy_shop_slider_list<?php echo esc_attr($id_class); ?>  <?php echo esc_attr($el_class); ?>">
                <div class="archive-products col-xs-12 col-sm-12 col-md-12">
                    <div class="woocommerce_product_container">
                        <div class="woo-content woo-content-grid">
                            <ul class="products owl-carousel">
                                <?php
                                while ($wp_query->have_posts()) : $wp_query->the_post();
                                    $post_id = get_the_ID();
                                    $thumb_id = get_post_thumbnail_id($post_id);
                                    $alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
                                    $url = wp_get_attachment_url($thumb_id);
                                    $image = sympathy_image_resize($url, 370, 380, true);
                                    ?>
                                    <li class="item col-product-item">
                                        <div <?php post_class(); ?>>
                                            <div class="woo_product_item woo_product_grid_item">
                                                <div class="product_image">                
                                                    <?php if ($sympathy_smof_data['qtc_archive_show_sale_flash_product']) do_action('woocommerce_show_product_loop_sale_flash'); ?>                
                                                    <div class="product_item_content_image img_inner">
                                                        <a href="<?php echo esc_url(the_permalink()); ?>">
                                                            <?php
                                                            if (!empty($image)) {
                                                                ?>
                                                                <img src="<?php echo esc_url($image); ?>" alt="<?php if (count($alt)) echo esc_attr($alt); ?>">
                                                                <?php
                                                            }else{
                                                                ?>
                                                                <img src="<?php echo esc_url($url); ?>" alt="<?php if (count($alt)) echo esc_attr($alt); ?>">
                                                                <?php
                                                            }
                                                            ?>
                                                        </a>
                                                    </div> 
                                                    <div class="product_action">         
                                                        <div class="cart-button hi-icon"> 
                                                            <?php do_action('woocommerce_template_loop_add_to_cart'); ?>
                                                            <div class="crt-icon-cart"><span class="ic-heart"><a href="javascript:void(0)" class="sympathy-post-like" data-id="<?php echo get_the_ID(); ?>"><i class="<?php echo!isset($_COOKIE['sympathy_post_like_' . get_the_ID()]) ? 'fa fa-heart-o' : 'fa fa-heart'; ?>" aria-hidden="true"></i></a></span>
                                                                <a href="<?php the_post_thumbnail_url('full'); ?>"  class="sympathy-popup-image"><i class="fa fa-arrows-alt" aria-hidden="true"></i></a></div>
                                                        </div>
                                                    </div> 
                                                </div>

                                                <div class="product_content">                
                                                    <div class="product_title"><a href="<?php echo esc_url(the_permalink()); ?>"><?php esc_attr(the_title()); ?></a></div>
                                                    <?php do_action('woocommerce_template_loop_rating'); ?>   
                                                    <div class="product_price">
                                                        <?php do_action('woocommerce_template_loop_price'); ?>
                                                    </div>
                                                    <div class="clear"></div>                
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                    <?php
                                endwhile;
                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <?php
        endif;
        wp_reset_postdata();

        return ob_get_clean();
    }

endif;

add_action('vc_before_init', 'sympathy_vc_shop_slider');
if (!function_exists('sympathy_vc_shop_slider')) {

    function sympathy_vc_shop_slider() {
        vc_map(array(
            "name" => esc_html__("Shop Slider", 'sympathy'),
            "base" => "sympathy_shop_slider",
            "class" => "sympathy_shop_slider",
            "category" => esc_html__('QTCThemes', 'sympathy'),
            'icon' => get_template_directory_uri() . "/images/icon/woo.png",
            'description' => esc_html__('Shop Slider', 'sympathy'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "class" => "",
                    "heading" => esc_html__("Post Count", 'sympathy'),
                    "param_name" => "posts_per_page",
                    "value" => "",
                    "description" => esc_html__("-1: show all,limit 1000", 'sympathy')
                ),
                array(
                    'type' => 'exploded_textarea',
                    'heading' => __('Categories', 'sympathy'),
                    'param_name' => 'categories',
                    'description' => __('Enter categories by names to narrow output (Note: only listed categories will be displayed, divide categories with linebreak (Enter)).', 'sympathy'),
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__('Order by', 'sympathy'),
                    "param_name" => "orderby",
                    "value" => array(
                        "None" => "none",
                        "Title" => "title",
                        "Date" => "date",
                        "ID" => "ID"
                    ),
                    "std" => "none",
                    "description" => esc_html__('Order by ("none", "title", "date", "ID").', 'sympathy')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__('Order', 'sympathy'),
                    "param_name" => "order",
                    "value" => Array(
                        "None" => "none",
                        "ASC" => "ASC",
                        "DESC" => "DESC"
                    ),
                    "std" => "none",
                    "description" => esc_html__('Order ("None", "Asc", "Desc").', 'sympathy')
                ),
                array(
                    "type" => "textfield",
                    "class" => "",
                    "heading" => esc_html__("Extra Class", 'sympathy'),
                    "param_name" => "el_class",
                    "value" => "",
                ),
            )
        ));
    }

}