<?php
/**
 * Shortcode Tabs.
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
if (!function_exists('sympathy_tabs_get_tabs')) {

    function sympathy_tabs_get_tabs($list_item_markup = '', $content = '') {
        $html = $li_class = '';
        $has_tabs = preg_match_all("/(.?)\[(vc_tta_section)\b(.*?)(?:(\/))?\]/s", $content, $matches);
        if ($has_tabs) {
            for ($i = 0; $i < count($matches[0]); $i++) {
                $tab = $matches[3];
                $tab[$i] = shortcode_parse_atts($tab[$i]);
                $type = isset($tab[$i]['i_type']) ? $tab[$i]['i_type'] : '';
                switch ($type) {
                    case "openiconic":
                        $has_icon = isset($tab[$i]['i_icon_openiconic']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_openiconic'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                        break;
                    case "typicons":
                        $has_icon = isset($tab[$i]['i_icon_typicons']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_typicons'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                        break;
                    case "entypo":
                        $has_icon = isset($tab[$i]['i_icon_entypo']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_entypo'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                        break;
                    case "linecons":
                        $has_icon = isset($tab[$i]['i_icon_linecons']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_linecons'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                        break;
                    case "monosocial":
                        $has_icon = isset($tab[$i]['i_icon_monosocial']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_monosocial'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                        break;
                    case "material":
                        $has_icon = isset($tab[$i]['i_icon_material']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_material'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                        break;
                    default:
                        $has_icon = isset($tab[$i]['i_icon_fontawesome']) ? true : false;
                        if ($has_icon) {
                            $set_icon = '<span class="' . $tab[$i]['i_icon_fontawesome'] . '"></span>';
                        } else {
                            $set_icon = '';
                        }
                }

                $li_class = ($i == 0) ? ' active' : '';

                $id = isset($tab[$i]['tab_id']) ? true : false;
                if ($id) {
                    $id_tabs = $tab[$i]['tab_id'];
                } else {
                    $id_tabs = time() . '-1-' . rand(0, 100);
                }

                $title = $tab[$i]['title'];

                $html .= sprintf($list_item_markup, $li_class, $id_tabs, $set_icon, $title);
            }
        }

        return $html;
    }

}


if (!function_exists('sympathy_tabs_get_panes')) {

    function sympathy_tabs_get_panes($list_item_markup = '', $content = '') {
        $html = $li_class = '';
        $ct = str_replace("\r", "", $content);
        $ct .= str_replace("\n", "", $content);
        $has_tabs = preg_match_all("/(.*?)\[vc_tta_section(.*?)\](.*?)\[\/vc_tta_section]/", $ct, $matches);
        if ($has_tabs) {
            for ($i = 0; $i < count($matches[3]); $i++) {
                $tab = $matches[3];
                $tabid = $matches[2];
                $tabid[$i] = shortcode_parse_atts($tabid[$i]);
                $li_class = ($i == 0) ? ' active' : '';

                $id = isset($tabid[$i]['tab_id']) ? true : false;
                if ($id) {
                    $id_tabs = $tabid[$i]['tab_id'];
                } else {
                    $id_tabs = time() . '-1-' . rand(0, 100);
                }
                $html .= sprintf($list_item_markup, $li_class, $id_tabs, $tab[$i]);
            }
        }
        return do_shortcode($html);
    }

}
if (!function_exists('sympathy_tabs_get_count_tabs')) {

    function sympathy_tabs_get_count_tabs($content = '') {
        $has_tabs = preg_match_all("/(.?)\[(vc_tta_section)\b(.*?)(?:(\/))?\]/s", $content, $matches);
        $count = '';
        if ($has_tabs) {
            $count = count($matches[0]);
            if ((int) $count >= 5) {
                $count = 'tab-wrap-large';
            } else {
                $count = 'tab-wrap-small';
            }
        }
        return $count;
    }

}
sympathy_insert_shortcode('vc_tabs', 'sympathy_tabs_template');
if (!function_exists('sympathy_tabs_template')) {

    function sympathy_tabs_template($atts, $content) {
        ob_start();
        $el_class = $css = '';
        extract(shortcode_atts(array(
            'style' => 'default',
            'orientation' => 'horizental',
            'title' => '',
            'container_bg_color' => '#fff',
            'tab_location' => 'left',
            'inner_padding' => '',
            'el_class' => '',
                        ), $atts));
        $rand_grid = rand(5, 12315646131);
        $id = md5(time() . ' ' . $rand_grid);

        $class = '';

        $orientation_css = '';
        if ($style == 'default') {
            $orientation_css = ' ' . $orientation . '-style ';
        }

        $tab_location_css = '';
        if ($orientation == 'vertical') {
            $tab_location_css = ' vertical-' . $tab_location;
        }

        // Collect additional classes based on user settings
        $class .= ' ' . $tab_location_css;
        $class .= ' ' . $style . '-style';
        $class .= ' ' . $orientation_css;
        $class .= ' ' . $el_class;

        $count = sympathy_tabs_get_count_tabs($content);
        $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), $atts);
        ?>
        <style type="text/css">
            #crt-tabs-<?php echo esc_attr($id) ?> .crt-tabs-tabs .active a,
            #crt-tabs-<?php echo esc_attr($id) ?> .crt-tabs-panes, 
            #crt-tabs-<?php echo esc_attr($id) ?> .crt-fancy-title span {
                background-color: <?php  echo esc_attr($container_bg_color) ?>;
            }
        </style>
        <div id="crt-tabs-<?php echo esc_attr($id) ?>" class="crt-tabs js-el <?php echo esc_attr($css_class); ?> <?php echo esc_attr($class); ?>" data-crt-component="Tabs">
            <ul id="crt-tabs-tabs-<?php echo esc_attr($id) ?>" class="nav nav-tabs tab crt-tabs-tabs" role="tablist">
                <?php echo sympathy_tabs_get_tabs('<li class="crt-tabs-tab %s"><a href="#%s" data-toggle="tab" aria-expanded="false">%s %s</a></li>', $content); ?>
                <div class="clearboth"></div>
            </ul>
            <div class="tab-content crt-tabs-panes page-bg-color">
                <?php
                echo sympathy_tabs_get_panes('<div class="tab-pane crt-tabs-pane %s" id="%s"><div class="tab-details crt-tabs-pane-content panel-default ">%s</div></div>', $content)
                ?>
                <div class="clearboth"></div>
            </div>
            <div class="clearboth"></div>
        </div>
        <?php
        return ob_get_clean();
    }

}


add_action('vc_before_init', 'sympathy_tabs_admin');
if (!function_exists('sympathy_tabs_admin')) {

    function sympathy_tabs_admin() {
        vc_map(array(
            "base" => "vc_tabs",
            'name' => esc_html__('Tabs', 'sympathy'),
            'description' => esc_html__('Show Tabs Destinations', 'sympathy'),
            'category' => esc_html__('QTCThemes', 'sympathy'),
            'icon' => get_template_directory_uri() . "/images/icon/grid2.png",
            'is_container' => true,
            'as_parent' => array(
                'only' => 'vc_tta_section',
            ),
            'show_settings_on_create' => false,
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Style", "sympathy"),
                    "param_name" => "style",
                    "value" => array(
                        "Default" => "default",
                        "Simple" => "simple"
                    ),
                    "description" => __("Please choose your tabs style", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Orientation", "sympathy"),
                    "param_name" => "orientation",
                    "value" => array(
                        "Horizontal" => "horizental",
                        "Vertical" => "vertical"
                    ),
                    "dependency" => array(
                        'element' => "style",
                        'value' => array(
                            'default'
                        )
                    ),
                    "description" => __("Note : This option is only for deafult style", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Tab location", "sympathy"),
                    "param_name" => "tab_location",
                    "value" => array(
                        "Left" => "left",
                        "Right" => "right"
                    ),
                    "description" => __("Which side would you like the tabs list appear?", "sympathy"),
                    "dependency" => array(
                        'element' => "orientation",
                        'value' => array(
                            'vertical'
                        )
                    )
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => __("Container Background Color", "sympathy"),
                    "param_name" => "container_bg_color",
                    "value" => "#fff",
                    "description" => __("", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "sympathy"),
                    "param_name" => "el_class",
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "sympathy")
                )
            ),
            'js_view' => 'VcBackendTtaTabsView',
            'custom_markup' => '
<div class="vc_tta-container" data-vc-action="collapse">
	<div class="vc_general vc_tta vc_tta-tabs vc_tta-color-backend-tabs-white vc_tta-style-flat vc_tta-shape-rounded vc_tta-spacing-1 vc_tta-tabs-position-top vc_tta-controls-align-left">
		<div class="vc_tta-tabs-container">'
            . '<ul class="vc_tta-tabs-list">'
            . '<li class="vc_tta-tab" data-vc-tab data-vc-target-model-id="{{ model_id }}" data-element_type="vc_tta_section"><a href="javascript:;" data-vc-tabs data-vc-container=".vc_tta" data-vc-target="[data-model-id=\'{{ model_id }}\']" data-vc-target-model-id="{{ model_id }}"><span class="vc_tta-title-text">{{ section_title }}</span></a></li>'
            . '</ul>
		</div>
		<div class="vc_tta-panels vc_clearfix {{container-class}}">
		</div>
	</div>
</div>',
            'default_content' => '
[vc_tta_section title="' . sprintf('%s %d', __('Tab', 'sympathy'), 1) . '"][/vc_tta_section]
[vc_tta_section title="' . sprintf('%s %d', __('Tab', 'sympathy'), 2) . '"][/vc_tta_section]
	',
            'admin_enqueue_js' => array(
                vc_asset_url('lib/vc_tabs/vc-tabs.min.js'),
            ),
        ));
    }

}