<?php
/**
 * Team Members
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
/* -------------------Team Members---------------------- */
sympathy_insert_shortcode('sympathy_team_members', 'sympathy_team_members_template');

if (!function_exists('sympathy_team_members_template')):

    function sympathy_team_members_template($atts, $content) {
        global $sympathy_smof_data;
        extract(shortcode_atts(array(
            'style' => 'default',
            'title' => '',
            'job' => '',
            'image' => '',
            'align' => 'left',
            'color_title' => '#222',
            'hover_color_title' => '',
            'color_jop' => '#eee',
            'bg_team' => '#dedede',
            'facebook' => '',
            'twitter' => '',
            'rss' => '',
            'dribbble' => '',
            'pinterest' => '',
            'flickr' => '',
            'google_plus' => '',
            'skype' => '',
            'vimeo' => '',
            'instagram' => '',
            'linkedin' => '',
            'youtube' => '',
            'margin_bottom' => '20px',
            'el_class' => ''
                        ), $atts));
        $rand_grid = rand(5, 12315646131);
        $id = md5(time() . ' ' . $rand_grid);
        $sites = array(
            'facebook-official' => $facebook,
            'twitter-square' => $twitter,
            'rss-square' => $rss,
            'dribbble' => $dribbble,
            'instagram' => $instagram,
            'pinterest-square' => $pinterest,
            'flickr' => $flickr,
            'google-plus-square' => $google_plus,
            'skype' => $skype,
            'linkedin-square' => $linkedin,
            'youtube-square' => $youtube,
            'vimeo-square' => $vimeo,
        );
        $link = apply_filters('ult_get_img_single', $image, 'url');
        if(isset($margin_bottom) && $margin_bottom != ''){
            $margin_bottom = $margin_bottom;
        }  else {
            $margin_bottom = 0;
        }
        ob_start();
        ?>
        <section id="crt-team-member-<?php echo esc_attr($id); ?>" class="crt-team-member team-member-<?php echo esc_attr($style); ?> team-<?php echo esc_attr($align); ?> crt-builder-el-10  crt-builder-el-no-sibling <?php echo esc_attr($el_class); ?>" style="background: <?php echo esc_attr($bg_team); ?>;margin-bottom: <?php echo esc_attr($margin_bottom); ?>;">
            <div class="team-img-container" <?php if ($style == 'circle'): ?> style="background: url('<?php echo esc_attr($link); ?>');" <?php endif; ?>>
                <?php if ($style == 'default'): ?>
                    <img class="crt_image crt_image_team" src="<?php echo esc_attr($link); ?>" alt="<?php echo esc_attr($title); ?>">
                    <div class="crt-middle">
                        <div class="crt-text">+</div>
                    </div>
                <?php endif; ?>
            </div>
            <a class="crt-link-title" href="#"><h3 class="team-member-name" style="color: <?php echo esc_attr($color_title); ?>;"><?php echo esc_attr($title); ?></h3></a>
            <div class="team-member-job-title" style="color: <?php echo esc_attr($color_jop); ?>;"><?php echo esc_attr($job); ?></div>
            <?php if (!empty($content)): ?>
                <div class="team-member-description">
                    <p><?php echo do_shortcode($content); ?></p>
                </div>
            <?php endif; ?>
            <div class="crt-social-network-shortcode padding-0 margin-10-0 s_social a_m_list-reset ">
                <ul class="list-style-none crt-list-social">
                    <?php
                    foreach ($sites as $name => $link) {
                        echo!empty($link) ? '<li><a target="_blank" class="' . esc_attr($name) . '-hover c_" href="' . esc_url($link) . '"><i class="fa fa-' . esc_attr($name) . ' "></i></a></li>' : '';
                    }
                    ?>
                </ul>
            </div>
        </section>
        <?php
        return ob_get_clean();
    }

endif;

add_action('vc_before_init', 'sympathy_vc_team_members');
if (!function_exists('sympathy_vc_team_members')) {

    function sympathy_vc_team_members() {
        vc_map(array(
            "base" => "sympathy_team_members",
            "name" => __("Team Member", "sympathy"),
            "category" => __('QTCThemes', 'sympathy'),
            'icon' => get_template_directory_uri() . "/images/icon/plan.png",
            'description' => __('Adds team member details.', 'sympathy'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Style Box Team Member", "sympathy"),
                    "param_name" => "style",
                    "value" => array(
                        __('Default', "sympathy") => "default",
                        __('Circle', "sympathy") => "circle",
                    ),
                    "description" => __("Style box team member.", "sympathy")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Text Align", "sympathy"),
                    "param_name" => "align",
                    "width" => 150,
                    "value" => array(
                        __('Left', "sympathy") => "left",
                        __('Right', "sympathy") => "right",
                        __('Center', "sympathy") => "center"
                    ),
                    "description" => __("", "sympathy"),
                    
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Team Member Name", "sympathy"),
                    "param_name" => "title",
                    "value" => "",
                    "description" => __("Name of the person.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Team Member Job title", "sympathy"),
                    "param_name" => "job",
                    "value" => "",
                    "description" => __("Job title of the person.", "sympathy")
                ),
                array(
                    "type" => "ult_img_single",
                    "heading" => __("Team Member Image", "sympathy"),
                    "param_name" => "image",
                    'value' => '',
                    "description" => __("Either upload a new, or choose an existing image from your media library", "sympathy")
                ),
                array(
                    "type" => "textarea_html",
                    "holder" => "div",
                    "heading" => __("Team Member Description", "sympathy"),
                    "param_name" => "content",
                    "value" => "",
                    "description" => __("Enter a few words that describe the person", "sympathy")
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => __("Custom Title Font Color", "sympathy"),
                    "param_name" => "color_title",
                    "value" => "",
                    "description" => __("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => __("Custom Hover Title Font Color", "sympathy"),
                    "param_name" => "hover_color_title",
                    "value" => "",
                    "description" => __("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => __("Custom Content Font Color", "sympathy"),
                    "param_name" => "color_jop",
                    "value" => "",
                    "description" => __("", "sympathy"),
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => __("Background", "sympathy"),
                    "param_name" => "bg_team",
                    "value" => "#dedede",
                    "description" => __("", "sympathy"),
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Facebook URL", "sympathy"),
                    "param_name" => "facebook",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Twitter URL", "sympathy"),
                    "param_name" => "twitter",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("RSS URL", "sympathy"),
                    "param_name" => "rss",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Dribbble URL", "sympathy"),
                    "param_name" => "dribbble",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Pinterest URL", "sympathy"),
                    "param_name" => "pinterest",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Flickr URL", "sympathy"),
                    "param_name" => "flickr",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Google Plus URL", "sympathy"),
                    "param_name" => "google_plus",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Skype URL", "sympathy"),
                    "param_name" => "skype",
                    "value" => "",
                    "description" => __("Enter the full URL including 'http://'' for profile page or 'skype:USERNAME?call' for direct call (replace USERNAME with your own). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Vimeo URL", "sympathy"),
                    "param_name" => "vimeo",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Instagram URL", "sympathy"),
                    "param_name" => "instagram",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Linkedin URL", "sympathy"),
                    "param_name" => "linkedin",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Youtube URL", "sympathy"),
                    "param_name" => "youtube",
                    "value" => "",
                    "description" => __("Enter the full URL of your corresponding social network. Include (http://). If left blank, this social network icon will not be shown.", "sympathy")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Margin Bottom", "sympathy"),
                    "param_name" => "margin_bottom",
                    "value" => "20px",
                    "description" => __("", "sympathy"),
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "sympathy"),
                    "param_name" => "el_class",
                    "value" => "",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your CSS file.", "sympathy")
                )
            )
        ));
    }

} 