<?php

/**
 * Theme shortcodes.
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

$sympathy_smof_data = get_option( 'sympathy_smof_data' );
// Shortcodes -------------------------------------------------------------------
  
    if (class_exists('Vc_Manager')):
        require_once('shortcodes/box_donation.php' );
        require_once('shortcodes/heading_title.php' );
        require_once('shortcodes/icon_contact.php' );
        require_once('shortcodes/social_network.php' );
        require_once('shortcodes/content_box.php' );
        require_once('shortcodes/team_members.php' );
        require_once('shortcodes/button.php' );
        require_once('shortcodes/gallery.php' );
        require_once('shortcodes/gallery_slider.php' );
        require_once('shortcodes/slide_show.php' );
        require_once('shortcodes/tabs.php' );
        require_once('shortcodes/video_slider.php' );
        require_once('shortcodes/video.php' );
        
        if (in_array('charitable/charitable.php', apply_filters('active_plugins', get_option('active_plugins')))) {
            require_once('shortcodes/causes_list.php' );
            require_once('shortcodes/causes_slider.php' );
            require_once('shortcodes/causes_slider_2.php' );
        }
        
        if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
            require_once('shortcodes/shop_slider.php' );
            require_once('shortcodes/shop_slider_2.php' );
        }
        
        if(isset($sympathy_smof_data['qtc_enable_team']) && $sympathy_smof_data['qtc_enable_team'] == 1){
            require_once('shortcodes/our_team.php' );
        }

    endif;


/* ----------Hex Color------------ */
if (!function_exists('hexDarker')) {

    function hexDarker($hex, $factor = 30) {

        $new_hex = '';
        if ($hex == '' || $factor == '') {
            return false;
        }

        $hex = str_replace('#', '', $hex);

        if (strlen($hex) == 3) {
            $hex = $hex . $hex;
        }

        $base['R'] = hexdec($hex{0} . $hex{1});
        $base['G'] = hexdec($hex{2} . $hex{3});
        $base['B'] = hexdec($hex{4} . $hex{5});

        foreach ($base as $k => $v) {
            $amount = $v / 100;
            $amount = round($amount * $factor);
            $new_decimal = $v - $amount;

            $new_hex_component = dechex($new_decimal);
            if (strlen($new_hex_component) < 2) {
                $new_hex_component = "0" . $new_hex_component;
            }
            $new_hex .= $new_hex_component;
        }

        return '#' . $new_hex;
    }

}

/**
 * Return default and custom image sizes
 *
 * @since 5.0
 *
 * @return array $image_sizes
 */
if (!function_exists('sympathy_get_image_sizes')) {

    function sympathy_get_image_sizes($reverse_array = false, $crop = true, $external_size = false) {

        $image_sizes = array();

        if ($external_size) {
            $image_sizes[$external_size] = sanitize_title($external_size);
        }

        if ($crop) {
            $image_sizes[__('Resize & Crop (Not Recommended)', 'sympathy')] = 'crop';
        }

        $image_sizes[__('Default - Original Size', 'sympathy')] = "full";
        $image_sizes[__("Default - Large Size", 'sympathy')] = "large";
        $image_sizes[__("Default - Medium Size", 'sympathy')] = "medium";


        $custom_image_sizes = get_option(SYMPATHY_IMAGE_SIZE_OPTION);
        if (!empty($custom_image_sizes)) {
            foreach ($custom_image_sizes as $size) {
                $custom_sizes['Custom - ' . $size['size_n']] = $size['size_n'];
            }
            $sizes = $image_sizes + $custom_sizes;
        } else {
            $sizes = $image_sizes;
        }
        foreach ($sizes as $key => $value) {
            if ($reverse_array) {
                $final_array[$value] = $key;
            } else {
                $final_array[$key] = $value;
            }
        }
        return $final_array;
    }

}


