(function ($) {
    'use strict';
    jQuery(document).ready(function ($) {
        if ($('.slider_bar').length) {
            jQuery('.slider_bar').each(function () {
                var id = jQuery(this).data('id');
                var per = ((jQuery('.sympathy_percent_' + id).val()) | 0);
                //console.log(per);
                jQuery('#causes-slider-' + id).sGlide({
                    startAt: per,
                    height: 10,
                    disabled: true
                });
            });
        }

        function SliderTeam() {
            if ($('.owl-carousel').length) {
                jQuery('.team-wrap-slider').owlCarousel({
                    autoplay: true,
                    autoplayTimeout: 1000,
                    autoplayHoverPause: true,
                    margin: 30,
                    navText: ['<i class="fa fa-chevron-left"></i>', '<i class="fa fa-chevron-right"></i>'],
                    dots: false,
                    responsiveClass: true,
                    responsive: {
                        0: {
                            items: 1,
                            nav: true,
                        },
                        480: {
                            margin: 15,
                            items: 1,
                            nav: true,
                        },
                        768: {
                            items: 2,
                            nav: true,
                        },
                        992: {
                            items: 4,
                        }
                    }

                });

                jQuery('.team-wrap-slider2').owlCarousel({
                    autoplay: true,
                    autoplayTimeout: 1000,
                    autoplayHoverPause: true,
                    navText: ['<i class="fa fa-chevron-left"></i>', '<i class="fa fa-chevron-right"></i>'],
                    responsiveClass: true,
                    responsive: {
                        0: {
                            items: 1,
                            nav: false,
                            dots: true,
                        },
                        768: {
                            items: 1,
                            nav: true,
                            dots: false,
                        },
                    }

                });
            }
        }
        SliderTeam();


        if ($('.owl-carousel').length) {
            $('.sympathy_causes_slider_2 .owl-carousel').owlCarousel({
                center: false,
                items: 3,
                nav: false,
                loop: false,
                margin: 30,
                //autoplay: true,
                responsive: {
                    0: {
                        items: 1,
                        dots: false
                    },
                    480: {
                        items: 2,
                        dots: false
                    },
                    992: {
                        items: 3,
                        dots: false
                    }
                }
            });
        }


        function slickSlider() {
            if ($('.slick-cause').length) {
                $('.slick-cause').slick({
                    dots: false,
                    variableWidth: false,
                    arrows: false,
                    fade: true,
                    //autoplay: true,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    asNavFor: '.slick-year'
                });
            }
            if ($('.slick-year-v1').length) {
                $('.slick-year-v1').slick({
                    dots: false,
                    variableWidth: false,
                    arrows: true,
                    //autoplay: true,
                    slidesToShow: 3,
                    slidesToScroll: 1,
                    asNavFor: '.slick-cause',
                    focusOnSelect: true,
                    centerMode: true,
                    centerPadding: 0,
                    prevArrow: '<button type="button" data-role="none" class="slick-prev char-arrow char-bg-primary char-flex-box char-flex-box-ai-center char-flex-box-jc-center" aria-label="Previous" tabindex="0" role="button"><span class="fa fa-angle-left"></span></button>',
                    nextArrow: '<button type="button" data-role="none" class="slick-next char-arrow char-bg-primary char-flex-box char-flex-box-ai-center char-flex-box-jc-center" aria-label="Next" tabindex="0" role="button"><span class="fa fa-angle-right"></span></button>'
                });
            }



            if ($('.slick-our-gallery').length) {
                $('.slick-our-gallery').slick({
                    dots: false,
                    infinite: false,
                    variableWidth: false,
                    arrows: false,
                    autoplay: true,
                    slidesToShow: 4,
                    slidesToScroll: 4,
                    responsive: [
                        {
                            breakpoint: 1600,
                            settings: {
                                slidesToShow: 4,
                                slidesToScroll: 4
                            }
                        },
                        {
                            breakpoint: 1220,
                            settings: {
                                slidesToShow: 3,
                                slidesToScroll: 3
                            }
                        },
                        {
                            breakpoint: 992,
                            settings: {
                                slidesToShow: 2,
                                slidesToScroll: 2
                            }
                        },
                        {
                            breakpoint: 480,
                            settings: {
                                slidesToShow: 1,
                                slidesToScroll: 1
                            }
                        }
                    ]
                });
            }

        }
        slickSlider();

        function sympathy_grid_column() {
            var hg_start = 0;
            $('.sympathy-grid-column').each(function () {
                var hg = $(this).outerHeight();
                if (hg > hg_start) {
                    hg_start = hg;
                }
            });
            if (hg_start > 0 && hg_start > 767) {
                $('.sympathy-grid-column').css('height', hg_start);
            } else {
                $('.sympathy-grid-column').css('height', 'auto');
            }
        }
        function sympathy_gallery_width() {
            $('.crt-gallery-item .item-holder').each(function () {
                var wd = $(this).outerWidth();
                if (wd < 252 && $(window).width() > 767) {
                    $('.view_detail_gallery span').css('display', 'none');
                }
                if (wd < 190) {
                    $('.view_detail_gallery .view_right a').css('margin-left', '15px');
                    $('.view_detail_gallery .view_right .sympathy-post-like:after').css('right', '-10px');
                }
            });
        }

        if ($('.bt_donate_causes').length) {
            jQuery('.bt_donate_causes').magnificPopup({
                type: 'inline',
                preloader: false,
                focus: '#name',
                mainClass: 'sympathy_popup_donate',
                callbacks: {
                    beforeOpen: function () {
                        if (jQuery(window).width() < 700) {
                            this.st.focus = false;
                        } else {
                            this.st.focus = '#name';
                        }
                    }
                }
            });
        }


        $('body').on('click', '.sympathy-post-like', function () {
            "use strict";
            /* get post id. */
            var bt_like = $(this);

            var post_id = bt_like.attr('data-id');

            if (post_id != undefined && post_id != '') {
                /* add like. */
                $.post(objAjax.ajaxurl, {
                    action: 'sympathy_post_like',
                    id: post_id,
                    dataType: "json"
                }, function (response) {
                    if (response != '') {
                        bt_like.find('i').attr('class', 'fa fa-heart')
                        bt_like.find('span').html(response);
                    }
                });
            }
        });
        $(".sympathy-box-image")
                .mouseover(function () {
                    $(".view_causes").removeClass('hide');
                    $(this).find(".view_causes").css("-webkit-transform", 'none');
                    $(this).find(".view_causes").css("transform", 'none');
                })
                .mouseout(function () {
                    $(this).find(".view_causes").css("transform", 'translate3d(0,100%,0)');
                    $(this).find(".view_causes").css("transform", 'translate3d(0,100%,0)');
                });
        $(window).load(function () {
            sympathy_grid_column();
            sympathy_gallery_width();
        });
        $(window).resize(function () {
            sympathy_grid_column();
            sympathy_gallery_width();
        });

    });
})(jQuery);