<?php
/**
 * Displays the campaign content.
 *
 * Override this template by copying it to yourtheme/charitable/content-campaign.php
 *
 * @author  Studio 164a
 * @package Charitable/Templates/Campaign
 * @since   1.0.0
 * @version 1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly
$campaign = $view_args['campaign'];
$content = $view_args['content']; 
$post_id = get_the_ID();
$rand_grid = rand(5, 12315646131);
$id_class = md5(time() . ' ' . $rand_grid);
$raisedpercent = $campaign->get_percent_donated();
$percent = str_replace('%','', $raisedpercent);
$currency_helper = charitable_get_currency_helper();
$date = get_the_date();
$link_author = get_author_posts_url(get_the_author_meta('ID'), get_the_author_meta('user_nicename'));
/**
 * @hook charitable_campaign_content_before 
 */
?>
<div class="sympathy-causes-meta item_sympathy_causes ">
    <div class="row">
        <div class="percent_causes col-xs-12 col-sm-8 col-md-8">
            <input type="hidden" value="<?php echo esc_attr($percent); ?>" name="sympathy_percent" class="sympathy_percent_<?php echo esc_attr($id_class.$post_id); ?>">
            <span class="funed"><?php echo esc_attr($raisedpercent); ?> <?php echo esc_html__('Funded', 'sympathy'); ?></span>
            <div class="sympathy-border-progress"><div id="causes-slider-<?php echo esc_attr($id_class.$post_id); ?>" class="slider_bar" data-id="<?php echo esc_attr($id_class.$post_id); ?>"></div></div>
            <span class="donate_raise"><strong><?php echo esc_html__('Raised: ', 'sympathy'); ?></strong> <?php echo esc_attr($currency_helper->get_monetary_amount($campaign->get_donated_amount())); ?></span>
            <span class="donate_goal"><strong><?php echo esc_html__('Goal: ', 'sympathy'); ?></strong> <?php echo esc_attr($currency_helper->get_monetary_amount($campaign->get('goal'))); ?></span>
        </div>
        <div class="col-xs-12 col-sm-4 col-md-4 bt_donate_single_causes">
               <?php do_action( 'charitable_campaign_summary', $campaign ); ?>
        </div> 
     </div>
</div>
<h2 class="entry-title"><?php the_title(); ?> </h2>
<div class="blog-meta">
    <ul>
        <li>
            <a href="javascript:;">
                <i class="fa fa-clock-o" aria-hidden="true"></i>
                <?php echo esc_attr($date); ?>
            </a>
        </li>                    
    </ul>
</div>
<div class="sympathy-causes-content">
    <?php echo esc_attr($campaign->description); ?>
</div>
<?php

/**
 * @hook charitable_campaign_content_after
 */