<?php
/**
 * The template used to display text form fields.
 *
 * @author  Studio 164a
 * @since   1.0.0
 * @version 1.0.0
 */

if ( ! isset( $view_args[ 'form' ] ) || ! isset( $view_args[ 'field' ] ) ) {
    return;
}

$form           = $view_args[ 'form' ];
$field          = $view_args[ 'field' ];
$classes        = esc_attr( $view_args[ 'classes' ] );
$field_type     = isset( $field[ 'type' ] ) ? $field[ 'type' ] : 'text';
$is_required    = isset( $field[ 'required' ] ) ? $field[ 'required' ] : false;
$value          = isset( $field[ 'value' ] ) ? $field[ 'value' ] : '';

?>
<div id="charitable_field_<?php echo esc_attr($field['key']) ?>" class="<?php echo esc_attr($classes) ?> crt-fields">
        <input type="<?php echo esc_attr( $field_type ) ?>" name="<?php echo esc_attr($field[ 'key' ]) ?>" placeholder="<?php echo esc_attr($field['label']) ?>" value="<?php echo esc_attr( stripslashes( $value ) ) ?>" <?php echo charitable_get_arbitrary_attributes( $field ) ?>/>
</div>