<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package qtcmedia
 */
if (post_password_required()) {
    return;
}
?>

<div id="comments" class="comments-area">

    <?php if (have_comments()) : ?>
        <h3 class="comments-title">
            <?php
            $total_comments = wp_count_comments(get_the_ID())->total_comments;
            ?>
            <span class="comment_number"></span> 
            <span><?php
                if ($total_comments > 1){
                    printf(esc_html__('Comments(%s)', 'sympathy'), intval($total_comments));
                }else{
                    printf(esc_html__('Comment(%s)', 'sympathy'), intval($total_comments));
                }
                ?>
            </span>
        </h3>
        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through   ?>
            <nav id="comment-nav-above" class="comment-navigation col-xs-12 col-sm-12 col-md-12 col-lg-12" role="navigation">
                <h1 class="screen-reader-text"><?php echo esc_html__('Comment navigation', 'sympathy'); ?></h1>
                <div class="nav-previous"><?php previous_comments_link(__('&larr; Older Comments', 'sympathy')); ?></div>
                <div class="nav-next"><?php next_comments_link(__('Newer Comments &rarr;', 'sympathy')); ?></div>
            </nav><!-- #comment-nav-above -->
        <?php endif; // check for comment navigation  ?>

        <ol class="comment-list">
            <?php

            function custom_comments($comment, $args, $depth) {
                $GLOBALS['comment'] = $comment;
                switch ($comment->comment_type) :
                    case 'pingback' :
                        ?>
                        <li <?php comment_class(); ?> id="comment<?php comment_ID(); ?>">
                            <div class="back-link"><?php echo esc_html__('Pingback: ', 'sympathy'); ?><?php comment_author_link(); ?></div>
                            <?php
                            break;
                        case 'trackback' :
                            ?>
                        <li <?php comment_class(); ?> id="comment<?php comment_ID(); ?>">
                            <div class="back-link"><?php echo esc_html__('Trackback: ', 'sympathy'); ?><?php comment_author_link(); ?></div>
                            <?php
                            break;
                        default :
                            ?>
                        <li id="comment-<?php comment_ID(); ?>" class="comment-item">
                            <article <?php comment_class(); ?>>

                                <div class="comment-body">
                                    <div class="comment-author vcard">
                                        <?php echo get_avatar($comment, 65); ?>
                                    </div><!-- .vcard -->
                                    <div class="comment-details clr">
                                        <header class="comment-meta">
                                            <h3>
                                                <span class="author-name"><?php comment_author(); ?></span>                                               
                                                <div class="crt-link-reply">
                                                    
                                                    <?php
                                                    comment_reply_link(array_merge($args, array(
                                                        'reply_text' => esc_html__('Reply', 'sympathy'),
                                                        'before' => '<i class="fa fa-reply" aria-hidden="true"></i>',
                                                        'after' => '',
                                                        'depth' => $depth,
                                                        'max_depth' => $args['max_depth']
                                                    )));
                                                    ?>
                                                </div>                                    
                                            </h3>
                                             <i class="fa fa-clock-o" aria-hidden="true"></i>
                                            <time <?php comment_time('c'); ?> class="comment-time">
                                                <span class="date">
                                                    <?php comment_date(); ?>
                                                </span>                                                
                                            </time>
                                        </header>
                                        <div class="comment-content">
                                            <?php comment_text(); ?>
                                        </div>
                                    </div>
                                </div><!-- comment-body -->
                            </article><!-- #comment-<?php comment_ID(); ?> -->
                            <?php
                            // End the default styling of comment
                            break;
                    endswitch;
                }

                wp_list_comments(array(
                    'callback' => 'custom_comments',
                    'style' => 'ol'
                ));
                ?>
        </ol><!-- .comment-list -->

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through  ?>
            <nav id="comment-nav-below" class="comment-navigation" role="navigation">
                <h1 class="screen-reader-text"><?php echo esc_html__('Comment navigation', 'sympathy'); ?></h1>
                <div class="nav-previous"><?php previous_comments_link(__('&larr; Older Comments', 'sympathy')); ?></div>
                <div class="nav-next"><?php next_comments_link(__('Newer Comments &rarr;', 'sympathy')); ?></div>
            </nav><!-- #comment-nav-below -->
        <?php endif; // check for comment navigation  ?>

    <?php endif; // have_comments() ?>

    <?php
    // If comments are closed and there are comments, let's leave a little note, shall we?
    if (!comments_open() && '0' != get_comments_number() && post_type_supports(get_post_type(), 'comments')) :
        ?>
        <p class="no-comments"><?php echo esc_html__('Comments are closed.', 'sympathy'); ?></p>
    <?php endif; ?>

    <?php
    $comments_args = array(
        'label_submit' => esc_html__('POST COMMENT', 'sympathy'),
        'title_reply' => esc_html__('Write a Comment', 'sympathy'),
        'comment_notes_after' => '',
        'comment_notes_before' => '',
        'format' => 'xhtml',
        'comment_field' => '',
        'fields' => apply_filters('comment_form_default_fields', array(            
            'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" placeholder="Your Comment" cols="45" rows="9" aria-required="true"></textarea></p>',
            'author' => '<p class="comment-form-author"><input id="author" placeholder="Your Name" name="author" type="text" value="" size="30" aria-required="true" /></p>',
            'email' => '<p class="comment-form-email"><input id="email" placeholder="Your Email" name="email" type="email" value="" size="30" aria-required="true"  /></p>',
            'website' => '<p class="comment-form-website"><input id="website" placeholder="Website" name="website" type="text" value="" size="30" aria-required="true"  /></p>',                        
        )),
    );
    if (is_user_logged_in()) {
        $comments_args['comment_field'] = '<p class="comment-form-comment"><textarea id="comment" name="comment" placeholder="Comment..." cols="45" rows="8" aria-required="true"></textarea></p>';
    }
    comment_form($comments_args);
    ?>

</div><!-- #comments -->
