<?php
/**
 * The default template for displaying content
 *
 */
?>
<?php
global $post;
$post_id = get_the_ID();
$term_list = wp_get_post_terms($post_id, 'category');
$date = get_the_date();
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-wrap'); ?>>
    <div class="blog-list-item">
        <div class="blog-thumbnail">
            <?php
            sympathy_post_thumbnail("full");
            ?>
        </div>

        <div class="blog-content">
            <a href="<?php echo esc_url(get_permalink()); ?>"><h3 class="title"><?php the_title(); ?></h3></a>
            <div class="blog-meta">
                <ul>
                    <li>
                        <span class="fa fa-calendar">
                        <a href="javascript:;">
                            </span> <?php echo esc_attr($date); ?>
                        </a>
                    </li>
                    <li class="meta-cate">
                        <span class="fa fa-folder-o"></span>
                        <?php
                        $count = count($term_list);
                        $i = 1;
                        foreach ($term_list as $term) {
                            echo '<a href="' . esc_url(get_category_link($term->term_id)) . '">' . esc_attr($term->name) . '</a>';
                            if ($i < $count)
                                echo ', ';
                            $i++;
                        }
                        ?>
                    </li>
                    <li>
                        <span class="fa fa-comment-o" aria-hidden="true"></span>
                        <a href="javascript:;"><?php echo sympathy_comment_number(); ?></a>
                    </li>
                </ul>
            </div>
            <div class="blog-excerpt">
                <?php
                the_excerpt();
                ?>
            </div>
            <a href="<?php echo esc_url(get_permalink()); ?>" class="read-more"><?php echo esc_html__('Read more', 'sympathy'); ?> <span class="fa fa-angle-double-right color-primary"></span></a>
        </div>
    </div>
</div><!-- #post-## -->