<?php
/**
 * The default template for displaying content
 *
 */
?>
<?php
global $post;
$post_id = get_the_ID();
$term_list = wp_get_post_terms($post_id, 'category');
$date = get_the_date();
$author_id = $post->post_author;
$author = get_the_author();
$link_author = get_author_posts_url(get_the_author_meta('ID'), get_the_author_meta('user_nicename'));
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
   <div class="entry-thumbnail-image">
      <?php
      sympathy_post_thumbnail("full");
      ?>
   </div>
   <div class="zb-content">
      <?php
      if (is_single()) :
         the_title('<h1 class="entry-title">', '</h1>');
      else :
         the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>');
      endif;
      ?>
      <div class="blog-meta">
         <ul>
            <li>
               <a href="javascript:;">
                  <span class="fa fa-calendar"></span> <?php echo esc_attr($date); ?>
               </a>
            </li>
            <li class="meta-cate">
               <span class="fa fa-folder-o"></span>
               <?php
               $count = count($term_list);
               $i = 1;
               foreach ($term_list as $term) {
                  echo '<a href="' . esc_url(get_category_link($term->term_id)) . '">' . esc_attr($term->name) . '</a>';
                  if ($i < $count)
                     echo ', ';
                  $i++;
               }
               ?>
            </li>
            <li>
               <a href="javascript:;"><?php echo sympathy_comment_number(); ?></a>
            </li>
         </ul>
      </div>
      <div class="sympathy-blog-video">
         <?php
         if (!is_home()) {
            $video_source = get_post_meta(get_the_ID(), 'sympathy_post_video_source', true);
            if (empty($video_source))
               $video_source = 'post';
            $video_height = get_post_meta(get_the_ID(), 'sympathy_post_video_height', true);
            if (is_single()) {
               $video_height = $video_height * 2;
            }
            switch ($video_source) {
               case 'post':

                  the_content();

                  break;
               case 'youtube':
                  $video_youtube = get_post_meta(get_the_ID(), 'sympathy_post_video_youtube', true);
                  if ($video_youtube) {
                     echo do_shortcode('[vc_video  height="' . $video_height . '" link="' . $video_youtube . '" ]');
                  }
                  break;
               case 'vimeo':
                  $video_vimeo = get_post_meta(get_the_ID(), 'sympathy_post_video_vimeo', true);
                  if ($video_vimeo) {
                     echo do_shortcode('[vc_video  height="' . $video_height . '" link="' . $video_vimeo . '" ]');
                  }
                  break;
               case 'media':
                  $video_type = get_post_meta(get_the_ID(), 'sympathy_post_video_type', true);
                  $preview_image = get_post_meta(get_the_ID(), 'sympathy_post_preview_image', true);
                  $video_file = get_post_meta(get_the_ID(), 'sympathy_post_video_url', true);
                  if ($video_file) {
                     echo do_shortcode('[video height="' . $video_height . '" ' . $video_type . '="' . $video_file . '" poster="' . $preview_image . '"][/video]');
                  }
                  break;
            }
         }
         ?>
      </div>
      <div class="entry-content">
         <?php
         $body_classes = get_body_class();
         if (in_array("blog", $body_classes) || in_array("search", $body_classes) || is_category() || is_tag() || is_archive()) {
            the_excerpt();
         }
         $pagiarg = array(
             'before' => '<div class="single-post-pagi">' . esc_html__('Pages:', 'sympathy'),
             'after' => '</div>',
             'link_before' => '<span type="button" class="btn btn-default btn-sm">',
             'link_after' => '</span>',
             'next_or_number' => 'number',
             'separator' => ' ',
             'nextpagelink' => esc_html__('Next page', 'sympathy'),
             'previouspagelink' => esc_html__('Previous page', 'sympathy'),
             'pagelink' => '%',
             'echo' => 1
         );
         wp_link_pages($pagiarg);
         ?>
      </div>
      <?php if (is_single()): ?>
         <div class="tag-social-box clearfix">
            <div class="tag-box pull-left">
               <?php
               $posttags = get_the_tags();
               $count = count($posttags);
               $i = 1;
               if (!empty($posttags))
                  echo '<h3>Tags:</h3> ';
               ?>
               <ul>
                  <?php
                  if ($posttags) {
                     foreach ($posttags as $tag) {
                        echo "<li><a href=" . esc_url(get_tag_link($tag->term_id)) . ">" . esc_attr($tag->name) . "</a></li>";
                        if ($i < $count)
                           echo ', ';
                        $i++;
                     }
                  }
                  ?>
               </ul>
            </div>
            <div class="social-box pull-right">
               <?php do_action('sympathy_social_share'); ?>
            </div>
         </div>
      <?php endif; ?>
   </div><!-- .sympathy-content -->
   <?php if (is_single()): ?>
      <?php sympathy_post_nav(); ?>
      <div class="blog-author">
         <div class="img-box">
            <?php echo get_avatar(get_the_author_meta($author_id), $size = '200'); ?>
         </div>
         <div class="text-box">
            <a href="<?php echo esc_url($link_author); ?>"><h3><?php echo esc_attr($author); ?></h3></a>
            <p><?php echo the_author_meta('description', $author_id); ?></p>
         </div>
      </div>
   <?php endif; ?>

</article><!-- #post-## -->

