<?php
/**
 * The default template for displaying content
 *
 */
?>
<?php
global $post, $sympathy_smof_data;
$post_id = get_the_ID();
$term_list = wp_get_post_terms($post_id, 'category');
$date = get_the_date();
$author_id = $post->post_author;
$author = get_the_author();
$link_author = get_author_posts_url(get_the_author_meta('ID'), get_the_author_meta('user_nicename'));
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry-thumbnail-image">
        <?php
        sympathy_post_thumbnail("full");
        ?>
    </div>
    <div class="sympathy-content crt-content">
        <?php
        if (!empty($sympathy_smof_data['qtc_post_show_post_title'])) {
            if (isset($sympathy_smof_data['qtc_post_show_post_title']) && $sympathy_smof_data['qtc_post_show_post_title'] == 1) {
                if ((get_post_meta($post->ID, "titlebar", true))) {
                    if (is_single()) :
                        the_title('<h1 class="entry-title">', '</h1>');
                    else :
                        the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>');
                    endif;
                }else {
                    if (is_single()) :
                        the_title('<h1 class="entry-title">', '</h1>');
                    else :
                        the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>');
                    endif;
                }
            }
        }else {
            if ((get_post_meta($post->ID, "titlebar", true))) {
                if (is_single()) :
                    the_title('<h1 class="entry-title">', '</h1>');
                else :
                    the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>');
                endif;
            }else {
                if (is_single()) :
                    the_title('<h1 class="entry-title">', '</h1>');
                else :
                    the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>');
                endif;
            }
        }
        if (!empty($sympathy_smof_data['qtc_post_show_post_info'])) {
            if (isset($sympathy_smof_data['qtc_post_show_post_info']) && $sympathy_smof_data['qtc_post_show_post_info'] == 1) {
                ?>
                <div class="blog-meta">
                    <ul>
                        <li>
                            <a href="javascript:;">
                                <span class="fa fa-clock-o"></span> <?php echo esc_attr($date); ?>
                            </a>
                        </li>
                        <li class="meta-cate">
                            <span class="fa fa-folder-o"></span>
                            <?php
                            $count = count($term_list);
                            $i = 1;
                            foreach ($term_list as $term) {
                                echo '<a href="' . esc_url(get_category_link($term->term_id)) . '">' . esc_attr($term->name) . '</a>';
                                if ($i < $count)
                                    echo ', ';
                                $i++;
                            }
                            ?>
                        </li>
                    </ul>
                </div>
                <?php
            }
        } else {
            ?>
            <div class="blog-meta">
                <ul>
                    <li>
                        <a href="javascript:;">
                            <span class="fa fa-clock-o"></span> <?php echo esc_attr($date); ?>
                        </a>
                    </li>
                    <?php if (!empty($sympathy_smof_data['qtc_post_show_post_cate']) && $sympathy_smof_data['qtc_post_show_post_cate'] == 1) { ?>
                        <li class="meta-cate">
                            <span class="fa fa-folder-o"></span>
                            <?php
                            $count = count($term_list);
                            $i = 1;
                            foreach ($term_list as $term) {
                                echo '<a href="' . esc_url(get_category_link($term->term_id)) . '">' . esc_attr($term->name) . '</a>';
                                if ($i < $count)
                                    echo ', ';
                                $i++;
                            }
                            ?>
                        </li>
                    <?php }else { ?>
                        <li class="meta-cate">
                            <span class="fa fa-folder-o"></span>
                            <?php
                            $count = count($term_list);
                            $i = 1;
                            foreach ($term_list as $term) {
                                echo '<a href="' . esc_url(get_category_link($term->term_id)) . '">' . esc_attr($term->name) . '</a>';
                                if ($i < $count)
                                    echo ', ';
                                $i++;
                            }
                            ?>
                        </li>
                    <?php } ?>
                </ul>
            </div>
            <?php
        }
        ?>
        <div class="entry-content">
            <?php
            /* translators: %s: Name of current post */
            the_content(sprintf(
                            esc_html__('Continue reading %s', 'sympathy'), the_title('<span class="screen-reader-text">', '</span>', false)
            ));

            $pagiarg = array(
                'before' => '<div class="single-post-pagi">' . esc_html__('Pages:', 'sympathy'),
                'after' => '</div>',
                'link_before' => '<span type="button" class="btn btn-default btn-sm">',
                'link_after' => '</span>',
                'next_or_number' => 'number',
                'separator' => ' ',
                'nextpagelink' => esc_html__('Next page', 'sympathy'),
                'previouspagelink' => esc_html__('Previous page', 'sympathy'),
                'pagelink' => '%',
                'echo' => 1
            );
            wp_link_pages($pagiarg);
            ?>
        </div>
        <?php if (is_single()): ?>
            <div class="tag-social-box clearfix">
                <div class="tag-box pull-left">
                    <?php
                    if (!empty($sympathy_smof_data['qtc_post_show_post_tags']) && $sympathy_smof_data['qtc_post_show_post_tags'] == 1) {
                        $posttags = get_the_tags();
                        $count = count($posttags);
                        $i = 1;
                        if ($posttags) {
                            ?>
                            <h3><?php echo esc_html__('Tags:', 'sympathy'); ?></h3>
                            <ul>
                                <?php
                                foreach ($posttags as $tag) {
                                    echo "<li><a href=" . esc_url(get_tag_link($tag->term_id)) . ">" . $tag->name . "</a></li>";
                                    if ($i < $count)
                                        echo ', ';
                                    $i++;
                                }
                                ?>
                            </ul>
                            <?php
                        }
                    }else {
                        $posttags = get_the_tags();
                        $count = count($posttags);
                        $i = 1;
                        if ($posttags) {
                            ?>
                            <h3><?php echo esc_html__('Tags:', 'sympathy'); ?></h3>
                            <ul>
                                <?php
                                foreach ($posttags as $tag) {
                                    echo "<li><a href=" . esc_url(get_tag_link($tag->term_id)) . ">" . $tag->name . "</a></li>";
                                    if ($i < $count)
                                        echo ', ';
                                    $i++;
                                }
                                ?>
                            </ul>
                            <?php
                        }
                    }
                    ?>
                </div>
                <div class="social-box pull-right">
                    <div class="crt-icon-share">
                        <i class="fa fa-share-alt" aria-hidden="true"></i><?php echo esc_html__('Share', 'sympathy'); ?>
                    </div> 
                    <?php
                    if (!empty($sympathy_smof_data['qtc_post_show_social_share'])) {
                        if (isset($sympathy_smof_data['qtc_post_show_social_share']) && $sympathy_smof_data['qtc_post_show_social_share'] == 1) {
                            do_action('sympathy_social_share');
                        }
                    } else {
                        do_action('sympathy_social_share');
                    }
                    ?>
                </div>
            </div>
        <?php endif; ?>
    </div><!-- .sympathy-content -->
    <?php
    if (is_single()):
        if (!empty($sympathy_smof_data)) {
            if (isset($sympathy_smof_data['qtc_post_show_post_nav']) && $sympathy_smof_data['qtc_post_show_post_nav'] == 1) {
                sympathy_post_nav();
            }
        } else {
            sympathy_post_nav();
        }
        if (!empty($sympathy_smof_data)) {
            if (isset($sympathy_smof_data['qtc_post_show_author']) && $sympathy_smof_data['qtc_post_show_author'] == 1) {
                ?>
                <div class="blog-author">
                    <div class="img-box">
                        <?php echo get_avatar(get_the_author_meta($author_id), $size = '200'); ?>
                    </div>
                    <div class="text-box">
                        <a href="<?php echo esc_url($link_author); ?>"><h3><?php echo esc_attr($author); ?></h3></a>
                        <p><?php echo the_author_meta('description', $author_id); ?></p>
                    </div>
                </div>
                <?php
            }
        }
        ?>
    <?php endif; ?>

</article><!-- #post-## -->
