<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
require SYMPATHY_FRAME_WORK_DIR . "/plugins/class-tgm-plugin-activation.php";

/* ---------------------------------------------------------------------------
 * 	Sympathy Plugin Activation
 * --------------------------------------------------------------------------- */
add_action('tgmpa_register', 'sympathy_register_required_plugins');
if (!function_exists('sympathy_register_required_plugins')) {

    function sympathy_register_required_plugins() {

        $plugins = array(
            array(
                'name' => esc_html__('Visual Composer', 'sympathy'),
                'slug' => 'js_composer',
                'source' => SYMPATHY_THEME_DIR .'/framework/plugins/files/js_composer.zip',
                'required' => true,
                'version' => '',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
                'is_callable' => '',
            ),
            array(
                'name' => esc_html__('Slider Revolution', 'sympathy'),
                'slug' => 'revslider',
                'source' => SYMPATHY_THEME_DIR .'/framework/plugins/files/revslider.zip',
                'required' => true,
                'version' => '',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
                'is_callable' => '',
            ),
            array(
                'name' => esc_html__('Options Sympathy', 'sympathy'),
                'slug' => 'option-sympathy',
                'source' => SYMPATHY_THEME_DIR .'/framework/plugins/files/option-sympathy.zip',
                'required' => true,
                'version' => '',
                'force_activation' => true,
                'force_deactivation' => true,
                'external_url' => '',
                'is_callable' => '',
            ),
            array(
                'name' => esc_html__('Ultimate VC Addons', 'sympathy'),
                'slug' => 'Ultimate_VC_Addons',
                'source' => SYMPATHY_THEME_DIR .'/framework/plugins/files/Ultimate_VC_Addons.zip',
                'required' => true,
                'version' => '',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
                'is_callable' => '',
            ),
            array(
                'name' => esc_html__('Charitable &ndash; Donation Plugin', 'sympathy'),
                'slug' => 'charitable',
                'required' => true,
            ),
            array(
                'name' => esc_html__('WooCommerce', 'sympathy'),
                'slug' => 'woocommerce',
                'required' => true,
            ),
            array(
                'name' => esc_html__('The Events Calendar', 'sympathy'),
                'slug' => 'the-events-calendar',
                'required' => true,
            ),
            array(
                'name' => esc_html__('The Events Calendar Pro', 'sympathy'),
                'slug' => 'events-calendar-pro',
                'source' => SYMPATHY_THEME_DIR .'/framework/plugins/files/events-calendar-pro.zip',
                'required' => true,
                'version' => '',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
                'is_callable' => '',
            ),
            array(
                'name' => esc_html__('Ninja Form', 'sympathy'),
                'slug' => 'ninja-forms',
                'required' => false,
            ),
        );

        $config = array(
            'id' => 'sympathy-tgmpa', // Unique ID for hashing notices for multiple instances of TGMPA.
            'default_path' => '', // Default absolute path to bundled plugins.
            'menu' => 'tgmpa-install-plugins', // Menu slug.
            'parent_slug' => 'themes.php', // Parent menu slug.
            'capability' => 'edit_theme_options', // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
            'has_notices' => true, // Show admin notices or not.
            'dismissable' => true, // If false, a user cannot dismiss the nag message.
            'dismiss_msg' => '', // If 'dismissable' is false, this message will be output at top of nag.
            'is_automatic' => false, // Automatically activate plugins after installation or not.
            'message' => '<div class="mfn-tgm-message">' . esc_html__('If you are not sure about server\'s settings and limits, please activate necessary plugins ONLY', 'sympathy') . '</div>', // Message to output right before the plugins table
            'strings' => array(
                'page_title' => esc_html__('Install Required Plugins', 'sympathy'),
                'menu_title' => esc_html__('Install Plugins', 'sympathy'),
                'installing' => esc_html__('Installing Plugin: %s', 'sympathy'), // %s = plugin name.
                'oops' => esc_html__('Something went wrong with the plugin API.', 'sympathy'),
                'notice_can_install_required' => _n_noop('This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'sympathy'), // %1$s = plugin name(s).
                'notice_can_install_recommended' => _n_noop('This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'sympathy'), // %1$s = plugin name(s).
                'notice_cannot_install' => _n_noop('Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'sympathy'), // %1$s = plugin name(s).
                'notice_can_activate_required' => _n_noop('The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'sympathy'), // %1$s = plugin name(s).
                'notice_can_activate_recommended' => _n_noop('The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'sympathy'), // %1$s = plugin name(s).
                'notice_cannot_activate' => _n_noop('Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'sympathy'), // %1$s = plugin name(s).
                'notice_ask_to_update' => _n_noop('The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'sympathy'), // %1$s = plugin name(s).
                'notice_cannot_update' => _n_noop('Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'sympathy'), // %1$s = plugin name(s).
                'install_link' => _n_noop('Begin installing plugin', 'Begin installing plugins', 'sympathy'),
                'activate_link' => _n_noop('Begin activating plugin', 'Begin activating plugins', 'sympathy'),
                'return' => esc_html__('Return to Required Plugins Installer', 'sympathy'),
                'plugin_activated' => esc_html__('Plugin activated successfully.', 'sympathy'),
                'complete' => esc_html__('All plugins installed and activated successfully. %s', 'sympathy'), // %s = dashboard link.
                'nag_type' => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
            ),
        );

        tgmpa($plugins, $config);
    }

}
