<?php

/* ----------------------------------------------------------------------------------- *
 * 	WordPress uses TinyMCE 4 since 3.9
 * 	For safety reasons no support for TinyMCE 3 ( WordPress 3.8 )
 * ----------------------------------------------------------------------------------- */
$wp_version = floatval( get_bloginfo( 'version' ) );

if ( $wp_version >= 3.9 ) {

	function sympathy_mce_init() {
		global $page_handle;
		if ( !current_user_can( 'edit_posts' ) || !current_user_can( 'edit_pages' ) )
			return false;

		if ( get_user_option( 'rich_editing' ) == 'true' ) {
			add_filter( "mce_external_plugins", 'sympathy_mce_plugin' );
			add_filter( 'mce_buttons', 'sympathy_mce_buttons' );
		}
	}

	add_action( 'init', 'sympathy_mce_init' );

	function sympathy_mce_plugin( $array ) {
		$array ['opsc'] = SYMPATHY_FRAME_WORK_URI . '/tinymce/plugin.js';
		return $array;
	}

	function sympathy_mce_buttons( $buttons ) {
		array_push( $buttons, 'opsc' );
		return $buttons;
	}

	function sympathy_mce_style() {
		wp_register_style( 'tinymce-style', SYMPATHY_FRAME_WORK_URI . '/tinymce/css/style.css', 'all' );
		wp_enqueue_style( 'tinymce-style' );
	}

	add_action( 'admin_enqueue_scripts', 'sympathy_mce_style' );
}