<?php

/**
 * Theme Functions
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
define('SYMPATHY_THEME_DIR', get_template_directory());
define('SYMPATHY_THEME_URI', get_template_directory_uri());
define('SYMPATHY_STYLESHEET_DIR', get_stylesheet_directory());
define('SYMPATHY_STYLESHEET_URI', get_stylesheet_uri());
define('SYMPATHY_THEME_VERSION', '1.0');
define('SYMPATHY_THEME_NAME', wp_get_theme());

define('SYMPATHY_ADMIN_ASSETS_URI', SYMPATHY_THEME_URI . '/images');
define('SYMPATHY_IMAGE_SIZE_OPTION', SYMPATHY_THEME_DIR . '_image_sizes');
define('SYMPATHY_LIBS_DIR', SYMPATHY_THEME_DIR . '/functions');
define('SYMPATHY_LIBS_URI', SYMPATHY_THEME_URI . '/functions');
define('SYMPATHY_FRAME_WORK_DIR', SYMPATHY_THEME_DIR . '/framework');
define('SYMPATHY_FRAME_WORK_URI', SYMPATHY_THEME_DIR . '/framework');
define('SYMPATHY_LANG_DIR', SYMPATHY_THEME_DIR . '/languages');

/* ---------------------------------------------------------------------------
 * Add global values.
 * --------------------------------------------------------------------------- */
global $sympathy_smof_data, $sympathy_meta;

/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * --------------------------------------------------------------------------- */
load_theme_textdomain('sympathy', SYMPATHY_LANG_DIR);

//Premium Plugins ------------------------------------------------------------
// Slider Revolution
if (isset($sympathy_smof_data['qtc_enable_rev']) && $sympathy_smof_data['qtc_enable_rev']) {
    if (function_exists('set_revslider_as_theme')) {
        set_revslider_as_theme();
    }
}
//
// Visual Composer
if (isset($sympathy_smof_data['qtc_enable_visual_composer']) && $sympathy_smof_data['qtc_enable_visual_composer']) {
    add_action('vc_before_init', 'sympathy_vcSetAsTheme');

    function sympathy_vcSetAsTheme() {
        vc_set_as_theme();
    }

}
// Plugin Activation ------------------------------------------------------------
require_once( SYMPATHY_FRAME_WORK_DIR . '/plugins/init.php' );

// Theme Functions -----------------------------------------------------------------------
require_once( SYMPATHY_LIBS_DIR . '/theme-functions.php' );
// Header -----------------------------------------------------------------------
require_once( SYMPATHY_LIBS_DIR . '/theme-head.php' );
// Footer -----------------------------------------------------------------------
require_once( SYMPATHY_LIBS_DIR . '/theme-footer.php' );
// Menu -------------------------------------------------------------------------
require_once( SYMPATHY_LIBS_DIR . '/theme-menu.php');
// Megamenu -------------------------------------------------------------------------
require_once( SYMPATHY_LIBS_DIR . '/megamenu/mega-menu.php');
// Resizer -------------------------------------------------------------------------
require_once( SYMPATHY_LIBS_DIR . '/library/aq_resizer.php');
// Class basic -------------------------------------------------------------------------
require_once( SYMPATHY_THEME_DIR . '/inc/class.basic.php');

// Widget ----------------------------------------------------------------------*/
require_once( SYMPATHY_LIBS_DIR . '/widget-functions.php' );

// Vc extra field
if (class_exists('Vc_Manager')) {

    function sympathy_custom_vc_add_extra_field($name, $form_field_callback, $script_url = null) {
        return WpbakeryShortcodeParams::addField($name, $form_field_callback, $script_url);
    }

    require_once( SYMPATHY_THEME_DIR . '/vc_params/vc_row.php');
}
if (function_exists("sympathy_custom_vc_add_extra_field")) {
    require_once( SYMPATHY_LIBS_DIR . '/include/vc_extra_fields.php' );
}

require_once( SYMPATHY_THEME_DIR . '/inc/libs/scss.inc.php' );
require_once( SYMPATHY_THEME_DIR . '/inc/dynamic/static.css.php' );

/**
 * Get meta data.
 * @author Sympathy
 */
function sympathy_meta_data() {
    global $post, $sympathy_meta;
    if (isset($post->ID)) {
        $sympathy_meta = json_decode(get_post_meta($post->ID, '_qtc_meta_data', true));
    } else {
        $sympathy_meta = null;
    }
}

add_action('wp', 'sympathy_meta_data');

/* Sympathy basic theme */
if (class_exists("Sympathy_Base")) {
    $sympathy_base = new Sympathy_Base();
}
/* Woocommerce function */
if (class_exists('Woocommerce')) {
    require_once( SYMPATHY_THEME_DIR . '/woocommerce/wc-template-function.php' );
    require_once( SYMPATHY_THEME_DIR . '/woocommerce/wc-template-hooks.php' );
}
