<?php

/*

 * Taxonomy checkbox list field

 */
add_action( 'admin_enqueue_scripts', 'sympathy_custom_checkbox_vc_admin_script' );

function sympathy_custom_checkbox_vc_admin_script() {
	wp_enqueue_script( 'sympathy-custom-checkbox-vc', SYMPATHY_LIBS_URI . '/include/js/custom_checkbox_vc.js', array( 'jquery' ), true );
}

function sympathy_taxonomy_settings_field( $settings, $value ) {
	$dependency = vc_generate_dependencies_attributes( $settings );
	$terms_fields = array();
	$value_arr = $value;
	if ( !is_array( $value_arr ) ) {
		$value_arr = array_map( 'trim', explode( ',', $value_arr ) );
	}

	if ( !empty( $settings['taxonomy'] ) ) {
		$terms = get_terms( $settings['taxonomy'], 'orderby=count&hide_empty=0' );
		if ( $terms && !is_wp_error( $terms ) ) {
			foreach ( $terms as $term ) {
				$terms_fields[] = sprintf(
						'<label><input onclick="changeCategory(this);" id="%s" class="sympathy_check_taxonomy %s" type="checkbox" name="%s" value="%s" %s/>%s</label>', $settings['param_name'] . '-' . $term->slug, $settings['param_name'] . ' ' . $settings['type'], $settings['param_name'], $term->term_id, checked( in_array( $term->term_id, $value_arr ), true, false ), $term->name
				);
			}
		}
	}
	return '<div class="sympathy_taxonomy_block">'
			. '<input type="hidden" name="' . $settings['param_name'] . '" class="wpb_vc_param_value wpb-checkboxes ' . $settings['param_name'] . ' ' . $settings['type'] . '_field" value="' . $value . '" ' . $dependency . ' />'
			. '<div class="sympathy_taxonomy_terms">'
			. implode( $terms_fields )
			. '</div>'
			. '</div>';
}

sympathy_custom_vc_add_extra_field( 'sympathy_taxonomy', 'sympathy_taxonomy_settings_field' );
