<?php
/**
 * Footer functions.
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
#-----------------------------------------------------------------#
# Load style
#-----------------------------------------------------------------#
if (!function_exists('sympathy_style_footer')):
    add_action('wp_enqueue_scripts', 'sympathy_style_footer');

    function sympathy_style_footer() {
        global $sympathy_smof_data, $post;
        if ($post) {
            $meta_data = sympathy_option_meta_id($post->ID);
        }
        $style = '';
        if (isset($sympathy_smof_data['qtc_footer_top_bg_image']['url']) && $sympathy_smof_data['qtc_footer_top_bg_image']['url'] != ''):
            $style .= '#footer{color: ' . $sympathy_smof_data['qtc_color_footer'] . ';}';
            $style .= '#footer .footer-center{padding:' . $sympathy_smof_data['qtc_footer_padding'] . '; margin:' . $sympathy_smof_data['qtc_footer_margin'] . ';';
            $style .= '.menu__footer ul li.menu-item a{color: ' . $sympathy_smof_data['qtc_color_link_footer'] . ';}';
        elseif (isset($sympathy_smof_data['qtc_backgroud_footer'])):
            $style .= '#footer{background:' . $sympathy_smof_data['qtc_backgroud_footer'] . '; ' . ' background-repeat:' . $sympathy_smof_data['qtc_footer_top_bg_repeat'] . '; background-size:' . $sympathy_smof_data['qtc_footer_top_bg_size'] . '; background-position:' . $sympathy_smof_data['qtc_footer_top_bg_pos'] . '; color: ' . $sympathy_smof_data['qtc_color_footer'] . ';}';
            $style .= '#footer .footer-center{padding:' . $sympathy_smof_data['qtc_footer_padding'] . '; margin:' . $sympathy_smof_data['qtc_footer_margin'] . ';';
            $style .= '.menu__footer ul li.menu-item a{color: ' . $sympathy_smof_data['qtc_color_link_footer'] . ';}';
        endif;
        $custom_color_footer = '';
        if (!empty($meta_data)):
            if (isset($meta_data->_qtc_footer) && $meta_data->_qtc_footer == 1) {
                if (isset($meta_data->_qtc_custom_color_footer) && $meta_data->_qtc_custom_color_footer != '') {
                    $custom_color_footer = '.footer a,.menu__footer ul li.menu-item a,.copyright{
                                color:' . urldecode($meta_data->_qtc_color_footer) . ';
                            }
                            .footer h1,.footer h2,.footer h3,.footer h4, .footer h5, .footer h6{
                                color:' . urldecode($meta_data->_qtc_color_footer) . ' !important;
                            }';
                }
            }
        endif;
        wp_add_inline_style('sympathy-style', $style . $custom_color_footer);
    }

endif;

#-----------------------------------------------------------------#
# Load Footer
#-----------------------------------------------------------------#
if (!function_exists('sympathy_footer_show_func')):
    add_action('sympathy_footer_show', 'sympathy_footer_show_func');

    function sympathy_footer_show_func() {
        global $sympathy_smof_data, $sympathy_meta;
        ?>
        <footer id="footer" class="footer">
            <?php if (is_active_sidebar('sympathy_footer_1') || is_active_sidebar('sympathy_footer_2') || is_active_sidebar('sympathy_footer_3') || is_active_sidebar('sympathy_footer_4')) : ?>
                <div class="sympathy-footer-top">
                    <div class="sympathy-container">
                        <div class="row">
                            <?php if (is_active_sidebar('sympathy_footer_1')) : ?>
                                <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 col-footer-1"><?php dynamic_sidebar('sympathy_footer_1'); ?></div>
                            <?php endif; ?>
                            <?php if (is_active_sidebar('sympathy_footer_2')) : ?>
                                <div class="col-xs-12 col-sm-6 col-md-2 col-lg-2 col-footer-2"><?php dynamic_sidebar('sympathy_footer_2'); ?></div>
                            <?php endif; ?>
                            <?php if (is_active_sidebar('sympathy_footer_3')) : ?>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 col-footer-3"><?php dynamic_sidebar('sympathy_footer_3'); ?></div>
                            <?php endif; ?>
                            <?php if (is_active_sidebar('sympathy_footer_4')) : ?>
                                <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 col-footer-4"><?php dynamic_sidebar('sympathy_footer_4'); ?></div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
            <div class="sympathy-footer-socket">
                <div class="sympathy-container">
                    <?php if (isset($sympathy_smof_data['qtc_enable_footer_social']) && $sympathy_smof_data['qtc_enable_footer_social']): ?>
                        <div class="socket-social">
                            <?php do_action('sympathy_social_theme'); ?>
                        </div>
                    <?php endif; ?>
                    <div class="socket-info">
                        <?php echo isset($sympathy_smof_data['qtc_copyright']) ? $sympathy_smof_data['qtc_copyright'] : ""; ?>
                        <?php
                        if (empty($sympathy_smof_data)) {
                            echo wp_kses(__("Copyright @ 2017 <a target='_blank' href='http://sympathy.qtcmedia.com/'>Sympathy </a>, All Right Reserved", "sympathy"), CUSTOM_TAGS);
                        }
                        ?>
                    </div>
                </div>
            </div>
        </footer>
        <a id="backTop"><i class="fa fa-angle-double-up" aria-hidden="true"></i></a>
        <?php
    }

endif;


if (!function_exists('sympathy_objectToArray')) {

    function sympathy_objectToArray($object) {
        if (!is_object($object) && !is_array($object)) {
            return $object;
        }
        return array_map('sympathy_objectToArray', (array) $object);
    }

}


/* Show form seach */
add_action('wp_footer', 'sympathy_form_show_template_search');

function sympathy_form_show_template_search() {
    global $sympathy_smof_data;
    if (isset($sympathy_smof_data['qtc_top_search']) && $sympathy_smof_data['qtc_top_search'] == '1') :
        ?>
        <div class="form-search-wrap">
            <div class="crt-container">
                <a href="#" class="close-search"><span class="fa fa-remove"></span></a>
        <?php do_action('sympathy_search_form'); ?>
            </div>
        </div>
    <?php
    endif;
}
