<?php
/**
 * Theme functions.
 *
 * @package sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
// Exit if accessed directly
if (!defined('ABSPATH'))
    exit;

include_once ABSPATH . 'wp-admin/includes/plugin.php';

/* ---------------------------------------------------------------------------
 * StylesS
 * --------------------------------------------------------------------------- */
if (!function_exists('sympathy_frontend_styles')) {

    function sympathy_frontend_styles() {
        global $sympathy_smof_data, $post;
        $body_classes = get_body_class();
        /*
         * Add Style theme
         */
        wp_enqueue_style('sympathy-style', get_stylesheet_uri(), false);
        wp_enqueue_style('animate', SYMPATHY_THEME_URI . '/assets/css/animate.min.css', false);
        wp_enqueue_style('sympathy-font', SYMPATHY_THEME_URI . '/assets/css/fonts.css', false);
        wp_enqueue_style('font-awesome', SYMPATHY_THEME_URI . '/assets/css/font-awesome.min.css', false);
        wp_enqueue_style('lightgallery', SYMPATHY_THEME_URI . '/assets/lib/lightGallery/dist/css/lightgallery.min.css', false);
        wp_enqueue_style('jquery-ui', SYMPATHY_THEME_URI . '/assets/lib/datepicker/jquery-ui.css', false);
        wp_enqueue_style('sympathy-bxslider', SYMPATHY_THEME_URI . '/assets/lib/bx-slider/jquery.bxslider.css', false);
        wp_enqueue_style('owl.carousel', SYMPATHY_THEME_URI . '/assets/lib/owl-carousel/owl.carousel.min.css', false);
        wp_enqueue_style('owl.theme.default.min', SYMPATHY_THEME_URI . '/assets/lib/owl-carousel/owl.theme.default.min.css', false);
        // rtl
        if (in_array("rtl", $body_classes)):
            wp_enqueue_style('sympathy-rtl', SYMPATHY_THEME_URI . '/rtl.css', false, SYMPATHY_THEME_VERSION, 'all');
        endif;

        // bootstrap -------------------------------------------------------------
        wp_enqueue_style('bootstrap', SYMPATHY_THEME_URI . '/assets/css/bootstrap.min.css', false);
        //Fancy box --------------------------------------------------------------------
        wp_enqueue_style('fancybox', SYMPATHY_THEME_URI . '/assets/lib/FancyBox/jquery.fancybox.css', false);

        wp_enqueue_style('sympathy-core', SYMPATHY_THEME_URI . '/assets/css/core.css', false);

        wp_enqueue_style('sympathy-main', SYMPATHY_THEME_URI . '/assets/css/main.css', false);

        if (in_array('color-customizer/init.php', apply_filters('active_plugins', get_option('active_plugins')))) {
            //plugin is activated
            wp_enqueue_style('sympathy_preset', SYMPATHY_THEME_URI . '/assets/presets/default.css', false);
        }
        //Register css
        wp_register_style('magnific-popup', SYMPATHY_THEME_URI . '/assets/css/magnific-popup.css', false);

        wp_register_style('slick', SYMPATHY_THEME_URI . '/assets/lib/slick/slick.css', false);
    }

}
add_action('wp_enqueue_scripts', 'sympathy_frontend_styles');

/* ---------------------------------------------------------------------------
 * Scripts
 * --------------------------------------------------------------------------- */
if (!function_exists('sympathy_frontend_scripts')) {

    function sympathy_frontend_scripts() {
        global $sympathy_smof_data, $post;
        if (!is_admin()) {
            wp_enqueue_script('bootstrap', SYMPATHY_THEME_URI . '/assets/js/bootstrap.min.js', array('jquery'), false, true);
            // singular | comment reply
            if (is_singular() && get_option('thread_comments')) {
                wp_enqueue_script('comment-reply');
            }
            wp_enqueue_script('jquery-backTop', SYMPATHY_THEME_URI . '/assets/js/jquery.backTop.min.js', array('jquery'), false, true);
            wp_enqueue_script('packery-docs.js', SYMPATHY_THEME_URI . '/assets/lib/packery-docs.min.js', array('jquery'), false, true);
            //check gallery
            wp_enqueue_script('jquery-mousewheel', SYMPATHY_THEME_URI . '/assets/lib/lightGallery/dist/js/jquery.mousewheel.min.js', array('jquery'), false, true);
            wp_enqueue_script('lightgallery-all.js', SYMPATHY_THEME_URI . '/assets/lib/lightGallery/dist/js/lightgallery-all.min.js', array('jquery'), false, true);
        }

        wp_enqueue_script('jquery-bxslider', SYMPATHY_THEME_URI . '/assets/lib/bx-slider/jquery.bxslider.min.js', array('jquery'), false, true);

        wp_enqueue_script('jquery-ui', SYMPATHY_THEME_URI . '/assets/lib/datepicker/jquery-ui.js', array('jquery'), false, true);
        //loading
        wp_enqueue_script('modernizr.js', SYMPATHY_THEME_URI . '/assets/lib/loading/modernizr.min.js', array('jquery'), false, true);
        //smoothscroll
        wp_enqueue_script('smoothscroll.js', SYMPATHY_THEME_URI . '/assets/js/smoothscroll.js', array('jquery'), false, true);
        //fancybox
        wp_enqueue_script('jquery-fancybox', SYMPATHY_THEME_URI . '/assets/lib/FancyBox/jquery.fancybox.pack.js', array('jquery'), false, true);
        //light box
        wp_register_script('html5lightbox.js', SYMPATHY_THEME_URI . '/assets/lib/html5lightbox/html5lightbox.js', array('jquery'), false, true);
        //js template
        wp_enqueue_script('sympathy-templates-js', SYMPATHY_THEME_URI . '/assets/js/templates.js', array('jquery'), false, true);

        //js theme
        wp_enqueue_script('sympathy-shortcodes', SYMPATHY_THEME_URI . '/assets/js/shortcodes.js', array('jquery'), false, true);

        wp_enqueue_script('owl.carousel.min', SYMPATHY_THEME_URI . '/assets/lib/owl-carousel/owl.carousel.min.js', array('jquery'), false, true);

        if (function_exists('is_woocommerce')) {
            wp_enqueue_script('jquery-elevatezoom', SYMPATHY_THEME_URI . '/assets/lib/elevatezoom-master/jquery.elevatezoom.js', array('jquery'), false, true);
        }
        wp_localize_script('sympathy-shortcodes', 'objAjax', array('ajaxurl' => admin_url('admin-ajax.php')));
        //Resgiter js
        wp_register_script('jquery-sglide', SYMPATHY_THEME_URI . '/assets/js/jquery.sglide.js', array('jquery'), false, true);
        wp_register_script('jquery-magnific-popup', SYMPATHY_THEME_URI . '/assets/js/jquery.magnific-popup.min.js', array('jquery'), false, true);

        wp_register_script('slick.js', SYMPATHY_THEME_URI . '/assets/lib/slick/slick.min.js', array('jquery'), false, true);
    }

}
add_action('wp_enqueue_scripts', 'sympathy_frontend_scripts');

/* ---------------------------------------------------------------------------
 * Scripts Color picker
 * --------------------------------------------------------------------------- */

function sympathy_color_picker_assets($hook) {
    if ('widgets.php' != $hook) {
        return;
    }
    wp_enqueue_style('wp-color-picker');
    wp_enqueue_script('wp-color-picker');
}

add_action('admin_enqueue_scripts', 'sympathy_color_picker_assets');


/* ---------------------------------------------------------------------------
 * Woo Shortcode
 * --------------------------------------------------------------------------- */

if (!function_exists('sympathy_woo_enqueue_script')) {

    function sympathy_woo_enqueue_script() {
        global $post, $sympathy_smof_data;
        if (function_exists('is_woocommerce')) {
            wp_register_script('sympathy_woo_js', SYMPATHY_THEME_URI . '/assets/js/woo.js');
            // js data for the shortcode
            $translation_array = array(
                'URL' => admin_url('admin-ajax.php')
            );
            wp_localize_script('sympathy_woo_js', 'CMDShortcodeAjax', $translation_array);
            wp_enqueue_script('sympathy_woo_js');
        }
    }

}
add_action('wp_enqueue_scripts', 'sympathy_woo_enqueue_script');

if (!isset($content_width)) {
    $content_width = 600;
}
/* ---------------------------------------------------------------------------
 * Theme support
 * --------------------------------------------------------------------------- */
if (!function_exists('sympathy_fonts_url')) {

    function sympathy_fonts_url() {
        $fonts_url = '';

        $lora = _x('on', 'Lora font: on or off', 'sympathy');

        $open_sans = _x('on', 'Poppins font: on or off', 'sympathy');

        if ('off' !== $lora || 'off' !== $open_sans) {
            $font_families = array();

            if ('off' !== $lora) {
                $font_families[] = 'Lora:400,700,400italic';
            }

            if ('off' !== $open_sans) {
                $font_families[] = 'Poppins:700italic,400,800,600';
            }

            $query_args = array(
                'family' => urlencode(implode('|', $font_families)),
                'subset' => urlencode('latin,latin-ext'),
            );

            $fonts_url = add_query_arg($query_args, 'https://fonts.googleapis.com/css');
        }

        return esc_url_raw($fonts_url);
    }

}
if (!function_exists('sympathy_theme_support')):

    function sympathy_theme_support() {
        /*
         * Add support theme
         */
        add_theme_support('automatic-feed-links');

        add_theme_support('post-formats', array(
            'aside',
            'image',
            'video',
            'audio',
            'quote',
            'link',
            'gallery',
            'status'
        ));

        add_theme_support("title-tag");

        add_theme_support('post-thumbnails');

        add_theme_support('woocommerce');

        // Add Custom Header.
        add_theme_support('custom-header');

        //add images size
        add_image_size('370x240', 370, 240, false);
        add_image_size('370x382-crop', 370, 382, true);
        add_image_size('920x470-left-top', 920, 470, array('left', 'top'));
        add_image_size('384x250-right-center', 384, 250, array('right', 'center'));
        add_image_size('640x480-center-bottom', 640, 480, array('center', 'bottom'));

        // This theme allows users to set a custom background.
        add_theme_support('custom-background', apply_filters('sympathy_custom_background_args', array(
            'default-color' => 'f5f5f5',
        )));
        //Registers an editor stylesheet for the current theme.

        add_editor_style(array('editor-style.css', sympathy_fonts_url()));
    }

endif;
add_action('after_setup_theme', 'sympathy_theme_support');
/* ---------------------------------------------------------------------------
 * SSL | Compatibility
 * --------------------------------------------------------------------------- */
if (!function_exists('sympathy_ssl')) {

    function sympathy_ssl($echo = false) {
        $ssl = '';
        if (is_ssl()) {
            $ssl = 's';
        }
        if ($echo) {
            echo esc_attr($ssl);
        }
        return $ssl;
    }

}

#-----------------------------------------------------------------#
# Get Theme Options
#-----------------------------------------------------------------#
if (!function_exists('sympathy_opts_get')) {

    function sympathy_opts_get($opt_name) {
        global $sympathy_smof_data;
        if (isset($sympathy_smof_data[$opt_name])) {
            $option = $sympathy_smof_data[$opt_name];
        } else {
            $option = '';
        }

        return $option;
    }

}

#-----------------------------------------------------------------#
# Favicon
#-----------------------------------------------------------------#
if (!function_exists('sympathy_favicon')) {

    function sympathy_favicon($url = "") {
        if ($url) {
            $favicon_type = "image/x-icon";
            if (strpos($url, '.png')) {
                $favicon_type = "image/png";
            }
            if (strpos($url, '.gif')) {
                $favicon_type = "image/gif";
            }

            $favicon_link = '<link rel="shortcut icon" href="' . esc_url($url) . '" type="' . esc_attr($favicon_type) . '">';
        } else {
            if (!function_exists('has_site_icon') || !has_site_icon()) {
                $favicon_link = '<link rel="shortcut icon" href="' . esc_url(SYMPATHY_THEME_URI) . '/favicon.ico" type="image/x-icon">';
            }
        }

        return $favicon_link;
    }

}

// body classes ---------------------------------
if (!function_exists('sympathy_body_classes')) {

    function sympathy_body_classes($classes) {
        global $sympathy_smof_data;
        if (isset($sympathy_smof_data['qtc_layout']) && $sympathy_smof_data['qtc_layout'] == "boxed") {
            $classes[] = 'layout-boxed';
        }

        return $classes;
    }

}
add_filter('body_class', 'sympathy_body_classes');

// sympathy thumnail ------------------------------
if (!function_exists('sympathy_post_thumbnail')) :

    function sympathy_post_thumbnail($size = 'thumbnail', $cus_size = array()) {
        if (post_password_required() || is_attachment() || !has_post_thumbnail()) {
            return;
        }
        if (is_singular()) :
            ?>
            <div class="post-thumbnail">
                <?php the_post_thumbnail('full'); ?>
            </div><!-- .post-thumbnail -->

        <?php else : ?>
            <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
                <?php
                if (empty($cus_size)) {
                    the_post_thumbnail($size, array('alt' => get_the_title()));
                } else {
                    the_post_thumbnail($cus_size, array('alt' => get_the_title()));
                }
                ?>
            </a>
        <?php
        endif; // End is_singular()
    }

endif;
// sympathy thumnail intro------------------------------
if (!function_exists('sympathy_post_thumbnail_intro')) :

    function sympathy_post_thumbnail_intro($attach_id, $size = 'thumbnail') {
        $intro_image = wp_get_attachment_image($attach_id, $size);

        return $intro_image;
    }

endif;

// Time Format------------------------------
if (!function_exists('sympathy_time_format')) :

    function sympathy_time_format($time) {
        switch ($time) {
            case 8:
                echo "8AM";
                break;
            case 9:
                echo "9AM";
                break;
            case 10:
                echo "10AM";
                break;
            case 11:
                echo "11AM";
                break;
            case 12:
                echo "12AM";
                break;
            case 13:
                echo "1PM";
                break;
            case 14:
                echo "2PM";
                break;
            case 15:
                echo "3PM";
                break;
            case 16:
                echo "4PM";
                break;
            case 17:
                echo "5PM";
                break;
            case 18:
                echo "6PM";
                break;
            case 19:
                echo "7PM";
                break;
            case 20:
                echo "8PM";
                break;
            case 21:
                echo "9PM";
                break;
            case 22:
                echo "10PM";
                break;
            case 23:
                echo "11PM";
                break;
            default:
                echo "8AM";
        }
    }

endif;

// Show Social Share -------------------------------------------------------
add_action('sympathy_social_share', 'sympathy_social_template_process');
if (!function_exists('sympathy_social_template_process')):

    function sympathy_social_template_process() {
        global $post;
        $link_share = get_permalink($post->ID);
        $title = get_the_title($post->ID);
        ?>
        <ul class="social_element">
            <li>
                <a href="http://www.facebook.com/sharer.php?u=<?php echo esc_url($link_share); ?>&title=<?php echo esc_attr($title); ?>" rel="nofollow" target="_blank"><i class="icon fa fa-facebook"></i></a>
            </li>
            <li>
                <a href="https://twitter.com/intent/tweet?status=<?php echo esc_attr($title); ?>&url=<?php echo esc_url($link_share); ?>" rel="nofollow" target="_blank"><i class="icon fa fa-twitter"></i></a>
            </li>
            <li>
                <a href="http://pinterest.com/pin/create/bookmarklet/?url=<?php echo esc_url($link_share); ?>" rel="nofollow" target="_blank"><i class="icon fa fa fa-pinterest"></i></a>
            </li>
            <li>
                <a href="https://plus.google.com/share?url=<?php echo esc_url($link_share); ?>" rel="nofollow" target="_blank"><i class="icon fa fa-google-plus"></i></a>
            </li>
            <li>
                <a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo esc_url($link_share); ?>&title=<?php echo esc_attr($title); ?>" rel="nofollow" target="_blank"><i class="icon fa fa-linkedin"></i></a>
            </li>
        </ul>
        <?php
    }

endif;

// Show Social Theme -------------------------------------------------------
add_action('sympathy_social_theme', 'sympathy_social_theme');
if (!function_exists('sympathy_social_theme')):

    function sympathy_social_theme() {
        global $sympathy_smof_data;
        ob_start();
        ?>
        <ul class="sympathy-social-theme">
            <?php if (!empty($sympathy_smof_data['qtc_social_facebook'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_facebook']); ?>" class="facebook-hover social-sympathy" target="_blank"><i class="fa fa-facebook"></i></a>
                </li>
            <?php endif; ?>
            <?php if (!empty($sympathy_smof_data['qtc_social_twitter'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_twitter']); ?>" class="twitter-hover social-sympathy" target="_blank"><i class="fa fa-twitter active"></i></a>
                </li>
            <?php endif; ?>
            <?php if (!empty($sympathy_smof_data['qtc_social_google'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_google']); ?>" class="google-hover social-sympathy" target="_blank"><i class="fa fa-google-plus"></i></a>
                </li>
            <?php endif; ?>

            <?php if (!empty($sympathy_smof_data['qtc_social_pinterest'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_pinterest']); ?>" class="pinterest-hover social-sympathy" target="_blank"><i class="fa fa-pinterest"></i>
                    </a>
                </li>
            <?php endif; ?>
            <?php if (!empty($sympathy_smof_data['qtc_social_linkedin'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_linkedin']); ?>" class="linkedin-hover social-sympathy" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
                </li>
            <?php endif; ?>
            <?php if (!empty($sympathy_smof_data['qtc_social_instagram'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_instagram']); ?>" class="instagram-hover social-sympathy" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a>
                </li>
            <?php endif; ?>
            <?php if (!empty($sympathy_smof_data['qtc_social_vimeo'])): ?>
                <li>
                    <a href="<?php echo esc_url($sympathy_smof_data['qtc_social_vimeo']); ?>" class="vimeo-hover social-sympathy" target="_blank"><i class="fa fa-vimeo" aria-hidden="true"></i></a>
                </li>
            <?php endif; ?>
        </ul>
        <?php
        $data = ob_get_clean();
        echo $data;
    }

endif;

//Sympathy comment number ------------------------------------------------

if (!function_exists('sympathy_comment_number')):

    function sympathy_comment_number() {
        ?>
        <span class="meta_comment">
            <?php echo get_comments_number(get_the_ID()); ?>
        </span>
        <?php
    }

endif;

//Sympathy pagination ------------------------------------------------
if (!function_exists('sympathy_pagination')):

    function sympathy_pagination() {
        if (is_singular()) {
            return;
        }

        global $wp_query;

        /** Stop execution if there's only 1 page */
        if ($wp_query->max_num_pages <= 1) {
            return;
        }

        $paged = get_query_var('paged') ? absint(get_query_var('paged')) : 1;
        $max = intval($wp_query->max_num_pages);

        /**    Add current page to the array */
        if ($paged >= 1) {
            $links[] = $paged;
        }

        /**    Add the pages around the current page to the array */
        if ($paged >= 3) {
            $links[] = $paged - 1;
            $links[] = $paged - 2;
        }

        if (( $paged + 2 ) <= $max) {
            $links[] = $paged + 2;
            $links[] = $paged + 1;
        }

        echo '<div class="sympathy_pagination"><ul>' . "\n";

        /**    Previous Post Link */
        if (get_previous_posts_link()) {
            printf('<li>%s</li>' . "\n", get_previous_posts_link('<span class="fa fa-angle-double-left"></span>'));
        }

        /**    Link to first page, plus ellipses if necessary */
        if (!in_array(1, $links)) {
            $class = 1 == $paged ? ' class="active"' : '';

            printf('<li%s><a href="%s"><span>%s</span></a></li>' . "\n", $class, esc_url(get_pagenum_link(1)), '1');

            if (!in_array(2, $links)) {
                echo '<li>...</li>';
            }
        }

        /**    Link to current page, plus 2 pages in either direction if necessary */
        sort($links);
        foreach ((array) $links as $link) {
            $class = $paged == $link ? ' class="active"' : '';
            printf('<li%s><a href="%s"><span>%s</span></a></li>' . "\n", $class, esc_url(get_pagenum_link($link)), $link);
        }

        /**    Link to last page, plus ellipses if necessary */
        if (!in_array($max, $links)) {
            if (!in_array($max - 1, $links)) {
                echo '<li>...</li>' . "\n";
            }

            $class = $paged == $max ? ' class="active"' : '';
            printf('<li%s><a href="%s"><span>%s</span></a></li>' . "\n", $class, esc_url(get_pagenum_link($max)), $max);
        }

        /**    Next Post Link */
        if (get_next_posts_link()) {
            printf('<li>%s</li>' . "\n", get_next_posts_link('<span class="fa fa-angle-double-right"></span>'));
        }

        echo '</ul></div>' . "\n";
    }

endif;



//Sympathy pagination causes------------------------------------------------
if (!function_exists('sympathy_pagination_causes')):

    function sympathy_pagination_causes($the_query) {

        /** Stop execution if there's only 1 page */
        if ($the_query->max_num_pages <= 1) {
            return;
        }

        $paged = get_query_var('paged') ? absint(get_query_var('paged')) : 1;
        $max = intval($the_query->max_num_pages);

        /**    Add current page to the array */
        if ($paged >= 1) {
            $links[] = $paged;
        }

        /**    Add the pages around the current page to the array */
        if ($paged >= 3) {
            $links[] = $paged - 1;
            $links[] = $paged - 2;
        }

        if (( $paged + 2 ) <= $max) {
            $links[] = $paged + 2;
            $links[] = $paged + 1;
        }

        echo '<div class="sympathy_pagination"><ul>' . "\n";

        /**    Previous Post Link */
        if (get_previous_posts_link()) {
            printf('<li>%s</li>' . "\n", get_previous_posts_link('<span class="fa fa-angle-double-left"></span>'));
        }

        /**    Link to first page, plus ellipses if necessary */
        if (!in_array(1, $links)) {
            $class = 1 == $paged ? ' class="active"' : '';

            printf('<li%s><a href="%s"><span>%s</span></a></li>' . "\n", $class, esc_url(get_pagenum_link(1)), '1');

            if (!in_array(2, $links)) {
                echo '<li>...</li>';
            }
        }

        /**    Link to current page, plus 2 pages in either direction if necessary */
        sort($links);
        foreach ((array) $links as $link) {
            $class = $paged == $link ? ' class="active"' : '';
            printf('<li%s><a href="%s"><span>%s</span></a></li>' . "\n", $class, esc_url(get_pagenum_link($link)), $link);
        }

        /**    Link to last page, plus ellipses if necessary */
        if (!in_array($max, $links)) {
            if (!in_array($max - 1, $links)) {
                echo '<li>...</li>' . "\n";
            }

            $class = $paged == $max ? ' class="active"' : '';
            printf('<li%s><a href="%s"><span>%s</span></a></li>' . "\n", $class, esc_url(get_pagenum_link($max)), $max);
        }

        /**    Next Post Link */
        if (get_next_posts_link()) {
            printf('<li>%s</li>' . "\n", get_next_posts_link('<span class="fa fa-angle-double-right"></span>'));
        }

        echo '</ul></div>' . "\n";
    }

endif;



// cover color to hex (rgba) ------------------------
if (!function_exists('sympathy_hex2rgba')):

    function sympathy_hex2rgba($color, $opacity = false) {
        $default = 'rgb(0,0,0)';
        if (empty($color)) {
            return $default;
        }
        if ($color[0] == '#') {
            $color = substr($color, 1);
        }
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
            $hex = array($color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5]);
        } elseif (strlen($color) == 3) {
            $hex = array($color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2]);
        } else {
            return $default;
        }
        //Convert hexadec to rgb
        $rgb = array_map('hexdec', $hex);
        //Check if opacity is set(rgba or rgb)
        if ($opacity) {
            if (abs($opacity) > 1) {
                $opacity = 1.0;
            }
            $output = 'rgba(' . implode(",", $rgb) . ',' . $opacity . ')';
        } else {
            $output = 'rgb(' . implode(",", $rgb) . ')';
        }

        //Return rgb(a) color string
        return $output;
    }

endif;

// Adjust order for content filter form
if (!function_exists('sympathy_archive_content_filter_query')) {

    function sympathy_archive_content_filter_query($query) {
        if (is_admin()) {
            return;
        }
        if (!is_admin() && $query->is_main_query()) {
            if (isset($_GET['_cmdorder'])) {
                switch ($_GET['_cmdorder']) {
                    case "title_asc":
                        $query->set('orderby', 'title');
                        $query->set('order', 'ASC');
                        break;
                    case "title_desc":
                        $query->set('orderby', 'title');
                        $query->set('order', 'DESC');
                        break;
                    case "date_asc":
                        $query->set('orderby', 'date');
                        $query->set('order', 'ASC');
                        break;
                    case "date_desc":
                        $query->set('orderby', 'date');
                        $query->set('order', 'DESC');
                        break;
                    default:
                        break;
                }
            }
            if (isset($_GET['_cmdperpage'])) {
                $query->set('posts_per_page', $_GET['_cmdperpage']);
            }

            return;
        }
    }

// end function
} // end if
add_filter('pre_get_posts', 'sympathy_archive_content_filter_query');
/*
 * sidebar for theme
 */
if (!function_exists('sympathy_dynamic_sidebar')) {

    function sympathy_dynamic_sidebar($sidebar_name) {
        if (is_active_sidebar($sidebar_name)) {
            dynamic_sidebar($sidebar_name);
        }
    }

}
/*
 * Turn off edit for theme and visual composer
 */
add_action('vc_after_init', 'sympathy_vc_remove_frontend_links');
if (!function_exists('sympathy_vc_remove_frontend_links')):

    function sympathy_vc_remove_frontend_links() {
        vc_disable_frontend();
    }

endif;
add_filter('edit_post_link', 'sympathy_remove_edit_post_link');
if (!function_exists('sympathy_remove_edit_post_link')):

    function sympathy_remove_edit_post_link($link) {
        return '';
    }

endif;



/**
 * Add page loader to frontend
 *
 */
if (!function_exists('sympathy_page_loader')) :

    function sympathy_page_loader() {
        global $sympathy_smof_data;
        $use_loader = isset($sympathy_smof_data['use_page_loader']) ? $sympathy_smof_data['use_page_loader'] : 0;
        if ($use_loader == 1) {
            ?>
            <div id="loading" class="se-pre-con"></div>
            <?php
        }
    }

    add_action('sympathy_page_loader', 'sympathy_page_loader');
endif;


/*
 * Get meta option custom page
 */
if (!function_exists('sympathy_option_meta_id')):

    function sympathy_option_meta_id($post_id) {
        $meta_data = json_decode(get_post_meta($post_id, '_qtc_meta_data', true));

        return $meta_data;
    }

endif;

/*
 * Form Search Blog
 */

add_filter('get_search_form', 'sympathy_search_form_template');
if (!function_exists('sympathy_search_form_template')):

    function sympathy_search_form_template($form) {
        $body_classes = get_body_class();
        //if (in_array("blog", $body_classes) || is_single() || in_array("search", $body_classes) || is_category() || is_tag() || is_archive()) {
        $format = current_theme_supports('html5', 'search-form') ? 'html5' : 'xhtml';
        if ('html5' == $format) {
            $form = '<form role="search" method="get" class="searchform" action="' . esc_url(home_url('/')) . '">
                        <label>
                            <input type="search" class="search-field" placeholder="' . esc_html__('Search...', 'sympathy') . '" value="' . get_search_query() . '" name="s" />
                        </label>

			<button type="submit" class="btn-search sympathy_button"><i class="fa fa-search"></i></button>
                    </form>';
        } else {
            $form = '<form role="search" method="get" id="searchform" class="searchform" action="' . esc_url(home_url('/')) . '">
                        <div>
                            <input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="' . esc_html__('Search...', 'sympathy') . '"/>
                            <button type="submit" class="btn-search sympathy_button"><i class="fa fa-search"></i></button>
                        </div>
                    </form>';
        }
        //}

        return $form;
    }

endif;


/*
 * Search Filter
 */
add_action('pre_get_posts', 'sympathy_search_filter');
if (!function_exists("sympathy_search_filter")):

    function sympathy_search_filter($query) {
        if (!is_admin() && $query->is_main_query()) {
            if ($query->is_search) {
                $query->set('post_type', array('post', 'testimonial'));
            }
            if (isset($query->query['pagename'])):
                if ($query->query['pagename'] == 'blog') {
                    $taxonomy_query = array(
                        'relation' => 'AND',
                        array(
                            'taxonomy' => 'post_format',
                            'field' => 'slug',
                            'terms' => array('post-format-video'),
                            'operator' => 'NOT IN'
                        )
                    );
                    $query->set('tax_query', $taxonomy_query);
                }
            endif;
        }
    }

endif;

if (!function_exists('sympathy_post_nav')) :

    /**
     * Display navigation to next/previous post when applicable.
     */
    function sympathy_post_nav() {
        // Don't print empty markup if there's nowhere to navigate.
        $previous = ( is_attachment() ) ? get_post(get_post()->post_parent) : get_adjacent_post(false, '', true);
        $next = get_adjacent_post(false, '', false);

        if (!$next && !$previous) {
            return;
        }
        ?>
        <div class="blog-next-page clearfix">
            <?php
            previous_post_link('<div class="pull-left">%link</div>', '<span><i class="fa fa-angle-double-left" aria-hidden="true"></i> %title</span>');
            next_post_link('<div class="pull-right">%link</div>', '<span>%title <i class="fa fa-angle-double-right" aria-hidden="true"></i></span>');
            ?>
        </div><!-- navigation -->
        <?php
    }

endif;


if (!function_exists('sympathy_image_resize')) {

    function sympathy_image_resize($url, $width = null, $height = null, $crop = null, $single = true, $upscale = false) {
        $aq_resize = SYMPATHY_Aq_Resize::getInstance();

        return $aq_resize->process($url, $width, $height, $crop, $single, $upscale);
    }

}


/* Page title */

if (!function_exists('sympathy_theme_page_title')) {

    function sympathy_theme_page_title() {
        ob_start();
        $body_classes = get_body_class();
        $action = '';
        if (isset($_GET['action'])) {
            $action = $_GET['action'];
        }

        if (is_home()) {
            if (in_array("blog", $body_classes)) {
                echo esc_html__('Blog', 'sympathy');
            } else {
                echo esc_html__('Home', 'sympathy');
            }
        } elseif ($action == 'sb_destination') {
            echo esc_html__('Checkout', 'sympathy');
        } elseif ($action == 'confirm') {
            echo esc_html__('Confirmation', 'sympathy');
        } elseif (is_search()) {
            echo esc_html__('Search Keyword: ', 'sympathy');
            echo '<span class="keywork">' . get_search_query() . '</span>';
        } elseif (!is_archive()) {
            if (is_404()) {
                echo esc_html__('404 Error', 'sympathy');
            } else {
                if (in_array("single-post", $body_classes)) {
                    echo esc_html__('Blog Detail', 'sympathy');
                } else {
                    the_title();
                }
            }
        } else {
            if (is_category()) {
                $thisCat = get_category(get_query_var('cat'), false);

                if ($thisCat->parent != 0) {
                    echo get_category_parents($thisCat->parent, true);
                }
            } elseif (is_post_type_archive()) {
               $post_type = get_post_type_object(get_post_type());

                if ($post_type) {
                    echo( $post_type->labels->singular_name );
                }
            } elseif (is_tag()) {
                single_tag_title();
            } elseif (is_author()) {
                printf(__('Author: %s', 'sympathy'), '<span class="vcard">' . get_the_author() . '</span>');
            } elseif (is_day()) {
                printf(__('Day: %s', 'sympathy'), '<span>' . get_the_date() . '</span>');
            } elseif (is_month()) {
                printf(__('Month: %s', 'sympathy'), '<span>' . get_the_date('F Y') . '</span>');
            } elseif (is_year()) {
                printf(__('Year: %s', 'sympathy'), '<span>' . get_the_date('Y') . '</span>');
            } elseif (is_tax('post_format', 'post-format-aside')) {
                esc_html_e('Asides', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-gallery')) {
                esc_html_e('Galleries', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-image')) {
                esc_html_e('Images', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-video')) {
                esc_html_e('Videos', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-quote')) {
                esc_html_e('Quotes', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-link')) {
                esc_html_e('Links', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-status')) {
                esc_html_e('Statuses', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-audio')) {
                esc_html_e('Audios', 'sympathy');
            } elseif (is_tax('post_format', 'post-format-chat')) {
                esc_html_e('Chats', 'sympathy');
            } else {
                esc_html_e('Archives', 'sympathy');
            }
        }

        return ob_get_clean();
    }

}

/* Page breadcrumb */

if (!function_exists('sympathy_page_breadcrumb')) {

    function sympathy_page_breadcrumb($delimiter) {
        if (is_home() || is_front_page())
            return;
        ob_start();

        $action = '';

        $body_classes = get_body_class();

        $delimiter = esc_attr($delimiter);

        $home = esc_html__('Home', 'sympathy');

        $before = '<span class="current">'; // tag before the current crumb

        $after = '</span>'; // tag after the current crumb

        global $post;
        $homeLink = home_url('/');
        if (isset($_GET['action'])) {
            $action = $_GET['action'];
            if ($action == "sb_destination") {
                echo '<a href="' . esc_url($homeLink) . '">' . esc_attr($home) . '</a> ' . esc_attr($delimiter) . ' ';
                echo esc_html__('Checkout', 'sympathy');
            } else {
                echo '<a href="' . esc_url($homeLink) . '">' . esc_attr($home) . '</a> ' . esc_attr($delimiter) . ' ';
                echo esc_html__('Confirmation', 'sympathy');
            }
        } else {
            if (is_home() || is_front_page()) {
                if (in_array("blog", $body_classes)) {
                    echo '<a href="' . esc_url($homeLink) . '">' . esc_attr($home) . '</a> ' . esc_attr($delimiter) . ' ';
                    echo esc_html__('Blog', 'sympathy');
                } else {
                    echo esc_html__('Home', 'sympathy');
                }
            } else {
                echo '<a href="' . esc_url($homeLink) . '">' . esc_attr($home) . '</a> ' . esc_attr($delimiter) . ' ';
            }
            if (is_category()) {

                $thisCat = get_category(get_query_var('cat'), false);

                if ($thisCat->parent != 0) {
                    echo get_category_parents($thisCat->parent, true, ' ' . esc_attr($delimiter) . ' ');
                }

                echo( $before . esc_html__('Archive by category: ', 'sympathy') . single_cat_title('', false) . $after );
            } elseif (is_search()) {

                echo( $before . esc_html__('Search results for: ', 'sympathy') . get_search_query() . $after );
            } elseif (is_day()) {

                echo '<a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . ' ' . get_the_time('Y') . '</a> ' . $delimiter . ' ';

                echo( $before . get_the_time('d') . $after );
            } elseif (is_month()) {

                echo( $before . get_the_time('F') . ' ' . get_the_time('Y') . $after );
            } elseif (is_single() && !is_attachment()) {

                if (get_post_type() != 'post') {

                    if (get_post_type() == 'portfolio') {

                        $terms = get_the_terms(get_the_ID(), 'portfolio_category', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'portfolio_category', '', ', ');

                            echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } elseif (get_post_type() == 'recipe') {

                        $terms = get_the_terms(get_the_ID(), 'recipe_category', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'recipe_category', '', ', ');

                            echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } elseif (get_post_type() == 'produce') {

                        $terms = get_the_terms(get_the_ID(), 'produce_category', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'produce_category', '', ', ');

                            echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } elseif (get_post_type() == 'team') {

                        $terms = get_the_terms(get_the_ID(), 'team_category', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'team_category', '', ', ');

                            echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } elseif (get_post_type() == 'testimonial') {

                        $terms = get_the_terms(get_the_ID(), 'testimonial_category', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'testimonial_category', '', ', ');

                            echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } elseif (get_post_type() == 'client') {

                        $terms = get_the_terms(get_the_ID(), 'client-types', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'client-types', '', ', ');

                            echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } elseif (get_post_type() == 'product') {

                        $terms = get_the_terms(get_the_ID(), 'product_cat', '', '');

                        if ($terms) {

                            the_terms(get_the_ID(), 'product_cat', '', ', ');

                            echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                        } else {

                            echo( $before . get_the_title() . $after );
                        }
                    } else {

                        $post_type = get_post_type_object(get_post_type());

                        $slug = $post_type->rewrite;

                        echo '<a href="' . esc_url($homeLink) . '' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a>';

                        echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
                    }
                } else {

                    $cat = get_the_category();
                    $cat = $cat[0];

                    $cats = get_category_parents($cat, true, ' ' . $delimiter . ' ');

                    echo( $cats );

                    echo( $before . get_the_title() . $after );
                }
            } elseif (!is_single() && !is_page() && get_post_type() != 'post' && !is_404()) {

                $post_type = get_post_type_object(get_post_type());

                if ($post_type) {
                    echo( $before . $post_type->labels->singular_name . $after );
                }
            } elseif (is_attachment()) {

                $parent = get_post($post->post_parent);

                $cat = get_the_category($parent->ID);
                $cat = $cat[0];

                echo get_category_parents($cat, true, ' ' . esc_attr($delimiter) . ' ');

                echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a>';

                echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
            } elseif (is_page() && !$post->post_parent) {

                echo( $before . get_the_title() . $after );
            } elseif (is_page() && $post->post_parent) {

                $parent_id = $post->post_parent;

                $breadcrumbs = array();

                while ($parent_id) {

                    $page = get_page($parent_id);

                    $breadcrumbs[] = '<a href="' . esc_url(get_permalink($page->ID)) . '">' . get_the_title($page->ID) . '</a>';

                    $parent_id = $page->post_parent;
                }

                $breadcrumbs = array_reverse($breadcrumbs);

                for ($i = 0; $i < count($breadcrumbs); $i ++) {

                    echo( $breadcrumbs[$i] );

                    if ($i != count($breadcrumbs) - 1) {
                        echo ' ' . esc_attr($delimiter) . ' ';
                    }
                }

                echo ' ' . esc_attr($delimiter) . ' ' . $before . get_the_title() . $after;
            } elseif (is_tag()) {

                echo( $before . esc_html__('Posts tagged: ', 'sympathy') . single_tag_title('', false) . $after );
            } elseif (is_author()) {

                global $author;

                $userdata = get_userdata($author);

                echo( $before . esc_html__('Articles posted by ', 'sympathy') . $userdata->display_name . $after );
            } elseif (is_404()) {

                echo( $before . esc_html__('Error 404', 'sympathy') . $after );
            }

            if (get_query_var('paged')) {

                if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) {
                    echo ' (';
                }
                echo ' ' . $delimiter . ' ' . esc_html__('Page', 'sympathy') . ' ' . get_query_var('paged');
                if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) {
                    echo ')';
                }
            }
        }

        return ob_get_clean();
    }

}

/* Title Bar Page */

if (!function_exists('sympathy_title_bar_page')) {

    function sympathy_title_bar_page($sympathy_show_page_title, $sympathy_show_page_breadcrumb) {
        global $sympathy_smof_data, $sympathy_meta, $sympathy_base;
        $body_classes = get_body_class();
        $delimiter = isset($sympathy_smof_data['qtc_page_breadcrumb_delimiter']) ? $sympathy_smof_data['qtc_page_breadcrumb_delimiter'] : '/';
        if (isset($sympathy_meta->_qtc_sympathy_enable_page_title) && $sympathy_meta->_qtc_sympathy_enable_page_title)
            return;
        if ($sympathy_show_page_title || $sympathy_show_page_breadcrumb) {
            ?>
            <div class="page-title-bar title_bar">
                <div class="sympathy-container container-height">
                    <div class="box clearfix">
                        <?php if ($sympathy_show_page_title):
                            ?>
                            <h1 class="page-title"><?php echo sympathy_theme_page_title(); ?></h1>
                            <?php
                        endif;
                        if ($sympathy_show_page_breadcrumb):
                            ?>
                            <div class="breadcumb">
                                <?php echo sympathy_page_breadcrumb($delimiter); ?>
                            </div>
                            <?php
                        endif;
                        ?>


                    </div>
                </div>
            </div>
            <?php
        }
    }

}

/* Title Bar Blog */

if (!function_exists('sympathy_title_bar_blog')) {

    function sympathy_title_bar_blog($sympathy_show_page_title, $sympathy_show_page_breadcrumb) {
        global $sympathy_smof_data;
        $delimiter = isset($sympathy_smof_data['qtc_blog_breadcrumb_delimiter']) ? $sympathy_smof_data['qtc_blog_breadcrumb_delimiter'] : '/';
        $class = array();
        $class[] = 'blog-title-bar title_bar';

        if ($sympathy_show_page_title || $sympathy_show_page_breadcrumb) {
            ?>

            <div class="<?php echo esc_attr(implode(' ', $class)); ?>">
                <div class="sympathy-container container-height">
                    <div class="box clearfix">
                        <!-- <div class="title-bar-content"> -->
                        <?php if ($sympathy_show_page_title) { ?>
                            <h1 class="page-title"><?php echo sympathy_theme_page_title(); ?></h1>
                        <?php } ?>
                        <?php if ($sympathy_show_page_breadcrumb) { ?>
                            <div class="breadcumb">
                                <?php echo sympathy_page_breadcrumb($delimiter); ?>
                            </div>
                        <?php } ?>
                        <!-- </div> -->
                    </div>
                </div>
            </div>
            <?php
        }
    }

}

/* Title Bar Shop */

if (!function_exists('sympathy_title_bar_shop')) {

    function sympathy_title_bar_shop($sympathy_show_page_title, $sympathy_show_page_breadcrumb) {
        global $sympathy_smof_data;
        $delimiter = isset($sympathy_smof_data['qtc_product_breadcrumb_delimiter']) ? $sympathy_smof_data['qtc_product_breadcrumb_delimiter'] : '/';
        $class = array();
        $class[] = 'product-title-bar title_bar';
        if ($sympathy_show_page_title || $sympathy_show_page_breadcrumb) {
            ?>
            <div class="<?php echo esc_attr(implode(' ', $class)); ?>">
                <div class="sympathy-container container-height">
                    <div class="box clearfix">
                        <?php if ($sympathy_show_page_title) { ?>
                            <h1 class="page-title"><?php echo sympathy_theme_page_title(); ?></h1>
                        <?php } ?>
                        <?php if ($sympathy_show_page_breadcrumb) { ?>
                            <div class="breadcumb">
                                <?php echo sympathy_page_breadcrumb($delimiter); ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <?php
        }
    }

}
// product search
add_action('pre_get_posts', 'sympathy_product_search');
if (!function_exists('sympathy_product_search')) {

    function sympathy_product_search($query) {
        if (is_admin()) {
            return;
        }
        if (is_search()) {
            if ($query->is_main_query() && isset($_GET['post_type']) && $_GET['post_type'] == 'product') {
                $query->set('post_type', array('product'));
            }

            return;
        }
    }

// end function
} // end if
//html decode
if (!function_exists('sympathy_html_decode')) {

    function sympathy_html_decode($html) {
        return html_entity_decode($html);
    }

}

//get author link
if (!function_exists('sympathy_author_posts_link')) {

    function sympathy_author_posts_link() {
        global $authordata;
        if (!is_object($authordata)) {
            return;
        }
        $link = sprintf('<a href="%1$s" title="%2$s" rel="author">%3$s</a>', esc_url(get_author_posts_url($authordata->ID, $authordata->user_nicename)), esc_attr(sprintf(__('By %s', 'sympathy'), get_the_author())), esc_html__('By ', 'sympathy') . get_the_author());

        return apply_filters('the_author_posts_link', $link);
    }

}
//get excerpt
if (!function_exists('sympathy_excerpt_more')) {

    function sympathy_excerpt_more($more) {
        return '...';
    }

    function sympathy_custom_excerpt_length($length) {
        return 20;
    }

    add_filter('excerpt_length', 'sympathy_custom_excerpt_length', 999);
    add_filter('excerpt_more', 'sympathy_excerpt_more');
}

/**
 * Ajax post like.
 *
 * @since 1.0.0
 */
function sympathy_post_like_callback() {


    $post_id = isset($_REQUEST['id']) ? $_REQUEST['id'] : null;

    $likes = null;

    if ($post_id && !isset($_COOKIE['sympathy_post_like_' . $post_id])) {

        /* get old like. */
        $likes = get_post_meta($post_id, '_sympathy_post_likes', true);

        /* check old like. */
        $likes = $likes ? $likes : 0;

        $likes++;

        /* update */
        update_post_meta($post_id, '_sympathy_post_likes', $likes);

        /* set cookie. */
        setcookie('sympathy_post_like_' . $post_id, $post_id, time() * 20, '/');
    }

    echo esc_attr($likes);

    die();
}

add_action('wp_ajax_sympathy_post_like', 'sympathy_post_like_callback');
add_action('wp_ajax_nopriv_sympathy_post_like', 'sympathy_post_like_callback');
