<?php
/**
 * Header functions.
 *
 * @package Sympathy
 * @author QTC Media
 * @link http://qtcmedia.com
 */
// hook head sytle
if (!function_exists('sympathy_style_head')):
    add_action('wp_enqueue_scripts', 'sympathy_style_head');

    function sympathy_style_head() {
        $body_classes = get_body_class();
        global $sympathy_smof_data, $post, $sympathy_meta;

        $style = '';

        $qtc_content_sidebar = isset($sympathy_smof_data['qtc_content_sidebar']) ? $sympathy_smof_data['qtc_content_sidebar'] : '75|25';
        if (isset($qtc_content_sidebar)) {
            $sidebar_archive = isset($sympathy_smof_data['qtc_sidebar_archive']) ? $sympathy_smof_data['qtc_sidebar_archive'] : 'sidebar_archive1';
            $sidebar_single_post = isset($sympathy_smof_data['qtc_sidebar_single_post']) ? $sympathy_smof_data['qtc_sidebar_single_post'] : "sidebar_single1";
            $sidebar_page = isset($sympathy_smof_data['qtc_sidebar_page']) ? $sympathy_smof_data['qtc_sidebar_page'] : 'sidebar_page1';
            $sidebar_content = explode('|', $qtc_content_sidebar);
            $float = '';
            if (is_archive()  && !in_array("tax-product_tag", $body_classes) && !in_array('tax-product_cat', $body_classes) && !in_array('post-type-archive-tribe_events', $body_classes)):
                if ($sidebar_archive != 'sidebar_archive1'):
                    $float = ( $sidebar_archive == 'sidebar_archive2' ) ? 'left' : 'right';
                    if (is_category() || is_tag()) {
                        $float = 'right';
                    }
                endif;
            endif;

            if (is_page() && !is_home()):
                if ($sidebar_page != 'sidebar_page1'):
                    $float = ( $sidebar_page == 'sidebar_page2' ) ? 'left' : 'right';
                endif;
            endif;

            if (is_single() && $post->post_type != 'product' && $post->post_type != 'tribe_events' && !in_array('single-tribe_venue', $body_classes) && !in_array('single-tribe_organizer', $body_classes)):
                if ($sidebar_single_post != 'sidebar_single1'):
                    $float = ( $sidebar_single_post == 'sidebar_single2' ) ? 'left' : 'right';
                endif;
            endif;

            if (in_array("blog", $body_classes) || in_array("search", $body_classes)) {
                $qtc_sidebar_blog = isset($sympathy_smof_data['qtc_sidebar_blog']) ? $sympathy_smof_data['qtc_sidebar_blog'] : 'blog_sidebar_right';
                if ($qtc_sidebar_blog != 'blog_full'):
                    $float = ( $qtc_sidebar_blog == 'blog_sidebar_left' ) ? 'left' : 'right';
                endif;
            }
        }
        if (!empty($sympathy_meta)):
            if (isset($sympathy_meta->_qtc_show_sidebar) && $sympathy_meta->_qtc_show_sidebar == 1) {
                if ($sympathy_meta->_qtc_sympathy_show_sidebar) {
                    $float = 'left';
                } else {
                    $float = 'right';
                }
            }
        endif;

        if (!empty($float)) {
            $content_float = ( $float == 'right' ) ? 'left' : 'right';
            $width_container = $sidebar_content[0] . '%';
            $width_siderbar = $sidebar_content[1] . '%';
            $style .= '@media screen and (min-width: 992px){';
            if (!in_array("rtl", $body_classes)) {
                $style .= '#wrapper>.sympathy-container .sympathy-content{
          width: ' . $width_container . ';
          float: ' . $content_float . '
          }';
            } else {
                $style .= '.rtl #wrapper>.sympathy-container .sympathy-content{
          width: ' . $width_container . ';
          float: ' . ( ( $content_float == 'left' ) ? 'right' : 'left' ) . '
          }';
            }
            $style .= '.sidebar_left{
          width: ' . $width_siderbar . ';
          float:left;
          padding-right: 15px;
          }
          .sidebar_right{
          width: ' . $width_siderbar . ';
          float:right;
          padding-left: 15px;
          }
          }';
        }

        $costum_header = '';
        
        
        if (!empty($sympathy_meta)):
            if (isset($sympathy_meta->_qtc_header) && $sympathy_meta->_qtc_header == 1) {
                
                if (isset($sympathy_meta->_qtc_custom_color) && $sympathy_meta->_qtc_custom_color == 1) {
                    $costum_header .='.page-id-' . $post->ID . ' #header, .page-id-' . $post->ID . ' #header #header-3, .page-id-' . $post->ID . ' #header #header-1 ,.page-id-' . $post->ID . ' #header #header-5, .page-id-' . $post->ID . ' #header #header-4{'
                            . 'background:' . urldecode($sympathy_meta->_qtc_background_color) . ';'
                            . '}'
                            . 'header .nav-holder .nav-footer ul.nav > li.menu-item-has-children > a:after, header .nav-holder .nav-menu ul.nav > li.menu-item-has-children > a:after{
                                border-top-color:' . urldecode($sympathy_meta->_qtc_menu_color) . ';
                            }'
                            . 'header .nav-holder .nav-footer ul.nav > li a, header .nav-holder .nav-menu ul.nav > li a, header .nav-holder .nav-header ul li a{
                                color:' . urldecode($sympathy_meta->_qtc_menu_color) . ';
                            }'
                            . 'header .nav-holder .nav-header button i.fa, header .nav-holder .nav-header button:before, header .nav-holder .nav-header button:after, header .nav-holder .nav-btn button i.fa, header .nav-holder .nav-btn button:before, header .nav-holder .nav-btn button:after, header .nav-holder .nav-menu-btn button i.fa, header .nav-holder .nav-menu-btn button:before, header .nav-holder .nav-menu-btn button:after{'
                            . 'background:' . urldecode($sympathy_meta->_qtc_menu_color) . ';
                            }';
                }
                
                if (isset($sympathy_meta->_qtc_sympathy_tranparent_header) && $sympathy_meta->_qtc_sympathy_tranparent_header == 1) {
                    $costum_header .= '.page-id-' . $post->ID . ' .header-wrapper #header #header-1, .page-id-' . $post->ID . ' .header-wrapper #header #header-5, .page-id-' . $post->ID . ' .header-wrapper #header #header-4{'
                            . 'position: absolute; width: 100%; z-index: 999;'
                            . '}';
                }
            }
        endif;

        /* Header */
        if (isset($sympathy_smof_data['qtc_header_transparent'])) {
            $transparent_header = $sympathy_smof_data['qtc_header_transparent'];
            $style .= '';
        }

        /* Sticky */
        $sticky = 1;
        if (!empty($sympathy_meta)):
            if (!empty($sympathy_meta->_qtc_custom_content_after_body)) {
                $sticky = '';
            }
        endif;
        if (isset($sympathy_smof_data['qtc_header_sticky']) && $sticky == 1) {
            $background_sticky = $sympathy_smof_data['qtc_background_header_sticky'];
            $opacity_sticky = 1;
            if (isset($sympathy_smof_data['qtc_header_sticky_opacity'])) {
                $opacity_sticky = (float) $sympathy_smof_data['qtc_header_sticky_opacity'] / 100;
            }
            $color_menu = $sympathy_smof_data['qtc_color_header_sticky'];
            if ($background_sticky != 'transparent') {
                $background_sticky = sympathy_hex2rgba($background_sticky, $opacity_sticky);
            }
            $style .= '.page-id-' . $post->ID . ' #header.stricky-fixed{'
                    . 'background:' . $background_sticky . ';'
                    . '}';
            $style .= '.stricky-fixed .logo-main{'
                    . 'display: none;'
                    . '}';
            $style .= '.stricky-fixed .logo-sticky{'
                    . 'display: initial;'
                    . '}';
            if ($color_menu != '') {
                $style .= '.stricky-fixed .nav-holder .nav-footer ul.nav > li a{
                        color:' . $color_menu . ';
                 }';
                $style .= '.stricky-fixed .nav-holder .nav-footer ul.nav > li a:hover{
                        color:' . $sympathy_smof_data['qtc_color_hover_header_sticky'] . ';
                 }';
                $style .= '.stricky-fixed .nav-holder .nav-footer ul.nav > li.current-menu-item > a{
                        color:' . $sympathy_smof_data['qtc_color_active_header_sticky'] . ';'
                        . '}';
            }
        } else if (empty($sticky)) {
            $style .= '#header, #top-bar{position: relative}';
            $style .= '#top-bar{background-color: #1d1b1c; border-bottom: 1px solid #333333;}';
            $style .= '#header{background: #292929; top: 0;}';
            $style .= '.filter-tour .filter-wrap .filter-box{margin-top: -220px;box-shadow: none;background: rgba(0, 0, 0, 0.5);}';
            $style .= '.filter-tour{ margin-bottom: 80px;} .admin-bar #header{top: 0;}';
            $style .= '@media (max-width: 1023px){.filter-tour{padding: 40px 10px;    margin-bottom: 0px;} #wrapper{margin-top: 0px;} .filter-tour .filter-wrap .filter-box{margin-top: 0; background: none;    box-shadow: 0 0 35px rgba(0, 0, 0, 0.27);}}';
        }
        $layout_box = '';
        if (!empty($sympathy_smof_data['qtc_layout'])) {
            $layout_box = $sympathy_smof_data['qtc_layout'];
        }
        $pattern_option = '';
        if (!empty($sympathy_smof_data['qtc_bg_pattern_option'])) {
            $pattern_option = $sympathy_smof_data['qtc_bg_pattern_option'];
        }
        if ($layout_box == 'boxed') {
            $style .= '.layout-boxed #wrapper{ max-width: ' . $sympathy_smof_data['qtc_maximum_container_width'] . ';  margin: auto; -webkit-box-shadow: 0 0 10px 0 rgba(28, 28, 28, 0.5); -moz-box-shadow: 0 0 10px 0 rgba(28, 28, 28, 0.5); box-shadow: 0 0 10px 0 rgba(28, 28, 28, 0.5); transition: all 0.4s; background: #ffffff; position: relative; overflow: hidden;}';
            $style .= '.layout-boxed #header.stricky-fixed{ max-width: ' . $sympathy_smof_data['qtc_maximum_container_width'] . '; left: auto; right: auto;}';
        }
        if (!empty($sympathy_smof_data['qtc_bg_image']['url'])) {
            $style .= 'body{ background-image: url("' . $sympathy_smof_data['qtc_bg_image']['url'] . '"); background-position: ' . $sympathy_smof_data['qtc_bg_pos'] . '; background-repeat: ' . $sympathy_smof_data['qtc_bg_repeat'] . '; ';
            if ($sympathy_smof_data['qtc_bg_full'] == '1') {
                $style .= 'background-attachment: fixed; -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
            }
            $style .= '}';
        } else if ($pattern_option == '1') {
            $style .= 'body{ background-image: url("' . $sympathy_smof_data['qtc_bg_pattern'] . '"); background-repeat: repeat; }';
        }
        if (empty($sympathy_smof_data['qtc_header_uppercase'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li a, .nav-holder .nav-footer ul.nav > li ul.sub-menu li a{text-transform: none;}';
        }
        if (empty($sympathy_smof_data['qtc_top_bar'])) {
            $style .= '#header{top: 0;}';
        }
        $background_header = '';
        if (!empty($sympathy_smof_data['qtc_background_header'])) {
            $background_header = $sympathy_smof_data['qtc_background_header'];
        }
        $opacity_header = 0;
        if (isset($sympathy_smof_data['qtc_header_transparent'])) {
            $opacity_header = (float) $sympathy_smof_data['qtc_header_transparent'] / 100;
        }
        if ($background_header != 'transparent') {
            $background_header = sympathy_hex2rgba($background_header, $opacity_header);
        }

        if (!empty($sympathy_smof_data['qtc_header_transparent'])) {
            $style .= '#header{background: ' . $background_header . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_color_header_sticky'])) {
            $style .= '.stricky-fixed .nav-holder .nav-footer ul.nav > li a,.nav-holder .nav-footer ul.nav > li ul.sub-menu li a{color: ' . $sympathy_smof_data['qtc_color_header_sticky'] . '}';
        }
        if (!empty($sympathy_smof_data['qtc_color_hover_header_sticky'])) {
            $style .= '.stricky-fixed .nav-holder .nav-footer ul.nav > li a:hover,.nav-holder .nav-footer ul.nav > li ul.sub-menu li a:hover{color: ' . $sympathy_smof_data['qtc_color_hover_header_sticky'] . '}';
        }
        if (!empty($sympathy_smof_data['qtc_color_active_header_sticky'])) {
            $style .= '.stricky-fixed .nav-holder .nav-footer ul.nav > li.current-menu-item > a{color: ' . $sympathy_smof_data['qtc_color_active_header_sticky'] . '}';
        }
        if (!empty($sympathy_smof_data['qtc_menu_fontsize_first_level'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li a,.nav-holder .nav-footer ul.nav > li ul.sub-menu li a{font-size: ' . $sympathy_smof_data['qtc_menu_fontsize_first_level'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_menu_color'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li a{color: ' . $sympathy_smof_data['qtc_menu_color'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_menu_acti_color'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li.current-menu-item > a,.nav-holder .nav-footer ul.nav > li ul.sub-menu li.current-menu-item > a{color: ' . $sympathy_smof_data['qtc_menu_acti_color'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_menu_hover_color'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li a:hover{color: ' . $sympathy_smof_data['qtc_menu_hover_color'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_submenu_color'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li ul.sub-menu li a{color: ' . $sympathy_smof_data['qtc_submenu_color'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_sub_menu_hover_color'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li ul.sub-menu li a:hover{color: ' . $sympathy_smof_data['qtc_sub_menu_hover_color'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_border_submenu'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li ul.sub-menu li a{border-bottom: 1px solid ' . $sympathy_smof_data['qtc_border_submenu'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_background_submenu'])) {
            $style .= '.nav-holder .nav-footer ul.nav > li ul.sub-menu{background-color: ' . $sympathy_smof_data['qtc_background_submenu'] . ';}';
            $style .= '.nav-holder .nav-footer ul.nav > li ul.sub-menu:before{border-bottom: 10px solid ' . $sympathy_smof_data['qtc_background_submenu'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_color_link_hover_footer'])) {
            $style .= '#footer .footer-logo .social-footer li a:hover,#footer .widget_nav_menu ul li a:hover,.footer-bottom .menu-footer li a:hover{color: ' . $sympathy_smof_data['qtc_color_link_hover_footer'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_color_heading_footer'])) {
            $style .= '#footer .widget h4{color: ' . $sympathy_smof_data['qtc_color_heading_footer'] . ';}';
        }
        if (!empty($sympathy_smof_data['qtc_color_link_footer'])) {
            $style .= '#footer .widget_nav_menu ul li a,#footer .footer-logo .social-footer li a{color: ' . $sympathy_smof_data['qtc_color_link_footer'] . ';}';
        }
        if (empty($sympathy_smof_data['qtc_top_bar'])) {
            $style .= '.admin-bar #header {top: 32px;}';
        }
        if (isset($sympathy_meta->_qtc_custom_bg_page_title) && $sympathy_meta->_qtc_custom_bg_page_title == 1) {
            if (isset($sympathy_meta->_qtc_sympathy_bg_page_title) && $sympathy_meta->_qtc_sympathy_bg_page_title != '') {
                $style .= '.page-title-bar {
                                background-image: url(' . wp_get_attachment_url($sympathy_meta->_qtc_sympathy_bg_page_title) . ') !important;
                            }';
            }
        }
        $style .= $costum_header;
        $style .= sympathy_opts_get('qtc_custom_css');

        wp_add_inline_style('sympathy-style', $style);
    }

endif;

// hook head js
if (!function_exists('sympathy_js_head')):
    add_action('wp_enqueue_scripts', 'sympathy_js_head');

    function sympathy_js_head() {
        global $sympathy_smof_data, $post;
        if (isset($post)) {
            $meta_data = sympathy_option_meta_id($post->ID);
        }
        $script = '';
        $sticky = 1;
        if (!empty($meta_data)):
            if (!empty($meta_data->_qtc_custom_content_after_body)) {
                $sticky = '';
            }
        endif;
        if (isset($sympathy_smof_data['qtc_header_sticky']) && $sympathy_smof_data['qtc_header_sticky'] == 1 && $sticky == 1) {
            $script .= 'jQuery(document).ready(function(){';

            $script .= 'jQuery(window).scroll(function() {';
            $script .= 'if (jQuery(document).scrollTop() > 150){ ';
            $script .= 'jQuery(".header5 #header, .header3 #header, .header1 #header, .header2 #header, .header4 #header, .header6 .navigation-wrapper").removeClass("fadeIn animated");';
            $script .= 'jQuery(".header5 #header, .header3 #header, .header1 #header, .header2 #header, .header4 #header, .header6 .navigation-wrapper").addClass("stricky-fixed fadeInDown animated");';

            $script .= '}';
            $script .= 'else{';
            $script .= 'jQuery(".header5 #header, .header3 #header, .header1 #header, .header2 #header, .header4 #header, .header6 .navigation-wrapper").removeClass("stricky-fixed fadeInDown animated");';
            $script .= 'jQuery(".header5 #header, .header3 #header, .header1 #header, .header2 #header, .header4 #header, .header6 .navigation-wrapper").addClass("slideIn animated");';

            $script .= '}';
            $script .= '});';
            $script .= '});';
        }
        wp_add_inline_script('sympathy-templates-js', $script . sympathy_opts_get('qtc_custom_js'));
    }

endif;

// hook after body
if (!function_exists('sympathy_content_header')):

    add_action('sympathy_after_body_tag_hook', 'sympathy_content_header');

    function sympathy_content_header() {
        global $post;
        if (isset($post)) {
            $meta_data = sympathy_option_meta_id($post->ID);
        }
        if (!empty($meta_data)):
            if (isset($meta_data->_qtc_content_after_body) && isset($meta_data->_qtc_custom_content_after_body)) {
                if ($meta_data->_qtc_custom_content_after_body) {
                    echo do_shortcode(rawurldecode(stripslashes($meta_data->_qtc_content_after_body)));
                }
            }
        endif;
        wp_reset_postdata();
    }

endif;

//hook search form
if (!function_exists('sympathy_search_template')) {

    add_action('sympathy_search_form', 'sympathy_search_template');

    function sympathy_search_template() {
        ?>
        <div class="form-search-box sympathy-flex sympathy-flex-center sympathy-flex-middle">
            <form class="form" method="get" action="<?php echo esc_url(home_url('/')); ?>">
                <div class="form-group">
                    <div class="input-icon">
                        <input type="text" class="sympathy-control" value="<?php echo esc_attr(get_search_query()); ?>" name="s" placeholder="<?php echo esc_attr('Search...', 'sympathy'); ?>">
                        <div class="input-addon">
                            <button type="submit"><span class="fa fa-search"></span></button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <?php
    }

}

add_action('sympathy_display_header_bar', 'sympathy_display_header_show_header');
if (!function_exists('sympathy_display_header_show_header')) {

    function sympathy_display_header_show_header() {
        global $post, $sympathy_smof_data, $sympathy_meta;
        $template_header = isset($sympathy_smof_data['qtc_header_layout']) ? $sympathy_smof_data['qtc_header_layout'] : 'default';
        if (isset($sympathy_meta) && isset($sympathy_meta->_qtc_header) && $sympathy_meta->_qtc_header == 1) {
            $template_header = (isset($sympathy_meta->_qtc_custom_layout_header) && $sympathy_meta->_qtc_custom_layout_header == 1) ? $sympathy_meta->_qtc_layout_ct_header : $template_header;
        }
        get_template_part('templates/header/hd', $template_header);
    }

}


add_filter('body_class', 'sympathy_body_classes_header');
if (!function_exists('sympathy_body_classes_header')) {

    function sympathy_body_classes_header($classes) {
        global $sympathy_smof_data, $sympathy_meta;
        $template_header = isset($sympathy_smof_data['qtc_header_layout']) ? $sympathy_smof_data['qtc_header_layout'] : 'default';
        if (isset($sympathy_meta) && isset($sympathy_meta->_qtc_header) && $sympathy_meta->_qtc_header == 1) {
            $classes[] = (isset($sympathy_meta->_qtc_custom_layout_header) && $sympathy_meta->_qtc_custom_layout_header == 1) ? $sympathy_meta->_qtc_layout_ct_header : $template_header;
        }
        return $classes;
    }

}


add_action('sympathy_display_top_header_bar', 'sympathy_display_top_header_show_header');
if (!function_exists('sympathy_display_top_header_show_header')) {

    function sympathy_display_top_header_show_header() {
        global $post, $sympathy_smof_data, $sympathy_meta;
        $template_header = isset($sympathy_smof_data['qtc_header_layout']) ? $sympathy_smof_data['qtc_header_layout'] : 'default';
        if (isset($sympathy_meta) && isset($sympathy_meta->_qtc_header) && $sympathy_meta->_qtc_header == 1) {
            $template_header = (isset($sympathy_meta->_qtc_custom_layout_header) && $sympathy_meta->_qtc_custom_layout_header == 1) ? $sympathy_meta->_qtc_layout_ct_header : $template_header;
        }
        if ($template_header == 'header2') {
            get_template_part('templates/header/top', 'header');
        }
        if ($template_header == 'header3') {
            get_template_part('templates/header/top', 'header3');
        }
    }

}