<?php
/**
 * Menu functions.
 */
/* ---------------------------------------------------------------------------
 * Registers a menu location to use with navigation menus.
 * --------------------------------------------------------------------------- */
register_nav_menu('sympathy-main-menu', esc_html__('Main Menu', 'sympathy'));
register_nav_menu('sympathy-top-menu', esc_html__('Top Menu', 'sympathy'));
register_nav_menu('sympathy-footer-menu', esc_html__('Footer Menu', 'sympathy'));

/**
  @ menu
  @ qtcmedia_menu( $slug )
 * */
if (!function_exists('sympathy_menu')) {

    function sympathy_menu($slug) {
        $menu = array(
            'theme_location' => $slug,
            'container' => false,
            'items_wrap' => '%3$s'
        );
        wp_nav_menu($menu);
    }

}


if (!function_exists('sympathy_show_logo')):

    function sympathy_show_logo() {
        global $post, $sympathy_smof_data;
        if (isset($sympathy_smof_data['qtc_logo'])) {
            $url_logo = $sympathy_smof_data['qtc_logo']['url'];
        } else {
            $url_logo = SYMPATHY_THEME_URI . "/images/logo.png";
        }
        if (isset($post)) {
            $meta_data = sympathy_option_meta_id($post->ID);
        }
        if (!empty($meta_data)):
            if (isset($meta_data->_qtc_header) && $meta_data->_qtc_header == 1) {
                if (isset($meta_data->_qtc_custom_logo) && $meta_data->_qtc_custom_logo == 1) {
                    if(isset($meta_data->_qtc_header_logo_page) && $meta_data->_qtc_header_logo_page != ''){
                        $url_logo = wp_get_attachment_url($meta_data->_qtc_header_logo_page);
                    }
                }
            }
        endif;
        ?>
        <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
            <img src="<?php echo esc_url($url_logo); ?>" alt="<?php esc_attr(bloginfo('name')); ?>"
                 style="max-height: <?php echo esc_attr(sympathy_opts_get('qtc_logo_max_height')); ?>; margin:<?php echo esc_attr(sympathy_opts_get('qtc_margin_logo')); ?>; padding:<?php echo esc_attr(sympathy_opts_get('qtc_padding_logo')); ?>;" class="normal-logo logo-main"/>
                 <?php
                 if (isset($sympathy_smof_data['qtc_header_sticky'])) {
                     $Logo_sticky = $sympathy_smof_data['qtc_logo_sticky']['url'];
                     ?>
                <img src="<?php echo esc_url($Logo_sticky); ?>" alt="<?php esc_attr(bloginfo('name')); ?>"
                     style="max-height: <?php echo esc_attr(sympathy_opts_get('qtc_logo_max_height')); ?>; margin:<?php echo esc_attr(sympathy_opts_get('qtc_margin_logo')); ?>; padding:<?php echo esc_attr(sympathy_opts_get('qtc_padding_logo')); ?>;" class="normal-logo logo-sticky"/>
                 <?php } ?>
        </a>

        <?php
    }

endif;

if (!function_exists('sympathy_show_logo_footer')):

    function sympathy_show_logo_footer() {
        global $post, $sympathy_smof_data;
        if (isset($sympathy_smof_data['qtc_logo'])) {
            $url_logo = $sympathy_smof_data['qtc_logo']['url'];
        } else {
            $url_logo = SYMPATHY_THEME_URI . "/images/logo.png";
        }
        if (isset($post)) {
            $meta_data = sympathy_option_meta_id($post->ID);
        }
        if (!empty($meta_data)):
            if (isset($meta_data->_qtc_header) && $meta_data->_qtc_header == 1) {
                if (isset($meta_data->_qtc_custom_logo) && $meta_data->_qtc_custom_logo == 1) {
                    if(isset($meta_data->_qtc_header_logo_page) && $meta_data->_qtc_header_logo_page != ''){
                        $url_logo = wp_get_attachment_url($meta_data->_qtc_header_logo_page);
                    }
                }
            }
        endif;
        ?>
        <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
            <img src="<?php echo esc_url($url_logo); ?>" alt="<?php esc_attr(bloginfo('name')); ?>" class="logo-footer"/>
        </a>

        <?php
    }

endif;

//sympathy show cart
add_action('sympathy_show_cart_checkout', 'sympathy_show_cart_checkout_process');
if (!function_exists('sympathy_show_cart_checkout_process')):

    function sympathy_show_cart_checkout_process() {
        ?>
        <div class="shopping_cart_dropdown">
        <?php get_template_part('woocommerce/cart/mini', 'cart'); ?>
        </div>
        <?php
    }


endif;