<?php

/**
 * Theme widgets and sidebars.
 */
/* ---------------------------------------------------------------------------
 * Widgets | Add
 * --------------------------------------------------------------------------- */
if (!function_exists('sympathy_register_sidebars')) {
    add_action('widgets_init', 'sympathy_register_sidebars');

    function sympathy_register_sidebars() {
        global $sympathy_smof_data;
        if (function_exists('register_sidebar')) {
            //Sidebar page blog
            register_sidebar(array(
                'name' => esc_html__('Blog Sidebar', 'sympathy'),
                'description' => esc_html__('Display sidebar blog page.', 'sympathy'),
                'id' => 'sympathy_blog_sidebar',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            //Sidebar Single Post
            register_sidebar(array(
                'name' => esc_html__('Sidebar Single Post', 'sympathy'),
                'description' => esc_html__('Sidebar Single of all single blog post.', 'sympathy'),
                'id' => 'sympathy_sidebar_single_post',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));

            //Sidebar page Shop
            register_sidebar(array(
                'name' => esc_html__('Shop Sidebar', 'sympathy'),
                'description' => esc_html__('Display sidebar shop page.', 'sympathy'),
                'id' => 'sympathy_shop_sidebar',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            // Sidebar page ------------------------------------------------------------
            register_sidebar(array(
                'name' => esc_html__('Sidebar Page', 'sympathy'),
                'description' => esc_html__('Sidebar Single of pages.', 'sympathy'),
                'id' => 'sympathy_sidebar_page',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            register_sidebar(array(
                'name' => esc_html__('Sidebar Archive', 'sympathy'),
                'description' => esc_html__('Sidebar Archive of archive pages.', 'sympathy'),
                'id' => 'sympathy_sidebar_archive',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            //Sidebar Confirmation
            register_sidebar(array(
                'name' => esc_html__('Top Footer', 'sympathy'),
                'description' => esc_html__('Show widget top footer', 'sympathy'),
                'id' => 'sympathy_top_footer',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            //Sidebar Confirmation
            register_sidebar(array(
                'name' => esc_html__('Footer #1', 'sympathy'),
                'description' => esc_html__('Show widget footer #1', 'sympathy'),
                'id' => 'sympathy_footer_1',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            //Sidebar Confirmation
            register_sidebar(array(
                'name' => esc_html__('Footer #2', 'sympathy'),
                'description' => esc_html__('Show widget footer #2', 'sympathy'),
                'id' => 'sympathy_footer_2',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            //Sidebar Confirmation
            register_sidebar(array(
                'name' => esc_html__('Footer #3', 'sympathy'),
                'description' => esc_html__('Show widget footer #3', 'sympathy'),
                'id' => 'sympathy_footer_3',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
            //Sidebar Confirmation
            register_sidebar(array(
                'name' => esc_html__('Footer #4', 'sympathy'),
                'description' => esc_html__('Show widget footer #4', 'sympathy'),
                'id' => 'sympathy_footer_4',
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title' => '<h4>',
                'after_title' => '</h4>',
            ));
        }
    }

}


