<?php
/**
 * Day View Single Event
 * This file contains one event in the day view
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/day/single-event.php
 *
 * @version 4.5.6
 *
 */
if (!defined('ABSPATH')) {
    die('-1');
}

$venue_details = tribe_get_venue_details();

// Venue microformats
$has_venue = ( $venue_details ) ? ' vcard' : '';
$has_venue_address = (!empty($venue_details['address']) ) ? ' location' : '';
$post_id = get_the_ID();
$thumb_id = get_post_thumbnail_id($post_id);
$alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
$url = wp_get_attachment_url($thumb_id);
$image = sympathy_image_resize($url, 360, 240, true);
?>
<div class="sympathy_event_featured_image">
    <a href="<?php echo esc_url(tribe_get_event_link()); ?>" title="<?php the_title_attribute() ?>" rel="bookmark">
        <span class="event-featured-icon"><i class="fa fa-star"></i></span>
        <!-- Event Image -->
        <div class="tribe-events-event-image">
            <?php
            if (!empty($image)) {
                ?>
                <img src="<?php echo esc_url($image); ?>" alt="<?php if (count($alt)) echo esc_attr($alt); ?>">
                <?php
            }else {
                ?>
                <img src="<?php echo esc_url($url); ?>" alt="<?php if (count($alt)) echo esc_attr($alt); ?>">
                <?php
            }
            ?>
            <div class="thumbnail-hoverlay sympathy-main-color-bg"></div>
            <div class="thumbnail-hoverlay-icon"><i class="fa fa-link"></i></div>
        </div>
    </a>
</div>
<div class="sympathy_event_content">
    <!-- Event Title -->
    <?php do_action('tribe_events_before_the_event_title') ?>
    <h2 class="tribe-events-list-event-title">
        <a class="tribe-event-url" href="<?php echo esc_url(tribe_get_event_link()); ?>" title="<?php the_title_attribute() ?>" rel="bookmark">
            <?php the_title() ?>
        </a>
    </h2>
    <?php do_action('tribe_events_after_the_event_title') ?>

    <!-- Event Cost -->
    <?php if (tribe_get_cost()) : ?>
        <div class="tribe-events-event-cost">
            <span class="ticket-cost"><?php echo tribe_get_cost(null, true); ?></span>
            <?php
            /**
             * Runs after cost is displayed in list style views
             *
             * @since 4.5
             */
            do_action('tribe_events_inside_cost')
            ?>
        </div>
    <?php endif; ?>
</div>

