<?php
/**
 * Single Event Meta (Organizer) Template
 *
 * Override this template in your own theme by creating a file at:
 * [your-theme]/tribe-events/modules/meta/organizer.php
 *
 * @package TribeEventsCalendar
 * @version 4.4
 */
$organizer_ids = tribe_get_organizer_ids();
$multiple = count($organizer_ids) > 1;

$phone = tribe_get_organizer_phone();
$email = tribe_get_organizer_email();
$website = tribe_get_organizer_website_link();
?>

<div class="spt-events-meta-group spt-events-meta-group-organizer">
    <h3 class="spt-events-single-title"><?php echo tribe_get_organizer_label(!$multiple); ?></h3>
    <ul class="spt-list-data">
        <?php
        do_action('tribe_events_single_meta_organizer_section_start');

        foreach ($organizer_ids as $organizer) {
            if (!$organizer) {
                continue;
            }
            ?>
            <li>
                <label><?php echo esc_html__('Start:', 'sympathy'); ?></label>
                <span class="spt-organizer">
                    <?php echo tribe_get_organizer_link($organizer) ?>
                </span>
            </li>
            <?php
        }

        if (!$multiple) { // only show organizer details if there is one
            if (!empty($phone)) {
                ?>
                <li>
                    <label>
                        <?php esc_html_e('Phone:', 'sympathy') ?>
                    </label>
                    <span class="spt-organizer-tel">
                        <?php echo esc_html($phone); ?>
                    </span>
                </li>
                <?php
            }//end if

            if (!empty($email)) {
                ?>
                <li>
                    <label>
                        <?php esc_html_e('Email:', 'sympathy') ?>
                    </label>
                    <span class="spt-organizer-email">
                        <?php echo esc_html($email); ?>
                    </span>
                </li>
                <?php
            }//end if

            if (!empty($website)) {
                ?>
                <li>
                    <label>
                        <?php esc_html_e('Website:', 'sympathy') ?>
                    </label>
                    <span class="spt-organizer-url">
                        <?php echo $website; ?>
                    </span>
                </li>
                <?php
            }//end if
        }//end if

        do_action('tribe_events_single_meta_organizer_section_end');
        ?>
    </ul>
</div>
