<?php
/**
 * Single Event Meta (Venue) Template
 *
 * Override this template in your own theme by creating a file at:
 * [your-theme]/tribe-events/modules/meta/venue.php
 *
 * @package TribeEventsCalendar
 */
if (!tribe_get_venue_id()) {
    return;
}

$phone = tribe_get_phone();
$website = tribe_get_venue_website_link();
?>

<div class="spt-events-meta-group spt-events-meta-group-venue">
    <h3 class="spt-events-single-title"> <?php echo tribe_get_venue_label_singular(); ?> </h3>
    <ul class="spt-list-data">
        <?php do_action('tribe_events_single_meta_venue_section_start') ?>
        <li>
            <span class="spt-venue"> <?php echo tribe_get_venue() ?> </span>
        </li>
        <?php if (tribe_address_exists()) : ?>
            <li>
                <span class="tribe-venue-location">
                    <span class="tribe-events-address">
                        <?php echo tribe_get_full_address(); ?>

                        <?php if (tribe_show_google_map_link()) : ?>
                            <?php echo tribe_get_map_link_html(); ?>
                        <?php endif; ?>
                    </span>
                </span>
            </li>
        <?php endif; ?>

        <?php if (!empty($phone)): ?>
            <li>
                <label> <?php esc_html_e('Phone:', 'sympathy') ?> </label>
                <span class="tribe-venue-tel"> <?php echo $phone ?> </span>
            </li>
        <?php endif ?>

        <?php if (!empty($website)): ?>
            <li>
                <label> <?php esc_html_e('Website:', 'sympathy') ?> </label>
                <span class="url"> <?php echo $website ?> </span>
            </li>
        <?php endif ?>

        <?php do_action('tribe_events_single_meta_venue_section_end') ?>
    </ul>
</div>
