<?php

/**
 * Add row params
 * @package Sympathy
 * @author QTC Media
 */
if (shortcode_exists('vc_tta_section')) {
    vc_add_param("vc_tta_section", array(
        'type' => 'dropdown',
        'heading' => esc_html__('Icon library', 'sympathy'),
        'value' => array(
            esc_html__('Font Awesome', 'sympathy') => 'fontawesome',
            esc_html__('Open Iconic', 'sympathy') => 'openiconic',
            esc_html__('Typicons', 'sympathy') => 'typicons',
            esc_html__('Entypo', 'sympathy') => 'entypo',
            esc_html__('Linecons', 'sympathy') => 'linecons',
            esc_html__('RT Icon', 'sympathy') => 'rticon',
        ),
        'admin_label' => true,
        'param_name' => 'i_type',
        'dependency' => array(
            'element' => 'add_icon',
            'value' => 'true'
        ),
        'description' => esc_html__('Select icon library.', 'sympathy'),
    ));
    vc_add_param("vc_tta_section", array(
        'type' => 'iconpicker',
        'heading' => esc_html__('Icon Item', 'sympathy'),
        'param_name' => 'i_icon_rticon',
        'value' => '',
        'settings' => array(
            'emptyIcon' => true, // default true, display an "EMPTY" icon?
            'type' => 'rticon',
            'iconsPerPage' => 200, // default 100, how many icons per/page to display
        ),
        'dependency' => array(
            'element' => 'i_type',
            'value' => 'rticon',
        ),
        'integrated_shortcode' => 'vc_icon',
        'integrated_shortcode_field' => 'i_',
        'description' => esc_html__('Select icon from library.', 'sympathy'),
    ));
    vc_add_param("vc_tta_section", array(
        'type' => 'iconpicker',
        'heading' => esc_html__('Icon Item', 'sympathy'),
        'param_name' => 'i_icon_flaticon',
        'value' => '',
        'settings' => array(
            'emptyIcon' => true, // default true, display an "EMPTY" icon?
            'type' => 'glyphicons',
            'iconsPerPage' => 200, // default 100, how many icons per/page to display
        ),
        'dependency' => array(
            'element' => 'i_type',
            'value' => 'flaticon',
        ),
        'integrated_shortcode' => 'vc_icon',
        'integrated_shortcode_field' => 'i_',
        'description' => esc_html__('Select icon from library.', 'sympathy'),
    ));
}
