<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

global $product, $woocommerce_loop, $sympathy_smof_data, $id_cat, $name_cat, $image, $alt, $url;
// Store loop count we're currently on
if (empty($woocommerce_loop['loop']))
    $woocommerce_loop['loop'] = 0;
//Set columns
$columns = 4;
//Reset
if (!isset($sympathy_smof_data['qtc_woo_layout']) && $sympathy_smof_data['qtc_woo_layout']) {
    $sympathy_smof_data['qtc_woo_layout'] = 'left';
}
if (!isset($sympathy_smof_data['qtc_archive_show_sale_flash_product']) && $sympathy_smof_data['qtc_archive_show_sale_flash_product']) {
    $sympathy_smof_data['qtc_archive_show_sale_flash_product'] = 0;
}
//
if (is_active_sidebar('sympathy_shop_sidebar') && ($sympathy_smof_data['qtc_woo_layout'] != 'full' )) {
    $columns = $sympathy_smof_data['shop-product-cols'] ? $sympathy_smof_data['shop-product-cols'] : 3;
}
// Store column count for displaying the grid
if (empty($woocommerce_loop['columns']))
    $woocommerce_loop['columns'] = apply_filters('loop_shop_columns', $columns);

$class_columns = null;
switch ($woocommerce_loop['columns']) {
    case 1: $class_columns = 'col-xs-12 col-sm-12 col-md-12 col-lg-12';
        break;
    case 2: $class_columns = 'col-xs-12 col-sm-6 col-md-6 col-lg-6';
        break;
    case 3: $class_columns = 'col-xs-12 col-sm-6 col-md-6 col-lg-4';
        break;
    case 4: $class_columns = 'col-xs-12 col-sm-6 col-md-4 col-lg-3';
        break;
    default: $class_columns = 'col-xs-12 col-sm-6 col-md-4 col-lg-3';
        break;
}
$class_columns .= ' col-product-item';
// Ensure visibility
if (!$product || !$product->is_visible())
    return;

// Increase loop count
$woocommerce_loop['loop'] ++;

$start_row = $end_row = '';

// Extra post classes
$classes = array();
if (0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns']) {
    $classes[] = 'first';
    $start_row = 1;
}

if (0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns']) {
    $classes[] = 'last';
    $end_row = 1;
}
?>
<li class="<?php echo esc_attr($class_columns); ?>">
    <div <?php post_class(); ?>>

        <div class="woo_product_item woo_product_grid_item">
            <div class="product_image">                
                <?php
                if (!empty($sympathy_smof_data)) {
                    if (isset($sympathy_smof_data['qtc_archive_show_sale_flash_product']) && $sympathy_smof_data['qtc_archive_show_sale_flash_product']) do_action('woocommerce_show_product_loop_sale_flash');
                }else{
                    do_action('woocommerce_show_product_loop_sale_flash');
                }
                ?>                
                <div class="product_item_content_image img_inner">
                    <a href="<?php echo esc_url(the_permalink()); ?>">
                        <?php
                        if (!empty($image)) {
                            ?> 
                            <img src="<?php echo esc_url($image); ?>" alt="<?php if (count($alt)) echo esc_attr($alt); ?>">
                            <?php
                        }
                        ?>
                    </a>
                </div>
                <div class="product_action">         
                    <?php
                    if (!empty($sympathy_smof_data)) {
                        if (isset($sympathy_smof_data['qtc_archive_show_add_to_cart_product']) && $sympathy_smof_data['qtc_archive_show_add_to_cart_product']) {
                            ?>
                            <div class="cart-button hi-icon">
                                <?php do_action('woocommerce_template_loop_add_to_cart'); ?>
                                <div class="crt-icon-cart"><span class="ic-heart"><a href="javascript:void(0)" class="sympathy-post-like" data-id="<?php echo get_the_ID(); ?>"><i class="<?php echo!isset($_COOKIE['sympathy_post_like_' . get_the_ID()]) ? 'fa fa-heart-o' : 'fa fa-heart'; ?>" aria-hidden="true"></i></a></span>
                                    <a href="<?php the_post_thumbnail_url('full'); ?>"  class="sympathy-popup-image"><i class="fa fa-arrows-alt" aria-hidden="true"></i></a></div>
                            </div> 
                            <?php
                        }
                    } else {
                        ?>
                        <div class="cart-button hi-icon">
                            <?php do_action('woocommerce_template_loop_add_to_cart'); ?>
                            <div class="crt-icon-cart"><span class="ic-heart"><a href="javascript:void(0)" class="sympathy-post-like" data-id="<?php echo get_the_ID(); ?>"><i class="<?php echo!isset($_COOKIE['sympathy_post_like_' . get_the_ID()]) ? 'fa fa-heart-o' : 'fa fa-heart'; ?>" aria-hidden="true"></i></a></span>
                                <a href="<?php the_post_thumbnail_url('full'); ?>"  class="sympathy-popup-image"><i class="fa fa-arrows-alt" aria-hidden="true"></i></a></div>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>

            <div class="product_content">
                <?php
                if (!empty($sympathy_smof_data)) {
                    if (isset($sympathy_smof_data['qtc_archive_show_title_product']) && $sympathy_smof_data['qtc_archive_show_title_product']) {
                        ?>
                        <div class="product_title"><a href="<?php echo esc_url(the_permalink()); ?>"><?php esc_attr(the_title()); ?></a></div>
                    <?php } ?>
                    <?php do_action('woocommerce_template_loop_rating'); ?>   
                    <?php if (isset($sympathy_smof_data['qtc_archive_show_price_product']) && $sympathy_smof_data['qtc_archive_show_price_product']) { ?>
                        <div class="product_price">
                            <?php
                            do_action('woocommerce_template_loop_price');
                            ?>
                        </div>
                        <?php
                    }
                } else {
                    ?>
                    <div class="product_title"><a href="<?php echo esc_url(the_permalink()); ?>"><?php esc_attr(the_title()); ?></a></div>

                    <?php do_action('woocommerce_template_loop_rating'); ?>   

                    <div class="product_price">
                        <?php
                        do_action('woocommerce_template_loop_price');
                        ?>
                    </div>
                    <?php
                }
                ?>
                <div class="clear"></div>                
            </div>
        </div>

    </div>
</li>