<?php
/**

 * The template for displaying product content within loops.

 *

 * Override this template by copying it to yourtheme/woocommerce/content-product.php

 *

 * @author 		WooThemes

 * @package 	WooCommerce/Templates

 * @version     1.6.4

 */ 
if (!defined('ABSPATH'))
   exit; // Exit if accessed directly

global $product, $woocommerce_loop, $sympathy_smof_data, $id_cat, $name_cat, $image, $alt;

// Store loop count we're currently on

if (empty($woocommerce_loop['loop']))
   $woocommerce_loop['loop'] = 0;



// Ensure visibility

if (!$product || !$product->is_visible())
   return;
?>

<article class="product product-list">
   <div class="row col-product-item ">
      <div class="woo_product_item">
         <div class="col-lg-4 col-md-4 col-sm-4">
            <div class="product_image">
               <?php do_action('woocommerce_show_product_loop_sale_flash'); ?>

               <?php
               $postDate = strtotime(get_the_date('j F Y'));

               $todaysDate = time() - (7 * 86400); // publish < current time 1 week

               if ($postDate >= $todaysDate)
                  echo '<span class="new">' . esc_html__('New', 'sympathy') . '</span>';
               ?>

               <div class="product_item_content_image img_inner">
                  <a href="<?php echo esc_url(the_permalink()); ?>">
                     <?php
                     if (!empty($image)) {
                        ?>
                        <img src="<?php echo esc_url($image); ?>" alt="<?php if (count($alt)) echo esc_attr($alt); ?>">
                        <?php
                     }
                     ?>
                  </a>
               </div>
            </div>
         </div>
         <div class="col-lg-8 col-md-8 col-sm-8">
            <div class="product_content">
               <div class="product_title"><a href="<?php echo esc_url(the_permalink()); ?>"><?php echo esc_attr(the_title()); ?></a></div>

               <div class="product_rating">
                  <?php
                  do_action('woocommerce_template_loop_rating');
                  ?>
               </div>
               <div class="product_price">
                  <?php
                  do_action('woocommerce_template_loop_price');
                  ?>
               </div>
               <div class="clear"></div>
               <div class="product_desc">
                  <?php do_action('woocommerce_template_single_excerpt'); ?>
               </div>
               <div class="clear"></div>
               <div class="product_tags tags"><?php do_action('woocommerce_template_single_meta'); ?> </div>
               <?php
               echo '<div class="cart-button hi-icon">';
               do_action('woocommerce_template_loop_add_to_cart');
               echo'</div>';
               ?>
            </div>
         </div>
      </div>
   </div>
</article>