<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */ 
if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly
global $sympathy_smof_data;
?>

<?php
/**
 * woocommerce_before_single_product hook
 *
 * @hooked wc_print_notices - 10
 */
do_action('woocommerce_before_single_product');

if (post_password_required()) {
    echo get_the_password_form();

    return;
}
?>

<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="row">
        <div class="col-md-6 col-sm-6 col-xs-12">
            <?php do_action('woocommerce_before_single_product_summary'); ?>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-12">
            <div class="woo-product-wrapper woo_product_item">
                <div class="summary entry-summary woo-product-information">

                    <?php do_action('woocommerce_template_single_title'); ?>

                    <?php do_action('woocommerce_template_single_rating'); ?>

                    <?php do_action('woocommerce_template_single_price'); ?>

                    <div class="description">
                        <?php
                        if (!empty($sympathy_smof_data)) {
                            if (isset($sympathy_smof_data['product-short-desc']) && $sympathy_smof_data['product-short-desc']) {
                                do_action('woocommerce_template_single_excerpt');
                            }
                        }  else {
                            do_action('woocommerce_template_single_excerpt');
                        }
                        ?>
                    </div>
                    <div class="woo-controls">
                        <?php do_action('woocommerce_template_single_add_to_cart'); ?> 
                    </div>
                    <div class="woo-meta-single">
                        <?php if (isset($sympathy_smof_data['product-share']) && $sympathy_smof_data['product-share']) { ?>
                            <div class="social-icons">
                                <a class="title"><i class="fa fa-share-alt" aria-hidden="true"></i>
                                    <?php echo esc_html__('Share', 'sympathy'); ?></a>
                                <a title="" data-placement="top" data-toggle="tooltip" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url(the_permalink()); ?>" data-original-title="Facebook"><i class="fa fa-facebook-official" aria-hidden="true"></i></a>
                                <a title="" data-placement="top" data-toggle="tooltip" target="_blank" href="https://twitter.com/home?status=<?php echo esc_url(the_permalink()); ?>" data-original-title="Twitter"><i class="fa fa-twitter-square" aria-hidden="true"></i></a>
                                <a title="" data-placement="top" data-toggle="tooltip" target="_blank" href="https://plus.google.com/share?url=<?php echo esc_url(the_permalink()); ?>" data-original-title="Google+"><i class="fa fa-google-plus-square" aria-hidden="true"></i></a>                                
                                <a title="" data-placement="top" data-toggle="tooltip" target="_blank" href="https://pinterest.com/pin/create/button/?url=<?php echo esc_url(the_permalink()); ?>" data-original-title="Pinterest"><i class="fa fa-pinterest-square" aria-hidden="true"></i></a>
                                <a title="" data-placement="top" data-toggle="tooltip" target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo esc_url(the_permalink()); ?>" data-original-title="Linkedin"><i class="fa fa-linkedin-square" aria-hidden="true"></i></a>
                            </div>
                        <?php } ?>
                    </div>            
                </div><!-- .summary -->
            </div>
        </div>
    </div>
    <div style="clear:both;"></div>

    <?php do_action('woocommerce_output_product_data_tabs'); ?>

    <meta itemprop="url" content="<?php echo esc_url(the_permalink()); ?>"/>

</div><!-- #product -->

<?php do_action('woocommerce_after_single_product'); ?>
