<?php
/**
 * Show options for ordering
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/orderby.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.2.0
 */  
global $sympathy_smof_data;
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
?>
<div class="row">
    <div class="col-xs-12 col-sm-4 col-md-4">
        <?php woocommerce_result_count(); ?>
    </div>
    <div class="col-xs-12 col-sm-4 col-md-4">
        <form class="woocommerce-ordering view-options" method="get">
            <label class="lb_select">
                <select id="sort_items_by" name="orderby" class="orderby">
                    <?php foreach ($catalog_orderby_options as $id => $name) : ?>
                        <option value="<?php echo esc_attr($id); ?>" <?php selected($orderby, $id); ?>><?php echo esc_html($name); ?></option>
                    <?php endforeach; ?>
                </select>
            </label>

        </form>
    </div>
    <div class="col-xs-12 col-sm-4 col-md-4">
        <?php
        // Keep query string vars intact
        foreach ($_GET as $key => $val) {
            if ('orderby' === $key || 'submit' === $key) {
                continue;
            }
            if (is_array($val)) {
                foreach ($val as $innerVal) {
                    echo '<input type="hidden" name="' . esc_attr($key) . '[]" value="' . esc_attr($innerVal) . '" />';
                }
            } else {
                echo '<input type="hidden" name="' . esc_attr($key) . '" value="' . esc_attr($val) . '" />';
            }
        }
        $active = isset($_GET['view']) ? ( $_GET['view'] === 'list' ? $_GET['view'] : 'grid' ) : 'grid';
        ?>
        <div class="icon-view">			
            <a class="mode tb-mode-grid<?php if ($active === 'grid') {
            echo ' active';
        } ?>" href="<?php echo esc_url(add_query_arg('view', 'grid')) ?>"><i class="fa fa-th-large"></i></a>
            <a class="mode tb-mode-list<?php if ($active === 'list') {
            echo ' active';
        } ?>" href="<?php echo esc_url(add_query_arg('view', 'list')) ?>"><i class="fa fa-list"></i></a>
        </div>
    </div>
</div>
<div class="clear"></div>