<?php
/**
 * Loop Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */
if (!defined('ABSPATH')) {
   exit; // Exit if accessed directly
}

global $product;

if (get_option('woocommerce_enable_review_rating') === 'no')
   return;
?> 

<?php if ($rating_html = wc_get_rating_html( $product->get_average_rating() )) : ?>
   <?php echo $rating_html; ?>
<?php else: ?>
   <?php

   $rating = 0;
   $rating_html = '<div class="star-rating" title="' . sprintf(__('Rated %s out of 5', 'sympathy'), $rating) . '">';

   $rating_html .= '<span style="width:0%"><strong class="rating">' . $rating . '</strong> ' . __('out of 5', 'sympathy') . '</span>';

   $rating_html .= '</div>';
   echo $rating_html;
   ?>
<?php endif; ?>
