<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly
global $sympathy_smof_data, $id_cat, $name_cat, $image, $alt;
get_header();
$col_content = 'col-xs-12 col-sm-12 col-md-12 col-lg-12 single-full-width woo-content';
$col_sidebar = $sympathy_sidebar_left = '';
if (is_active_sidebar('sympathy_shop_sidebar') && ($sympathy_smof_data['qtc_woo_layout'] != 'full' )) {
    $col_content = 'col-xs-12 col-sm-12 col-md-9 col-lg-9 woo-content';
    $col_sidebar = 'col-xs-12 col-sm-12 col-md-3 col-lg-3 woo-sidebar';
}
$sympathy_sidebar_woo = (!empty($sympathy_smof_data['qtc_woo_layout']) && $sympathy_smof_data['qtc_woo_layout'] == 'left') ? 'woo-sidebar-' . $sympathy_smof_data['qtc_woo_layout'] : 'woo-sidebar-right';

if ($sympathy_smof_data['qtc_woo_layout'] == 'left') {
    $sympathy_sidebar_left = 1;
}
if (isset($_GET['sidebar'])) {
    $sympathy_sidebar_woo = trim($_GET['sidebar']);
    $sympathy_sidebar_woo = $sympathy_sidebar_woo == 'woo-sidebar-left' ? $sympathy_sidebar_woo : 'woo-sidebar-right';
}
if (isset($_GET['sidebar'])) {
    $sympathy_sidebar_woo = trim($_GET['sidebar']);
    $col_content = $sympathy_sidebar_woo == 'full' ? 'col-sx-12 col-sm-12 col-md-12 col-lg-12 woo-content' : $col_content;
    $col_sidebar = $sympathy_sidebar_woo == 'full' ? '' : $col_sidebar;
}

$sympathy_show_shop_title = isset($sympathy_smof_data['qtc_show_shop_title_bar']) ? $sympathy_smof_data['qtc_show_shop_title_bar'] : 1;
$sympathy_show_shop_breadcrumb = isset($sympathy_smof_data['qtc_show_page_breadcrumb_shop']) ? $sympathy_smof_data['qtc_show_page_breadcrumb_shop'] : 1;
sympathy_title_bar_shop($sympathy_show_shop_title, $sympathy_show_shop_breadcrumb);
?>
<div class="single-products">
    <div class="container woocommerce_product_container">
        <div class="row <?php echo esc_attr($sympathy_sidebar_woo); ?>">
            <?php if ($col_sidebar && $sympathy_sidebar_left == '1') { ?>
                <div class="sympathy_sidebar <?php echo esc_attr($col_sidebar); ?>">
                    <div id="secondary" class="widget-area" role="complementary">
                        <div id="primary-sidebar" class="primary-sidebar widget-area" role="complementary">
                            <?php dynamic_sidebar('sympathy_shop_sidebar'); ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <div class="<?php echo esc_attr($col_content); ?>">

                <?php while (have_posts()) : the_post(); ?>

                    <?php wc_get_template_part('content', 'single-product'); ?>

                <?php endwhile; // end of the loop.    ?>
                <?php
                if (!empty($sympathy_smof_data)) {
                    if (!empty($sympathy_smof_data['product-related'])) {
                        ?>
                        <div class="row">
                            <?php do_action('woocommerce_output_related_products'); ?>
                        </div>
                        <?php
                    }
                } else {
                    ?>
                    <div class="row">
                        <?php do_action('woocommerce_output_related_products'); ?>
                    </div>
                    <?php
                }
                ?>
            </div>
            <?php if ($col_sidebar && empty($sympathy_sidebar_left)) { ?>
                <div class="sympathy_sidebar <?php echo esc_attr($col_sidebar); ?>">
                    <div id="secondary" class="widget-area" role="complementary">
                        <div id="primary-sidebar" class="primary-sidebar widget-area" role="complementary">
                            <?php dynamic_sidebar('sympathy_shop_sidebar'); ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>

    </div>
</div>
<?php
if (is_active_sidebar('sympathy_top_footer')) :
    ?>
    <div class="clearfix"></div>
    <div class="top_footer">
        <div class="container">
            <?php dynamic_sidebar('sympathy_top_footer'); ?>
        </div>
    </div>
    <?php
endif;
?>
<?php get_footer(); ?>
