<?php
/**
 * Simple product add to cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/add-to-cart/simple.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */ 
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

global $woocommerce, $product;

if (!$product->is_purchasable())
    return;
?>

<?php
// Availability
$availability = $product->get_availability();

if ($availability['availability'])
    echo apply_filters('woocommerce_stock_html', '<p class="stock ' . esc_attr($availability['class']) . '">' . esc_html($availability['availability']) . '</p>', $availability['availability']);
?>

<?php if ($product->is_in_stock()) : ?>
    <div class="woo-quantity">
        <div>
            <p></p>
        </div>
        <div>
    <?php do_action('woocommerce_before_add_to_cart_form'); ?>

            <form class="cart" method="post" enctype='multipart/form-data'>
                <?php do_action('woocommerce_before_add_to_cart_button'); ?>

                <?php
                if (!$product->is_sold_individually())
                    woocommerce_quantity_input( array(
                            'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
                            'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
                            'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( $_POST['quantity'] ) : $product->get_min_purchase_quantity(),
                    ) );
                ?>

                <input type="hidden" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" />


                <div class="product_action">                    
                    <button type="submit" class="single_add_to_cart_button cart-button hi-icon"><i class="fa fa-shopping-cart" aria-hidden="true"></i><?php echo esc_attr($product->single_add_to_cart_text()); ?></button>
                    <i class="fa fa-heart-o" aria-hidden="true"></i>
                </div>
                <?php do_action('woocommerce_after_add_to_cart_button'); ?>
            </form>

            <?php do_action('woocommerce_after_add_to_cart_form'); ?>
        </div>
    </div>
<?php endif; ?>