<?php
/**
 * Single Product Image
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-image.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.1.0
 */ 

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $post, $woocommerce, $product;

//$attachment_ids = $product->get_gallery_attachment_ids();

$col_img = 'col-md-12 col-sm-12 col-xs-12';

?>
<div class="images row woo-product-wrapper">
    <div class="col_image_large <?php echo esc_attr($col_img); ?>">
        <div class="woo-product-image">
            <div id="Woo_zoom_image" class="woo-image">
                <?php
                if (has_post_thumbnail()) {

                    $image_title = esc_attr(get_the_title(get_post_thumbnail_id()));
                    $image_caption = get_post(get_post_thumbnail_id())->post_excerpt;
                    $image_link = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full')[0];
                    $image = get_the_post_thumbnail($post->ID, 'full', array(
                        'title' => $image_title,
                        'alt' => $image_title
                            ));
                    echo sprintf('<img src="%s" alt="%s" />', $image_link, $image_title);
                } else {

                    echo apply_filters('woocommerce_single_product_image_html', sprintf('<img src="%s" alt="%s" />', wc_placeholder_img_src(), __('Placeholder', 'sympathy')), $post->ID);
                }
                ?>
            </div>
        </div>
    </div>
<?php do_action('woocommerce_product_thumbnails'); ?>
</div>
