<?php
/**
 * Single Product Thumbnails
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-thumbnails.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.1.0
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $post, $product, $woocommerce;

$attachment_ids = $product->get_gallery_image_ids();

if ($attachment_ids && has_post_thumbnail()) {
    ?>
    <div class="col_image_small col-md-12 col-sm-12 col-xs-12 woo-product-option-wrapper">
        <div data-mcs-theme="minimal-dark" id="Woo_gallery_0" class="woo-product-option mCustomScrollbar"><?php
            $image_title2 = esc_attr(get_the_title(get_post_thumbnail_id()));
            $image_caption = get_post(get_post_thumbnail_id())->post_excerpt;
            $image_link2 = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
            $image = get_the_post_thumbnail($post->ID, 'full', array(
                'title' => $image_title2,
                'data-src' => $image_link2[0],
                'data-large_image' => $image_link2[0],
                'data-large_image_width' => $image_link2[1],
                'data-large_image_height' => $image_link2[2],
            ));
            echo '<a class="woo-active" data-image="' . esc_url($image_link2[0]) . '" data-zoom-image="' . esc_url($image_link2[0]) . '" href="' . esc_url($image_link2[0]) . '">';
            echo wp_get_attachment_image(get_post_thumbnail_id(), 'shop_single', false, $image);
            echo '</a>';

            foreach ($attachment_ids as $attachment_id) {
                $full_size_image = wp_get_attachment_image_src($attachment_id, 'full');
                $thumbnail = wp_get_attachment_image_src($attachment_id, 'shop_thumbnail');
                $image_title = get_post_field('post_excerpt', $attachment_id);

                $attributes = array(
                    'title' => $image_title,
                    'data-src' => $full_size_image[0],
                    'data-large_image' => $full_size_image[0],
                    'data-large_image_width' => $full_size_image[1],
                    'data-large_image_height' => $full_size_image[2],
                );

                $html = '<a data-image="' . esc_url($full_size_image[0]) . '" data-zoom-image="' . esc_url($full_size_image[0]) . '" href="' . esc_url($full_size_image[0]) . '">';
                $html .= wp_get_attachment_image($attachment_id, 'shop_single', false, $attributes);
                $html .= '</a>';

                echo apply_filters('woocommerce_single_product_image_thumbnail_html', $html, $attachment_id);
            }
            ?></div>
    </div>
    <?php
}