<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>

    <div class="woocommerce sympathy_related_products sympathy-product-slider col-md-12 col-sm-12 col-lg-12 col-xs-12">

        <div class="title_main_text">
            <h3 class="title_heading"><?php echo esc_html__('Related products', 'sympathy'); ?></h3>
        </div>
        <?php woocommerce_product_loop_start(); ?>
        <div class="woo-content-products clearfix">
            <div class="owl-carousel">
                <?php
                foreach ( $related_products as $related_product ) :
                    $post_object = get_post( $related_product->get_id() );
                    setup_postdata( $GLOBALS['post'] =& $post_object );
                    $post_id = get_the_ID();
                    $thumb_id = get_post_thumbnail_id($post_id);
                    $alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
                    $url = wp_get_attachment_url($thumb_id);
                    $image = sympathy_image_resize($url, 260, 260, true);
                    $term_list = wp_get_post_terms($post_id, 'product_cat');
                    $id_cat = 0;
                    $name_cat = "";
                    if (isset($term_list[0])) {
                        $id_cat = $term_list[0]->term_id;
                        $name_cat = $term_list[0]->name;
                    }
                    ?>
                    <div <?php post_class(); ?>>

                        <div class="woo_product_item woo_product_grid_item">
                            <div class="product_image">
                                <?php do_action('woocommerce_show_product_loop_sale_flash'); ?>
                                <?php
                                $postDate = strtotime(get_the_date('j F Y'));
                                $todaysDate = time() - ( 7 * 86400 ); // publish < current time 1 week
                                if ($postDate >= $todaysDate) {
                                    echo '<span class="new">' . esc_html__('New', 'sympathy') . '</span>';
                                }
                                ?>
                                <div class="product_item_content_image img_inner">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        if (!empty($image)) {
                                            ?>
                                            <img src="<?php echo esc_url($image); ?>" alt="<?php
                                            if (count($alt)) {
                                                echo esc_attr($alt);
                                            }
                                            ?>">
                                                 <?php
                                             }
                                             ?>
                                    </a>
                                </div>
                                <div class="product_action">         
                                    <div class="cart-button hi-icon">
                                        <?php do_action('woocommerce_template_loop_add_to_cart'); ?>
                                        <div class="crt-icon-cart"><span class="ic-heart"><a href="javascript:void(0)" class="sympathy-post-like" data-id="<?php echo get_the_ID(); ?>"><i class="<?php echo!isset($_COOKIE['sympathy_post_like_' . get_the_ID()]) ? 'fa fa-heart-o' : 'fa fa-heart'; ?>" aria-hidden="true"></i></a></span>
                                            <a href="<?php the_post_thumbnail_url('full'); ?>"  class="sympathy-popup-image"><i class="fa fa-arrows-alt" aria-hidden="true"></i></a></div>
                                    </div> 
                                </div>
                            </div>

                            <div class="product_content">

                                <div class="product_title"><a href="<?php echo esc_url(the_permalink()); ?>"><?php echo esc_attr(the_title()); ?></a>
                                </div>
                                <?php do_action('woocommerce_template_loop_rating'); ?>  
                                <div class="product_price">
                                    <?php
                                    do_action('woocommerce_template_loop_price');
                                    ?>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>

                    </div>
                <?php endforeach; // end of the loop.
                ?>
            </div>
        </div>
        <?php woocommerce_product_loop_end(); ?>
    </div>

    <?php
endif;

wp_reset_postdata();
